binutils (2.47-2ubuntu1) stonking; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 30 Jul 2026 15:22:00 +0200

binutils (2.47-2) unstable; urgency=medium

  * Really build as a release build.

 -- Matthias Klose <doko@debian.org>  Sun, 26 Jul 2026 21:40:32 +0200

binutils (2.47-1) unstable; urgency=medium

  * New upstream release.
    - Fixes build of kernel modules on loong64. Closes: #1142570.
  * Ignore tests results on sparc64 for now (Adrian Glaubitz).
  * Update libgprofng symbols file.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Sun, 26 Jul 2026 19:48:55 +0200

binutils (2.46.90.20260712-1ubuntu1) stonking; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@debian.org>  Sun, 12 Jul 2026 19:01:36 +0200

binutils (2.46.90.20260712-1) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.47 branch.

 -- Matthias Klose <doko@debian.org>  Sun, 12 Jul 2026 17:30:43 +0200

binutils (2.46.50.20260617-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * binutils-dev: Ship libctf*_pic.a libraries.

 -- Matthias Klose <doko@debian.org>  Wed, 17 Jun 2026 09:10:18 +0200

binutils (2.46.50.20260608-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Wed, 10 Jun 2026 08:16:33 +0200

binutils (2.46.50.20260608-1ubuntu1) stonking; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jun 2026 09:07:50 +0200

binutils (2.46.50.20260608-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Wed, 10 Jun 2026 08:16:33 +0200

binutils (2.46.50.20260519-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Tue, 19 May 2026 20:54:57 +0200

binutils (2.46.50.20260509-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Drop build dependency on quilt. Addresses: #1129263.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 09 May 2026 07:16:40 +0200

binutils (2.46.50.20260216-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Enable PAC/BTI/GCS on arm64 (Emanuele Rocca). Addresses: #1127747.
  * Ignore ld-bootstrap/bootstrap.exp test failures everywhere.
    Addresses: #1127603.
  * Don't run the ld-elf/sec64k.exp test on sh4, timing out.
    Addresses: #1127604.

 -- Matthias Klose <doko@debian.org>  Mon, 16 Feb 2026 08:47:59 +0100

binutils (2.46-3ubuntu2) resolute; urgency=medium

  * No-change rebuild for glibc 2.46.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 15 Mar 2026 02:33:01 +0100

binutils (2.46-3ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Mar 2026 12:26:02 +0100

binutils (2.46-3) unstable; urgency=medium

  * Fix PR demangler/106641, taken from the trunk.
  * Drop build dependency on quilt. Closes: #1129263.
  * Update libgprofng symbols file.

 -- Matthias Klose <doko@debian.org>  Thu, 05 Mar 2026 12:22:39 +0100

binutils (2.46-2ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 Feb 2026 11:08:38 +0100

binutils (2.46-2) unstable; urgency=medium

  * Enable PAC/BTI/GCS on arm64 (Emanuele Rocca). Closes: #1127747.
  * Ignore ld-bootstrap/bootstrap.exp test failures everywhere.
    Closes: #1127603.
  * Don't run the ld-elf/sec64k.exp test on sh4, timing out. Closes: #1127604.

 -- Matthias Klose <doko@debian.org>  Wed, 18 Feb 2026 09:14:01 +0100

binutils (2.46-1ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 08 Feb 2026 14:42:57 +0100

binutils (2.46-1) unstable; urgency=medium

  * binutils 2.46 release.
  * Update VCS attributes.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sun, 08 Feb 2026 14:26:28 +0100

binutils (2.45.90.20260201-1ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 01 Feb 2026 11:12:10 +0100

binutils (2.45.90.20260201-1) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.46 branch.
    - Fix PR ld/33851. Closes: #1126517.
    - Fix PR gas/33852, GCC trunk bootstrap issue on s390x.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Sun, 01 Feb 2026 10:59:08 +0100

binutils (2.45.90.20260125-1ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Jan 2026 02:32:19 +0100

binutils (2.45.90.20260125-1) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.46 branch.
    - Fixes ld segfault. Closes: #1126349.
  * Apply proposed fix for PR gas/33832, build failure on aarch64-linux-gnu.
  * binutils: Add a breaks to the last libc6-dev binary built for SFrame V2.
  * Stop ignoring the (XXX -> UNTESTED) regressions on amd64 and arm64.

 -- Matthias Klose <doko@debian.org>  Mon, 26 Jan 2026 02:22:58 +0100

binutils (2.45.50.20251209-1ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 09 Dec 2025 10:02:27 +0100

binutils (2.45.50.20251209-1) unstable; urgency=medium

  * New upstream snapshot.
    - Fix PR ld/33702. Closes: #1122125.
  * Update libgprofng symbols file.

 -- Matthias Klose <doko@debian.org>  Tue, 09 Dec 2025 09:47:23 +0100

binutils (2.45.50.20251201-1ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 01 Dec 2025 09:15:42 +0100

binutils (2.45.50.20251201-1) unstable; urgency=medium

  * New upstream snapshot.
  * Update libgprofng symbols file.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Mon, 01 Dec 2025 08:36:50 +0100

binutils (2.45.50.20251125-1ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Nov 2025 03:16:24 +0100

binutils (2.45.50.20251125-1) unstable; urgency=medium

  * New upstream snapshot, upload to unstable.
  * Update libgprofng and libsframe symbols files.

 -- Matthias Klose <doko@debian.org>  Tue, 25 Nov 2025 03:13:01 +0100

binutils (2.45.50.20251023-2) experimental; urgency=medium

  * Update libsframe symbols file.
  * Fix ftbfs on architectures without gprofng.

 -- Matthias Klose <doko@debian.org>  Thu, 23 Oct 2025 17:58:42 +0200

binutils (2.45.50.20251023-1) experimental; urgency=medium

  * New upstream snapshot.
  * d/p/env-package-metadata.diff: Enforce CLI arg precedence (LP: #2109333)
    The initial implementation would only give precedence if the CLI arg is
    not empty. The new implementation now simply loads the default value
    into the appropriate static variable *before* the argument parsing,
    where the --package-metadata handler will appropriately clear it.
  * binutils-dev: Drop the dependency on libsframe-dev.
  * Split out a libgprofng-dev package.

 -- Matthias Klose <doko@debian.org>  Wed, 22 Oct 2025 00:46:05 +0200

binutils (2.45.50.20251005-1) experimental; urgency=medium

  * New upstream snapshot.
  * Refresh patches.
  * Strip libsframe.a. Addresses: #1114662.

 -- Matthias Klose <doko@debian.org>  Sun, 05 Oct 2025 12:47:20 +0200

binutils (2.45.50.20250903-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Sep 2025 12:03:42 +0200

binutils (2.45.50.20250813-1) experimental; urgency=medium

  * New upstream snapshot.
  * Bump standards version.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Wed, 13 Aug 2025 13:02:06 +0200

binutils (2.45-8ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 24 Oct 2025 09:51:44 +0200

binutils (2.45-8) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.45 branch.
    - Fix PR ld/33409, x86: Copy non_got_ref_without_indirect_extern_access.
    - Fix PR ld/33130, x86: Add GLIBC_ABI_GNU2_TLS version dependency.
    - x86-64: Add GLIBC_ABI_DT_X86_64_PLT version dependency.
    - PR ld/33287, i386: Add GLIBC_ABI_GNU_TLS version dependency.
    - aarch64, gas: Relax Armv9.6-A mandatory feature set.
  * d/p/env-package-metadata.diff: Enforce CLI arg precedence (LP: #2109333)
    The initial implementation would only give precedence if the CLI arg is
    not empty. The new implementation now simply loads the default value
    into the appropriate static variable *before* the argument parsing,
    where the --package-metadata handler will appropriately clear it.

 -- Matthias Klose <doko@debian.org>  Wed, 22 Oct 2025 08:59:35 +0200

binutils (2.45-7ubuntu2) resolute; urgency=medium

  * d/p/env-package-metadata.diff: enforce CLI arg precedence (LP: #2109333)
    The initial implementation would only give precedence if the CLI arg is
    not empty. The new implementation now simply loads the default value
    into the appropriate static variable *before* the argument parsing,
    where the --package-metadata handler will appropriately clear it.

 -- Simon Chopin <schopin@ubuntu.com>  Mon, 13 Oct 2025 16:20:55 +0200

binutils (2.45-7ubuntu1) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Sep 2025 10:34:19 +0200

binutils (2.45-7) unstable; urgency=medium

  * Strip libsframe.a. Closes: #1114662.

 -- Matthias Klose <doko@debian.org>  Mon, 08 Sep 2025 10:27:06 +0200

binutils (2.45-6ubuntu1) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Sep 2025 10:24:29 +0200

binutils (2.45-6) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.45 branch.
    - strip: Don't check target_defaulted in input BFD.
    - PR binutils/33230, strip: Treat "default" output_target as unspecified.
    - PR binutils/33246, strip: Don't treat fat IR objects as plugin object.
  * Disable "non-SP/FP register X in .cfi_def_cfa" warning. Closes: #1112585.

 -- Matthias Klose <doko@debian.org>  Tue, 02 Sep 2025 10:16:56 +0200

binutils (2.45-5) unstable; urgency=medium

  * libsframe-dev: Adjust breaks/replaces relations. Closes: #1111464.
  * Disable ".cfi_escape with op" warning.

 -- Matthias Klose <doko@debian.org>  Thu, 28 Aug 2025 09:03:05 +0200

binutils (2.45-4) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.45 branch.
    - libctf: link: rejig lazy opening to not need weak symbols.
    - libctf: don't run tests requiring deduplicating linker
      unless one is in use.
    - libctf: exclude always-emitted Solaris symbols from the symtypetab.
    - libctf: get libctf-nobfd.ver from the right place with Solaris ld.
    - libctf: do not use mmap on Solaris 11.
  * binutils: Drop dependency on binutils-gold again.
  * Remove explicit GCC 14 build dependency. Closes: #1105026.
  * binutils-dev: Drop the dependency on libsframe-dev.
  * Update VCS attributes.

 -- Matthias Klose <doko@debian.org>  Sat, 16 Aug 2025 19:13:24 +0200

binutils (2.45-3ubuntu3) questing; urgency=medium

  * binutils: Drop dependency on binutils-gold.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 10 Aug 2025 13:59:37 +0200

binutils (2.45-3ubuntu2) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 10 Aug 2025 09:49:40 +0200

binutils (2.45-3) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.45 branch.
    - Fix unused variable warnings.
    - Fix PR gas/33229 nds32 gas segfaults on gcc output.
    - Fix PR binutils/33244, resbin: don't pass NULL as printf %s arg.
    - LoongArch: Fix symbol size after relaxation.
  * Update libgprofng symbols file.
  * Ignore regressions on loong64, m68k, riscv64, s390x, sh4, x32 for now.
  * Split out a libsframe-dev package.

 -- Matthias Klose <doko@debian.org>  Sun, 10 Aug 2025 09:22:44 +0200

binutils (2.45-1ubuntu1) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 27 Jul 2025 17:46:25 +0200

binutils (2.45-1) experimental; urgency=medium

  * New upstream release.
  * Remove gold related patches.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Sun, 27 Jul 2025 17:32:29 +0200

binutils (2.44.90.20250719-1ubuntu1) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Jul 2025 11:31:42 +0200

binutils (2.44.90.20250719-1) experimental; urgency=medium

  * New upstream snapshot, taken from the 2.45 branch.
  * Bump libsframe soname.
  * Update libsframe symbols file.

 -- Matthias Klose <doko@debian.org>  Sat, 19 Jul 2025 11:25:55 +0200

binutils (2.44.50.20250707-1ubuntu1) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Jul 2025 12:35:30 +0200

binutils (2.44.50.20250707-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Ignore the gprofng/synprog test regression.

 -- Matthias Klose <doko@debian.org>  Mon, 07 Jul 2025 08:33:16 +0200

binutils (2.44.50.20250616-0ubuntu1) questing; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Stop ignoring regressions. rust-coreutils maintainer claims a fix.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 16 Jun 2025 12:36:41 +0200

binutils (2.44.50.20250604-0ubuntu2) questing; urgency=medium

  * Ignore regressions on i386, still no working stty in coreutils-rust.
  * Ignore the gprofng/synprog test regression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Jun 2025 10:25:29 +0200

binutils (2.44.50.20250604-0ubuntu1) questing; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Configure again with --enable-pgo-build=lto.
  * Re-enable running the testsuite.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Jun 2025 16:10:29 +0200

binutils (2.44.50.20250602-0ubuntu1) questing; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 Jun 2025 22:32:48 +0200

binutils (2.44.50.20250528-1ubuntu1) questing; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 28 May 2025 07:20:39 +0200

binutils (2.44.50.20250528-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Ignore regressions on loong64, riscv64, s390x, sh4, x32 and hurd-i386;
    Reported upstream.

 -- Matthias Klose <doko@debian.org>  Wed, 28 May 2025 07:10:39 +0200

binutils (2.44.50.20250520-1ubuntu1) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 May 2025 14:13:50 +0200

binutils (2.44.50.20250520-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Update libgprofng0 symbols file.

 -- Matthias Klose <doko@debian.org>  Tue, 20 May 2025 13:53:19 +0200

binutils (2.44.50.20250502-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Fri, 02 May 2025 12:39:32 +0200

binutils (2.44.50.20250405-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Sat, 05 Apr 2025 13:19:36 +0200

binutils (2.44.50.20250309-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Don't configure --enable-warn-rwx-segments not enabled on hppa, sparc
    and sparc64. Addresses: #1098970.
  * Fix cross build for gprofng archs (Helmut Grohne). Addresses: #1098728.

 -- Matthias Klose <doko@debian.org>  Sun, 09 Mar 2025 06:40:30 +0100

binutils (2.44.50.20250218-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Configure with --disable-default-execstack --enable-warn-rwx-segments.
  * Drop build dependency on binutils-gold.

 -- Matthias Klose <doko@debian.org>  Tue, 18 Feb 2025 12:49:40 +0100

binutils (2.44.50.20250207-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Drop the binutils-gold dependency.

 -- Matthias Klose <doko@debian.org>  Fri, 07 Feb 2025 13:07:54 +0100

binutils (2.44.50.20250201-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Sat, 01 Feb 2025 16:36:36 +0100

binutils (2.44-3ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 03 Mar 2025 22:14:13 +0100

binutils (2.44-3) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.44 release branch.
    - Fix PR ld/32731, ub sanitizer accessing filenames_reversed.
    - Translation updates.
  * Don't configure --enable-warn-rwx-segments not enabled on hppa, sparc
    and sparc64. Closes: #1098970.
  * Fix cross build for gprofng archs (Helmut Grohne). Closes: #1098728.

 -- Matthias Klose <doko@debian.org>  Mon, 03 Mar 2025 22:01:22 +0100

binutils (2.44-2ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Feb 2025 08:04:24 +0100

binutils (2.44-2) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.44 release branch.
    - gas: fix rs_fill_nop listing.
    - Fix score-elf gas SEGV.
  * Configure with --disable-default-execstack --enable-warn-rwx-segments.
  * Fix PR ld/32715, test failure with --disable-default-execstack. Taken
    from the trunk.

 -- Matthias Klose <doko@debian.org>  Wed, 19 Feb 2025 07:58:28 +0100

binutils (2.44-1ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 03 Feb 2025 07:23:10 +0100

binutils (2.44-1) unstable; urgency=medium

  * New upstream release.
  * Drop build dependency on binutils-gold.
  * Remove gold chunks from debian patches.
  * Ignore testsuite regression on sh4.

 -- Matthias Klose <doko@debian.org>  Mon, 03 Feb 2025 06:36:41 +0100

binutils (2.43.90.20250202-1) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.44 release branch.
  * Update VCS attributes.
  * Drop the binutils-gold dependency and make it a suggestion.
    With the 2.44 release , gold is deprecated, and will be removed in
    future binutils releases. Debian trixie will still ship with
    the separate binutils-gold package.

 -- Matthias Klose <doko@debian.org>  Sun, 02 Feb 2025 13:10:32 +0100

binutils (2.43.90.20250127-1ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 27 Jan 2025 13:32:28 +0100

binutils (2.43.90.20250127-1) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.44 release branch..
  * Fix build failure on x32.
  * Fix substitution of @gold_archs@ in targeted cross toolchains (Helmut
    Grohne). Closes: #1093841.
  * Fix PR 32599, taken from the trunk. Closes: #1093895.

 -- Matthias Klose <doko@debian.org>  Mon, 27 Jan 2025 11:12:03 +0100

binutils (2.43.90.20250122-2ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 23 Jan 2025 03:44:57 +0100

binutils (2.43.90.20250122-2) unstable; urgency=medium

  * Fix binutils-gold dependencies.

 -- Matthias Klose <doko@debian.org>  Thu, 23 Jan 2025 03:37:28 +0100

binutils (2.43.90.20250122-1) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.44 release branch..
  * Split out gold, as the gold source code removal is planned for the
    final 2.44 release. For now, binutils depends on binutils-gold.
  * Build-depend on binutils-gold where available.
  * Refresh patches.
  * binutils-doc: Make package more reproducible. Closes: #1092870.
  * Move gprofng from binutils-<triplet> into binutils, and introduce a
    binutils-dbg package (Helmut Grohne). Closes: #1093594.

 -- Matthias Klose <doko@debian.org>  Wed, 22 Jan 2025 08:47:26 +0100

binutils (2.43.50.20250108-1ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Revert the changes for "bfd/ELF: restrict file alignment for object files".
      See PR gas/32535.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Jan 2025 00:55:36 +0100

binutils (2.43.50.20250108-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Avoid warning in env-package-metadata.diff patch (Nicolas Boulenguez).
    Closes: #1090761.
  * binutils-doc: Make package reproducible. Closes: #1090395.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Jan 2025 00:34:21 +0100

binutils (2.43.50.20241230-1ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Revert the changes for "bfd/ELF: restrict file alignment for object files".
      See PR gas/32535.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 30 Dec 2024 13:12:31 +0100

binutils (2.43.50.20241230-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Revert the fix for PR gas/32391. Closes: #1090999, #1091488.
  * Build with GCC 14.2.0-12 on ARM32. Closes: #1091281.

 -- Matthias Klose <doko@debian.org>  Mon, 30 Dec 2024 12:18:11 +0100

binutils (2.43.50.20241221-1ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Revert the changes for "bfd/ELF: restrict file alignment for object files".
      See PR gas/32535.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Dec 2024 10:31:14 +0100

binutils (2.43.50.20241221-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Drop the unused infinity-notes patch.
  * gold: Support percent-encoded JSON in --package-metadata (proposed patch).
  * Update libgprofng0 symbols file.

 -- Matthias Klose <doko@debian.org>  Sat, 21 Dec 2024 09:58:51 +0100

binutils (2.43.50.20241215-1ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 15 Dec 2024 11:08:46 +0100

binutils (2.43.50.20241215-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Increase armhf section alignment to 64k (Ard Biesheuvel). Closes: #1089822.

 -- Matthias Klose <doko@debian.org>  Sun, 15 Dec 2024 11:00:07 +0100

binutils (2.43.50.20241210-1ubuntu2) plucky; urgency=medium

  * Revert the changes for "bfd/ELF: restrict file alignment for object files".
    See PR gas/32535.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 10 Dec 2024 11:47:27 +0100

binutils (2.43.50.20241210-1ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 10 Dec 2024 10:06:46 +0100

binutils (2.43.50.20241210-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Dec 2024 09:55:31 +0100

binutils (2.43.50.20241204-2ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Dec 2024 14:21:49 +0100

binutils (2.43.50.20241204-2) unstable; urgency=medium

  * Unset ELF_PACKAGE_METADATA when running the tests.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Dec 2024 14:17:25 +0100

binutils (2.43.50.20241204-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Disable the pgo build on armel and armhf for now.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Dec 2024 10:13:16 +0100

binutils (2.43.50.20241126-3ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Nov 2024 10:22:53 +0100

binutils (2.43.50.20241126-3) unstable; urgency=medium

  * Don't install gprofng examples in multilib and cross packages.
    Closes: #1088319.

 -- Matthias Klose <doko@debian.org>  Wed, 27 Nov 2024 10:18:02 +0100

binutils (2.43.50.20241126-2) unstable; urgency=medium

  * Work-around PR gprofng/32392.

 -- Matthias Klose <doko@debian.org>  Tue, 26 Nov 2024 16:40:54 +0100

binutils (2.43.50.20241126-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Configure again with --enable-default-hash-style=gnu on mips targets.
    Closes: #1078819.
  * Stop building gold on mips targets.

 -- Matthias Klose <doko@debian.org>  Tue, 26 Nov 2024 13:52:50 +0100

binutils (2.43.50.20241112-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Build packages for sparc-linux-gnu (Adrian Glaubitz). Closes: #1086027.
  * Stop building packages for ia64-linux-gnu. Closes: #1086023.

 -- Matthias Klose <doko@debian.org>  Tue, 12 Nov 2024 17:37:05 +0100

binutils (2.43.50.20241004-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Make the jdk configury dependent on the pkg.binutils.nojava profile.

 -- Matthias Klose <doko@debian.org>  Fri, 04 Oct 2024 08:32:52 +0200

binutils (2.43.50.20240909-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Mon, 09 Sep 2024 14:30:23 +0200

binutils (2.43.50.20240822-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Add default-jdk-headless to autopkg test dependencies.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Aug 2024 17:21:00 +0200

binutils (2.43.50.20240817-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Aug 2024 10:50:59 +0200

binutils (2.43.1-5) unstable; urgency=medium

  * Make the jdk configury dependent on the pkg.binutils.nojava profile.

 -- Matthias Klose <doko@debian.org>  Wed, 18 Sep 2024 10:36:17 +0200

binutils (2.43.1-4ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 12 Sep 2024 11:12:26 +0200

binutils (2.43.1-4) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.43 branch.
    - Fix PR32109, aborting at bfd/bfd.c:1236 in int _bfd_doprnt.

 -- Matthias Klose <doko@debian.org>  Thu, 12 Sep 2024 10:37:43 +0200

binutils (2.43.1-3) unstable; urgency=medium

  * Don't configure --enable-default-hash-style=gnu on mips targets
    for now. See: #1078819.

 -- Matthias Klose <doko@debian.org>  Sun, 25 Aug 2024 17:32:28 +0200

binutils (2.43.1-2ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 Aug 2024 17:40:03 +0200

binutils (2.43.1-2) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.43 branch.
    - ld: Add an LTO test for common symbol override.
    - lto: Add a test for PR ld/32083.
  * Update VCS attributes.
  * Add default-jdk-headless to autopkg test dependencies.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Aug 2024 16:34:57 +0200

binutils (2.43.1-1) unstable; urgency=medium

  * New upstream release.
    - LTO: Restore the wrapper symbol check for standard function.
    - RISC-V: Add support for Zimop extension.
    - RISC-V: Add support for Zcmop extension.
    - gas: sparc: Fix faligndatai assembly and disassembly.
    - PR32067, ld -Wl,--oformat,binary crash in _bfd_elf_link_keep_memory.
    - ld: Add PR ld/32067 tests.
    - x86: correct .insn with opcode extension and VEX/XOP/EVEX encoding.
    - gas: correct .irpc handling with empty string.
    - lto: Don't include unused LTO archive members in output.
    - gprofng: fix typo in src/collctrl.cc.
  * gprofng: Build with jdk support.
  * Move static gprofng library into the binutils-dev package.

 -- Matthias Klose <doko@debian.org>  Sun, 18 Aug 2024 13:35:14 +0200

binutils (2.43-2ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 Aug 2024 07:20:52 +0200

binutils (2.43-2) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.43 branch.
    - LoongArch: Fix DT_RELR and relaxation interaction.
  * Stop building packages for kfreebsd.
  * Stop providing i586/i486 symlinks for backports.
  * ld.bfd, ld.gold: When no package-metadata option is given, fall-back
    to the envvar ELF_PACKAGE_METADATA.

 -- Matthias Klose <doko@debian.org>  Wed, 07 Aug 2024 07:16:35 +0200

binutils (2.43-1ubuntu1) oracular; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 05 Aug 2024 07:05:40 +0200

binutils (2.43-1) unstable; urgency=medium

  * New upstream release.
  * New upstream snapshot, taken from the 2.43 branch.
    - Fix PR ld/31956, LTO: Restore the wrapper symbol check for
      standard function.
  * Refresh patches.
  * Build-depend on pkgconf instead of pkg-config.
  * Configure with --enable-default-hash-style=gnu.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Mon, 05 Aug 2024 06:54:19 +0200

binutils (2.42.90.20240720-2ubuntu1) oracular; urgency=medium

  * New upstream snapshot, taken from the 2.43 release branch.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Jul 2024 07:08:32 +0200

binutils (2.42.90.20240720-2) unstable; urgency=medium

  * Package gprofng on riscv64.

 -- Matthias Klose <doko@debian.org>  Mon, 22 Jul 2024 06:58:53 +0200

binutils (2.42.90.20240720-1) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.43 branch.
  * Set ELF_PACKAGE_METADATA in the environment.
  * Update symbols files. Closes: #1064181.

 -- Matthias Klose <doko@debian.org>  Sun, 21 Jul 2024 15:35:10 +0200

binutils (2.42.50.20240710-1ubuntu1) oracular; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jul 2024 13:01:44 +0200

binutils (2.42.50.20240710-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Wed, 10 Jul 2024 12:55:51 +0200

binutils (2.42.50.20240625-1ubuntu1) oracular; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Jun 2024 14:15:24 +0200

binutils (2.42.50.20240625-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Tue, 25 Jun 2024 14:12:07 +0200

binutils (2.42.50.20240618-1ubuntu1) oracular; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Jun 2024 15:03:15 +0200

binutils (2.42.50.20240618-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Update the libctf-soname patch for the trunk.
  * Refresh patches.
  * Build with -fno-omit-frame-pointer if it's enabled in dpkg-buildflags.
  * Allow to disable tests using LOCAL_BUILD_OPTIONS.

 -- Matthias Klose <doko@debian.org>  Tue, 18 Jun 2024 14:38:10 +0200

binutils (2.42-4ubuntu2) noble; urgency=medium

  * No-change rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 29 Mar 2024 20:49:57 +0100

binutils (2.42-4ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Mar 2024 17:05:51 +0100

binutils (2.42-4) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.42 branch.
    - AArch64: Fix the 2nd operand in gcsstr and gcssttr instructions.
    - AArch64: Remove B16B16, SVE2p1 and SME2p1.
  * binutils-dev: Install libopcodes_pic.a and libbfd_pic.a.

 -- Matthias Klose <doko@debian.org>  Tue, 19 Mar 2024 16:08:43 +0100

binutils (2.42-3ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Feb 2024 23:50:17 +0100

binutils (2.42-3) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.42 branch.
    - PR31124: Addendum: Remove PROVIDE of __flmap_init_label, __flmap (AVR).
    - Mention support for AMD/znver5 in GAS.
    - x86: Disallow instructions with length > 15 bytes.
    - LoongArch: gas: Fix the types of symbols referred with %le_*_r
      in the symtab.
    - Link x86-64 mark-plt-1.so testcase with --no-as-needed.
    - PR 31283 windmc: Parse input correctly on big endian hosts.
    - PR31208, strip can break ELF alignment requirements.
    - x86/APX: VROUND{P,S}{S,D} encodings require AVX512{F,VL}.
    - x86-64: Add R_X86_64_CODE_6_GOTTPOFF.
    - PowerPC: Add support for Power11 options.
    - x86: Display -msse-check= default as none.

 -- Matthias Klose <doko@debian.org>  Wed, 21 Feb 2024 23:41:40 +0100

binutils (2.42-2ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Jan 2024 11:07:15 +0100

binutils (2.42-2) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.42 branch.
    - Add missing test case files.
    - Fix PR binutils/31314, chew crashing on use of uninitialized value.
  * Update bpf target from the trunk:
    - bpf: there are no ldinddw nor ldabsdw instructions.
  * Update libgprofng symbols file.

 -- Matthias Klose <doko@debian.org>  Tue, 30 Jan 2024 11:04:12 +0100

binutils (2.42-1ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 29 Jan 2024 16:48:35 +0100

binutils (2.42-1) unstable; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Mon, 29 Jan 2024 16:42:44 +0100

binutils (2.41.90.20240122-1ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Jan 2024 16:24:41 +0100

binutils (2.41.90.20240122-1) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.42 branch.
  * Update libgprofng symbols file.
  * Explicitly add i686-linux-gnu for the amd64 binutils.

 -- Matthias Klose <doko@debian.org>  Mon, 22 Jan 2024 16:01:28 +0100

binutils (2.41.90.20240115-1ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 15 Jan 2024 17:36:34 +0100

binutils (2.41.90.20240115-1) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.42 branch.
  * Drop the gold-mips patch. Closes: #1049455.
  * Enabled gold on amd64-hurd. Closes: #1060419.
  * Configure hppa binutils with --enable-targets=hppa64-linux-gnu.
    Closes: #1059674.
  * Drop nocheck override for powerpc and sparc64. Closes: #1059703.
  * Configure again with --enable-pgo-build=lto.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Mon, 15 Jan 2024 16:43:24 +0100

binutils (2.41.50.20231227-1ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Dec 2023 12:18:58 +0100

binutils (2.41.50.20231227-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Wed, 27 Dec 2023 10:36:14 +0100

binutils (2.41.50.20231214-1ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Dec 2023 17:53:35 +0100

binutils (2.41.50.20231214-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
    - Fixes a memory leak. Closes: #1057962.

 -- Matthias Klose <doko@debian.org>  Thu, 14 Dec 2023 17:33:06 +0100

binutils (2.41.50.20231206-1ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Dec 2023 10:42:02 +0100

binutils (2.41.50.20231206-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Add more GCC test dependencies for builds on ppc64el and s390x.
  * Update libgprofng symbols file.
  * Reset the ignored-regression list.

 -- Matthias Klose <doko@debian.org>  Wed, 06 Dec 2023 08:47:54 +0100

binutils (2.41.50.20231202-1ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Dec 2023 13:06:26 +0100

binutils (2.41.50.20231202-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
    - Fix generation of gprofng man pages. Closes: #1042966.
  * Split out some macros into debian/rules.defs.
  * Ignore regressions compared to 2.41, See PR ld/31100, PR ld/31101,
    PR ld/31102.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Dec 2023 11:15:23 +0100

binutils (2.41.50.20231127-0ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 27 Nov 2023 14:38:03 +0100

binutils (2.41.50.20231125-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Build cross packages on s390x.

 -- Matthias Klose <doko@debian.org>  Sat, 25 Nov 2023 10:44:41 +0100

binutils (2.41.50.20231101-1ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 01 Nov 2023 08:40:12 +0100

binutils (2.41.50.20231101-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Wed, 01 Nov 2023 08:19:21 +0100

binutils (2.41.50.20231010-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Build packages for loong64. Addresses: #1034633.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Oct 2023 12:19:36 +0200

binutils (2.41.50.20230905-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Don't create a dangling gold symlink on archs where it's not available.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Sep 2023 16:05:21 +0200

binutils (2.41.50.20230803-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Build alpha arc hppa m68k sh4 sparc64 cross packages on ppc64el.
  * Ignore gprofng and bootstrap test regressions.

 -- Matthias Klose <doko@debian.org>  Thu, 03 Aug 2023 04:09:45 +0200

binutils (2.41.50.20230731-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Bump symbols files to final 2.41 version.

 -- Matthias Klose <doko@debian.org>  Mon, 31 Jul 2023 08:09:39 +0200

binutils (2.41-6ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 31 Oct 2023 10:18:19 +0100

binutils (2.41-6) unstable; urgency=medium

  * Update binutils from the 2.41 branch.
    - Fix PR gas/30856, x86-64: suffix-less PUSH of symbol address.
    - AArch64: Remove unused function.
    - x86: restrict prefix use with .insn VEX/XOP/EVEX.
  * Build packages for loong64. Closes: #1034633.
  * Fix PR ld/30940, taken from the trunk. Closes: #1053578.

 -- Matthias Klose <doko@debian.org>  Wed, 11 Oct 2023 03:40:20 +0200

binutils (2.41-5ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Sep 2023 16:02:40 +0200

binutils (2.41-5) unstable; urgency=medium

  * Update binutils from the 2.41 branch.
    - Fix PR gold/30794 (PPC): internal error in add_output_section_to_load.
    - Fix PR bfd/30724, cygwin ld performance regression.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Sep 2023 15:53:35 +0200

binutils (2.41-4ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Aug 2023 18:37:20 +0200

binutils (2.41-4) unstable; urgency=medium

  * Update binutils from the 2.41 branch.
    - Fix PR ld/30697, ppc32 mix of local-dynamic and global-dynamic TLS.
  * Don't create a dangling gold symlink on archs where it's not available.

 -- Matthias Klose <doko@debian.org>  Wed, 09 Aug 2023 16:36:52 +0200

binutils (2.41-3ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 Aug 2023 06:42:48 +0200

binutils (2.41-3) unstable; urgency=medium

  * Apply proposed patch for PR gprofng/30700.
  * Also ignore the gprofng.display/display.exp synprog test failure.

 -- Matthias Klose <doko@debian.org>  Thu, 03 Aug 2023 06:10:47 +0200

binutils (2.41-2) unstable; urgency=medium

  * Update binutils from the 2.41 branch.
    - Fix PR gas/28989, rework timestamp preservation on doc/asconfig.texi.
    - Update translations.
  * Bump symbols files to final 2.41 version.
  * Update VCS attributes.
  * Ignore gprofng and bootstrap test regressions.
  * gprofng: Fix build with 64bit file offset on 32bit machines, patch taken
    from the trunk.
  * Build alpha arc hppa m68k sh4 sparc64 cross packages on ppc64el.

 -- Matthias Klose <doko@debian.org>  Wed, 02 Aug 2023 09:49:46 +0200

binutils (2.41-1ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 30 Jul 2023 18:07:57 +0200

binutils (2.41-1) unstable; urgency=medium

  * binutils 2.41 release.
  * Update libgprofng0 symbols file for x32.

 -- Matthias Klose <doko@debian.org>  Sun, 30 Jul 2023 18:01:13 +0200

binutils (2.40.90.20230729-2) unstable; urgency=medium

  * Fix typo in libgprofng0 symbols file (Sven Joachim). Closes: #1042498.

 -- Matthias Klose <doko@debian.org>  Sat, 29 Jul 2023 12:47:21 +0200

binutils (2.40.90.20230729-1) unstable; urgency=medium

  * New upstream snapshot, taken from the binutils 2.41 release branch.
  * Let objcopy honor the SOURCE_DATE_EPOCH env (Johannes Schauer).
    Taken from the trunk, closes: #1040450.
  * Fix some lintian warnings.
  * Ignore bootstrap regressions on m68k.
  * Add libgprofng0 symbols file.

 -- Matthias Klose <doko@debian.org>  Sat, 29 Jul 2023 04:14:55 +0200

binutils (2.40.90.20230720-1ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Jul 2023 15:36:42 +0200

binutils (2.40.90.20230720-1) unstable; urgency=medium

  * New upstream snapshot, taken from the binutils 2.41 release branch.
    - Fix PR ld/30632 - ld segfaults if linker script includes a STARTUP line.
      Closes: #1040913.
  * Stop ignoring new regressions again.
  * binutils: Suggest gprofng-gui.

 -- Matthias Klose <doko@debian.org>  Thu, 20 Jul 2023 15:27:46 +0200

binutils (2.40.90.20230714-2ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 15 Jul 2023 17:03:06 +0200

binutils (2.40.90.20230714-2) unstable; urgency=medium

  * Ignore the dwarf.exp test failure, not reproducible locally.

 -- Matthias Klose <doko@debian.org>  Sat, 15 Jul 2023 16:58:54 +0200

binutils (2.40.90.20230714-1) unstable; urgency=medium

  * New upstream snapshot, taken from the binutils 2.41 release branch.
  * Stop ignoring new regressions on mipsel and mips64el.
  * Build alpha hppa m68k powerpc sh4 sparc64 cross packages on arm64.
    Addresses: #969195.
  * Fix PR gprofng/30602, taken from the trunk.
  * Run the testsuite on i386 again.

 -- Matthias Klose <doko@debian.org>  Fri, 14 Jul 2023 12:42:55 +0200

binutils (2.40.90.20230705-1ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Jul 2023 17:26:00 +0200

binutils (2.40.90.20230705-1) unstable; urgency=medium

  * New upstream snapshot, taken from the binutils 2.41 release branch.
  * Disable running tests on i386, testsuite hangs, see PR gprofng/30602.
  * Ignore regressions on mipsel and mips64el. These were introduced by
    the upstream mips maintainer by reverting some commits. His promise
    is these "will be sorted in the coming weeks, resources permitting".
    See PR 30607.  Don't wait for this promise.

 -- Matthias Klose <doko@debian.org>  Wed, 05 Jul 2023 13:50:30 +0200

binutils (2.40.50.20230701-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Disable running tests on i386, testsuite hangs, see PR gprofng/30602.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 01 Jul 2023 16:24:06 +0200

binutils (2.40.50.20230630-1ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 30 Jun 2023 12:28:17 +0200

binutils (2.40.50.20230630-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Split-out libsframe1 and libsframe1-dbg packages.
  * Build hurd-amd64 cross packages.

 -- Matthias Klose <doko@debian.org>  Fri, 30 Jun 2023 10:42:05 +0200

binutils (2.40.50.20230625-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Sun, 25 Jun 2023 09:25:03 +0200

binutils (2.40.50.20230622-1ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 Jun 2023 15:32:08 +0200

binutils (2.40.50.20230622-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Jun 2023 14:46:17 +0200

binutils (2.40.50.20230618-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Sun, 18 Jun 2023 10:04:06 +0200

binutils (2.40.50.20230611-2ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Jun 2023 07:02:43 +0200

binutils (2.40.50.20230611-2) unstable; urgency=medium

  * Ignore the objdump test failures for now.

 -- Matthias Klose <doko@debian.org>  Sun, 11 Jun 2023 19:46:54 +0200

binutils (2.40.50.20230611-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Sun, 11 Jun 2023 13:30:31 +0200

binutils (2.40.50.20230602-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * debian/rules: Pass argument to tar to sort the files in the binutils
    source tarball (Vagrant Cascadian). Closes: #1033958.

 -- Matthias Klose <doko@debian.org>  Fri, 02 Jun 2023 10:10:27 +0200

binutils (2.40.50.20230510-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Pass -ffile-prefix-map to CFLAGS and CXXFLAGS (Vagrant Cascadian).
    Closes: #1033959.
  * Build a hurd-amd64 package (Samuel Thibault). Closes: #1035773.

 -- Matthias Klose <doko@debian.org>  Wed, 10 May 2023 14:35:01 +0200

binutils (2.40.50.20230501-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Refresh patches.
  * Provide the gold binary name in cross packages. Closes: #1035342.

 -- Matthias Klose <doko@debian.org>  Mon, 01 May 2023 15:45:35 +0200

binutils (2.40.50.20230215-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Feb 2023 05:46:01 +0100

binutils (2.40.50.20230111-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Wed, 11 Jan 2023 07:47:52 +0100

binutils (2.40-2ubuntu5) mantic; urgency=medium

  * Update from the binutils 2.40 branch:
    - Fix PR30198, Assertion and segfault when linking x86_64 elf and coff.
    - Fix PR30217, dynamic relocations using local dynamic symbols.
    - libctf: fix assertion failure with no system qsort_r.
    - libctf: get the offsets of fields of unnamed structs/unions right.
    - gas: arm: Fix a further IT-predicated vcvt issue in the presense of
      MVE vcvtn.
    - gas: arm: Change warning message to not reference specific A-class
      architecture revision.
    - PR ld/30281: lto: Don't add indirect symbols for versioned aliases in IR.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 May 2023 09:36:09 +0200

binutils (2.40-2ubuntu4) lunar; urgency=medium

  * debian/binutils-common.preinst: remove /etc/gprofng.rc if it has not been
    modified to avoid unnecessary conffile prompt on upgrade (LP: #2015778)

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Thu, 13 Apr 2023 16:38:40 -0400

binutils (2.40-2ubuntu3) lunar; urgency=medium

  * Update from the binutils 2.40 branch:
    - Translation updates.
    - Fix PR ld/30155, ld segfault in _bfd_nearby_section.
    - Fix PR30046, power cmpi leads to unknown architecture.
    - ppc32 and "LOAD segment with RWX permissions"

 -- Matthias Klose <doko@ubuntu.com>  Sun, 05 Mar 2023 09:47:46 +0100

binutils (2.40-2ubuntu2) lunar; urgency=medium

  * Update from the binutils 2.40 branch:
    - Translation updates.
    - libctf: update regexp to allow makeinfo to build document.
    - Fix PR libsframe/30014.
    - gprofng: PR29521 [docs] man pages are not in the release tarball.
    - gprofng: PR30043 libgprofng.so.* are installed to a wrong location.
    - RISC-V: make C-extension JAL available again for (32-bit) assembly.
    - bpf: fix error conversion from long unsigned int to unsigned int.
    - Pass $JANSSON_LIBS and $ZSTD_LIBS to ld-bootstrap/bootrap.exp.
    - gas: correct symbol name comparison in .startof./.sizeof. handling.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Feb 2023 06:31:44 +0100

binutils (2.40-2ubuntu1) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 14 Jan 2023 18:30:59 +0100

binutils (2.40-2) unstable; urgency=high

  * binutils 2.40 release.
    - ARM: Fix ld bloat introduced between binutils-2.38 and 2.39.
    - ld/testsuite: Adjust for ELF_MAXPAGESIZE 0x1000.
    - PR libctf/29983: ctf-link outdated input check faulty.
    - PR bfd/29988, Fix a potential illegal memory access in the BFD library
      when parsing a corrupt DWARF file.
    - PR gas/29940, gas/RISC-V: adjust assembler for opcode table re-ordering.
    - IBM zSystems: Fix offset relative to static TLS.
  * Remove the workaround for PR gas/29940.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Sat, 14 Jan 2023 18:24:22 +0100

binutils (2.39.90.20230110-1) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.40 branch.
    - libsframe: adjust an incorrect check in flip_sframe.
    - sframe: fix the defined SFRAME_FRE_TYPE_*_LIMIT constants.
    - Fix PR ld/18841, ifunc relocation ordering on ARM.
    - Skip PR ld/23169 test on ARM.
    - Fix PR 29972, inconsistent format specification in singular form.
    - Avoid unaligned pointer reads in PEP idata section.
    - Update translations.
  * Build-depend on libzstd-dev.
  * binutils-source: Depend on libjansson-dev, pkg-config, libzstd-dev.
  * debian/copyright: Update years.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Jan 2023 06:17:01 +0100

binutils (2.39.90.20230104-1) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.40 branch.
  * Also don't ship libsframe in i386 cross binutils. Closes: #1026779.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Jan 2023 08:44:08 +0100

binutils (2.39.90.20221231-1ubuntu1) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 Jan 2023 16:24:19 +0100

binutils (2.39.90.20221231-1) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.40 branch.
  * Revert part of "RISC-V: re-arrange opcode table for consistent alias
    handling", see PR gas/29940. Closes: #1026979.
  * Fix typo in README (Antonio Terceiro).
  * Remove test for ancient version in maintainer scripts (Gioele Barabucci).
  * Update VCS attributes in the control file.

 -- Matthias Klose <doko@debian.org>  Sun, 01 Jan 2023 13:42:03 +0100

binutils (2.39.50.20221224-1ubuntu1) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Dec 2022 10:41:27 +0100

binutils (2.39.50.20221224-1) unstable; urgency=medium

  * New upstream snapshot.
  * Don't link ld with libjansson explicitly. Closes: #1025796.
  * Don't ship libsframe in cross binutils. Closes: #1026779.

 -- Matthias Klose <doko@debian.org>  Sat, 24 Dec 2022 10:11:11 +0100

binutils (2.39.50.20221211-0ubuntu1) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 11 Dec 2022 18:49:23 +0100

binutils (2.39.50.20221208-5) unstable; urgency=medium

  * More mangling of the ld.gold man page. Closes: #1023198.
  * Run again the tests during the build.

 -- Matthias Klose <doko@debian.org>  Sat, 10 Dec 2022 11:57:23 +0100

binutils (2.39.50.20221208-4) unstable; urgency=medium

  * Don't ship header files in cross binutils. Closes: #1025794, #1025797.
  * Disable running the tests for this upload.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 09 Dec 2022 14:41:10 +0100

binutils (2.39.50.20221208-3) unstable; urgency=medium

  * Update autopkg test dependencies.

 -- Matthias Klose <doko@debian.org>  Fri, 09 Dec 2022 09:01:46 +0100

binutils (2.39.50.20221208-2) unstable; urgency=medium

  * New upstream snapshot.
  * Build gold with jansson support.
  * More mangling of the ld.gold man page. Closes: #1023198.

 -- Matthias Klose <doko@debian.org>  Thu, 08 Dec 2022 12:33:49 +0100

binutils (2.39.50.20221129-1ubuntu1) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 29 Nov 2022 09:00:42 +0100

binutils (2.39.50.20221129-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Tue, 29 Nov 2022 08:23:19 +0100

binutils (2.39.50.20221116-1ubuntu1) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 Nov 2022 16:04:07 +0100

binutils (2.39.50.20221116-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Wed, 16 Nov 2022 11:00:35 +0100

binutils (2.39.50.20221101-2ubuntu1) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 01 Nov 2022 16:44:22 +0100

binutils (2.39.50.20221101-2) experimental; urgency=medium

  * Ignore regressions on armel, armhf. See PR ld/29739.

 -- Matthias Klose <doko@debian.org>  Tue, 01 Nov 2022 16:40:46 +0100

binutils (2.39.50.20221101-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Tue, 01 Nov 2022 11:23:18 +0100

binutils (2.39.50.20221010-1) experimental; urgency=medium

  * New upstream snapshot.
  * Make the gold man page target independent. Closes: #1021506.
  * Fix libctf0 package description. Closes: #1004621.

 -- Matthias Klose <doko@debian.org>  Mon, 10 Oct 2022 12:12:53 +0200

binutils (2.39.50.20221004-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Oct 2022 12:14:31 +0200

binutils (2.39-8ubuntu2) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 31 Oct 2022 18:09:12 +0100

binutils (2.39-8) unstable; urgency=medium

  * Fix PR/gprofng/29663: Use the --libdir path to find libraries.
    Closes: #1016725, #1019657.

 -- Matthias Klose <doko@debian.org>  Thu, 13 Oct 2022 09:55:07 +0200

binutils (2.39-7) unstable; urgency=medium

  * Update VCS attributes.
  * Make the gold man page target independent. Closes: #1021506.
  * Fix libctf0 package description. Closes: #1004621.

 -- Matthias Klose <doko@debian.org>  Mon, 10 Oct 2022 12:07:25 +0200

binutils (2.39-6) unstable; urgency=medium

  * Fix arch-only build.

 -- Matthias Klose <doko@debian.org>  Fri, 30 Sep 2022 13:34:10 +0200

binutils (2.39-5) unstable; urgency=medium

  * Only install /etc/gprofng.rc when available.
  * Don't ship a symbols file for libgprofng0.

 -- Matthias Klose <doko@debian.org>  Fri, 30 Sep 2022 10:10:39 +0200

binutils (2.39-4) unstable; urgency=medium

  * Update from the binutils 2.39 branch:
    - Fix PR gold/29542, PowerPC gold internal error.
  * Build packages for arc-linux-gnu. Closes: #1002705.
  * Fix some lintian errors and warnings.

 -- Matthias Klose <doko@debian.org>  Wed, 28 Sep 2022 13:35:26 +0200

binutils (2.39-3ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Sep 2022 10:38:45 +0200

binutils (2.39-3) unstable; urgency=medium

  * Ignore two failing tests on amd64, sh4 and x32, some more on hurd-i386.

 -- Matthias Klose <doko@debian.org>  Sat, 24 Sep 2022 14:22:36 +0200

binutils (2.39-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 08 Aug 2022 13:07:40 +0200

binutils (2.39-1) unstable; urgency=medium

  * binutils 2.39 release.
  * Update from the binutils 2.39 branch:
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Fri, 23 Sep 2022 16:40:37 +0200

binutils (2.38.90.20220713-2ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Jul 2022 12:11:50 +0200

binutils (2.38.90.20220713-2) unstable; urgency=medium

  * Regenerate gprofng/common/config.h.in.

 -- Matthias Klose <doko@debian.org>  Thu, 14 Jul 2022 12:07:20 +0200

binutils (2.38.90.20220713-1) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.39 release branch.
  * Don't ignore any regressions on any architecture.

 -- Matthias Klose <doko@debian.org>  Wed, 13 Jul 2022 10:38:21 +0200

binutils (2.38.50.20220707-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Jul 2022 12:38:17 +0200

binutils (2.38.50.20220707-1) unstable; urgency=medium

  * New upstream snapshot.
  * Undo the reversion from the last upload.

 -- Matthias Klose <doko@debian.org>  Thu, 07 Jul 2022 12:29:59 +0200

binutils (2.38.50.20220629-4ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 01 Jul 2022 16:22:59 +0200

binutils (2.38.50.20220629-4) unstable; urgency=medium

  * Revert patches for AArch64: Disallow copy relocations on protected data.

 -- Matthias Klose <doko@debian.org>  Fri, 01 Jul 2022 15:39:02 +0200

binutils (2.38.50.20220629-2) unstable; urgency=medium

  * Fix installation of the gprofng.rc config file.

 -- Matthias Klose <doko@debian.org>  Thu, 30 Jun 2022 09:05:34 +0200

binutils (2.38.50.20220629-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Wed, 29 Jun 2022 14:48:40 +0200

binutils (2.38.50.20220627-1) unstable; urgency=medium

  * New upstream snapshot.
    - Fix PR 29263 for hppa-linux-gnu.
  * Fix cross-build error in gprofng subdir.

 -- Matthias Klose <doko@debian.org>  Mon, 27 Jun 2022 16:25:10 +0200

binutils (2.38.50.20220615-4ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Jun 2022 13:33:22 +0200

binutils (2.38.50.20220615-4) unstable; urgency=medium

  * Don't install the gprofng binary in the binutils-multiarch package.
  * Don't install the gprofng plugins in the binutils-multiarch package.

 -- Matthias Klose <doko@debian.org>  Thu, 16 Jun 2022 13:16:53 +0200

binutils (2.38.50.20220615-2) unstable; urgency=medium

  * Don't install gp-* binaries in the binutils-multiarch package.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Jun 2022 19:28:52 +0200

binutils (2.38.50.20220615-1) unstable; urgency=medium

  * New upstream snapshot.
  * Ignore the pr26580-4 regression on m68k and sh4.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Jun 2022 12:53:45 +0200

binutils (2.38.50.20220609-2ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Jun 2022 14:18:23 +0200

binutils (2.38.50.20220609-2) experimental; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Jun 2022 14:40:22 +0200

binutils (2.38.50.20220527-2ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 27 May 2022 14:51:27 +0200

binutils (2.38.50.20220527-2) experimental; urgency=medium

  * Move gprofng configuration file to binutils-common.
  * Configure with --sysconfdir=/etc.

 -- Matthias Klose <doko@debian.org>  Fri, 27 May 2022 13:52:17 +0200

binutils (2.38.50.20220527-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Fri, 27 May 2022 10:41:06 +0200

binutils (2.38.50.20220512-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 12 May 2022 14:52:19 +0200

binutils (2.38.50.20220512-1) experimental; urgency=medium

  * New upstream snapshot.
  * Fix the build for architectures without gprofng support.

 -- Matthias Klose <doko@debian.org>  Thu, 12 May 2022 11:01:50 +0200

binutils (2.38.50.20220509-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 May 2022 20:41:11 +0200

binutils (2.38.50.20220509-1) experimental; urgency=medium

  * New upstream snapshot.
  * Fix the build for architectures without gprofng support.

 -- Matthias Klose <doko@debian.org>  Mon, 09 May 2022 20:13:26 +0200

binutils (2.38.50.20220503-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 May 2022 01:26:36 +0200

binutils (2.38.50.20220503-1) experimental; urgency=medium

  * New upstream snapshot.
  * Build libgprofng0 and libgprofng0-dbg packages.

 -- Matthias Klose <doko@debian.org>  Wed, 04 May 2022 00:06:52 +0200

binutils (2.38-4ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 May 2022 23:01:48 +0200

binutils (2.38-4) unstable; urgency=medium

  * Update from the binutils 2.38 branch:
    - Fix PR ld/29087, x86: invalid relocation against protected symbol.
    - s390: Add DT_JMPREL pointing to .rela.[i]plt with static-pie.
    - Fix PR ld/22263, s390: Avoid dynamic TLS relocs in PIE.
    - Fix PR libctf/28933: ld: diagnose corrupted CTF header cth_strlen.
    - Fix PR 28885.
    - PR28959, obdump doesn't disassemble mftb instruction.
    - PowerPC64 DT_RELR relative reloc addresses.
  * Fix reproducible builds: source tarball embeds build user and group.
    Closes: #1010238.

 -- Matthias Klose <doko@debian.org>  Mon, 02 May 2022 22:50:25 +0200

binutils (2.38-3ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Mar 2022 06:55:17 +0100

binutils (2.38-3) unstable; urgency=medium

  * Update from the binutils 2.38 branch:
    - Revert "Check thin archive element file size against archive header".
    - binutils 2.38 vs. ppc32 linux kernel: Weaken .machine again.

 -- Matthias Klose <doko@debian.org>  Sat, 12 Mar 2022 06:40:23 +0100

binutils (2.38-2ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Feb 2022 06:05:30 +0100

binutils (2.38-2) unstable; urgency=medium

  * Update from the binutils 2.38 branch:
    - Updated Serbian translations.
    - ld: Keep indirect symbol from IR if referenced from shared object.
    - i386: Update I386_NEED_DYNAMIC_RELOC_TYPE_P for DT_TEXTREL.
    - Fix PR28882, build failure with gcc-4.2 due to use of 0b literals.
    - x86: Disallow invalid relocation against protected symbol.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Feb 2022 05:46:44 +0100

binutils (2.38-1ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Feb 2022 19:33:34 +0100

binutils (2.38-1) unstable; urgency=medium

  * binutils 2.38 release.

 -- Matthias Klose <doko@debian.org>  Wed, 09 Feb 2022 15:53:21 +0100

binutils (2.37.90.20220207-1ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Feb 2022 09:14:58 +0100

binutils (2.37.90.20220207-1) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.38 release branch.
    - Revert "ld: Rewrite lang_size_relro_segment_1".
    - Revert "elf: Remove the 1-page gap before the RELRO segment".

 -- Matthias Klose <doko@debian.org>  Mon, 07 Feb 2022 08:54:20 +0100

binutils (2.37.90.20220130-2) unstable; urgency=medium

  * Also ignore regressions for the cross packages.

 -- Matthias Klose <doko@debian.org>  Sun, 30 Jan 2022 17:51:18 +0100

binutils (2.37.90.20220130-0ubuntu2) jammy; urgency=medium

  * Also ignore regressions for the cross packages.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 30 Jan 2022 16:59:06 +0100

binutils (2.37.90.20220130-0ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 30 Jan 2022 14:48:27 +0100

binutils (2.37.90.20220130-1) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.38 release branch.
    - Fix PR ld/28743, PR ld/28819. Closes: #1004272. LP: #1958642.
  * Configure with --with-isa-spec=2.2 on riscv64. LP: #1959325. Only change
    to the new ISA when GCC 12 becomes the default.
  * Fix PR ld/28827, taken from the trunk.
  * Fix PR ld/28826 x86_64 ld segfaults building xen, taken from the trunk.
    Closes: #1004269. LP: #1958389.

 -- Matthias Klose <doko@debian.org>  Sun, 30 Jan 2022 14:41:25 +0100

binutils (2.37.90.20220126-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot, taken from the 2.38 release branch.
    - Fix PR ld/28743, PR ld/28819. Closes: #1004272. LP: #1958642.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Jan 2022 19:03:09 +0100

binutils (2.37.90.20220123-2) unstable; urgency=medium

  * Apply proposed patch for PR ld/28819.

 -- Matthias Klose <doko@debian.org>  Tue, 25 Jan 2022 16:57:38 +0100

binutils (2.37.90.20220123-1) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.38 release branch.

 -- Matthias Klose <doko@debian.org>  Sun, 23 Jan 2022 17:51:30 +0100

binutils (2.37.50.20220119-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Jan 2022 15:22:40 +0100

binutils (2.37.50.20220106-2ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 07 Jan 2022 08:42:48 +0100

binutils (2.37.50.20220106-2) unstable; urgency=medium

  * Ignore known regressions on powerpc, ppc64, ppc64el, see PR ld/28751.

 -- Matthias Klose <doko@debian.org>  Fri, 07 Jan 2022 08:39:03 +0100

binutils (2.37.50.20220106-1) unstable; urgency=medium

  * New upstream snapshot.
  * Configure with --disable-silent-rules.
  * Disable LTO in mipsel to workaround timeouts during tests.

 -- Matthias Klose <doko@debian.org>  Thu, 06 Jan 2022 07:38:55 +0100

binutils (2.37.50.20211201-1) experimental; urgency=medium

  * New upstream snapshot.
  * Ignore test regressions on mipsel, riscv64, sparc64.

 -- Matthias Klose <doko@debian.org>  Wed, 01 Dec 2021 10:52:43 +0100

binutils (2.37.50.20211118-1ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 18 Nov 2021 09:37:56 +0100

binutils (2.37.50.20211118-1) experimental; urgency=medium

  * New upstream snapshot.
  * Configure --with-gold-ldflags=-static-libstdc++.

 -- Matthias Klose <doko@debian.org>  Thu, 18 Nov 2021 09:20:55 +0100

binutils (2.37.50.20211115-1ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 15 Nov 2021 12:13:28 +0100

binutils (2.37.50.20211115-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Mon, 15 Nov 2021 11:17:26 +0100

binutils (2.37.50.20211102-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Tue, 02 Nov 2021 13:47:31 +0200

binutils (2.37-9ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 15 Nov 2021 11:07:25 +0100

binutils (2.37-9) unstable; urgency=medium

  * Update from the binutils 2.37 branch:
    - [GOLD] Place .note.gnu.property section before other note sections.
    - Fix PR 28540, segmentation fault on NULL byte_get.
    - Fix PR 28523, ld.bfd created undefined symbols on ppc64.
  * Update VCS attributes.

 -- Matthias Klose <doko@debian.org>  Mon, 15 Nov 2021 10:56:26 +0100

binutils (2.37-8) unstable; urgency=medium

  * Update from the binutils 2.37 branch:
    - PR28391, strip/objcopy --preserve-dates *.a: cannot set time.
    - [GOLD] Got_offset_list: addend field.
    - [GOLD] Remove addend from Local_got_entry_key.
    - [GOLD] Output_data_got tidy.
    - [GOLD] Output_data_got create entry method addends.
    - [GOLD] Got_entry::write addends.
    - [GOLD] PowerPC64 support for sym+addend GOT entries.
    - ld: pru: Fix resource_table output section alignment.
    - Fix PR28422, build_id use-after-free.
    - Fix PR28459, readelf issues bogus warning.
    - [GOLD] PowerPC64: Don't pretend to support multi-toc.
    - [GOLD] Two GOT sections for PowerPC64.
    - Fix PR gold/27625, powerpc64 gold __tls_get_addr calls.
    - Fix PR28417, std::string no longer allows accepting nullptr_t.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 02 Nov 2021 13:17:11 +0200

binutils (2.37-7ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 19 Sep 2021 17:34:35 +0200

binutils (2.37-7) unstable; urgency=medium

  * Fix PR ld/28348, taken from the trunk. Closes: #994530.
  * Revert the arc build, needs dpkg supporting this architecture.

 -- Matthias Klose <doko@debian.org>  Sun, 19 Sep 2021 17:23:57 +0200

binutils (2.37-6) unstable; urgency=medium

  * Add support to build for arc-linux-gnu. Closes: #994190.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Sep 2021 08:41:56 +0200

binutils (2.37-5ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 30 Aug 2021 10:59:38 +0200

binutils (2.37-5) unstable; urgency=medium

  * Update from the binutils 2.37 branch:
    - [GOLD] PowerPC64 relocation overflow for -Os register save/restore funcs.
  * Update libctf0 and libctf-nobsd0 symbols files.
  * Rebuild man pages, included as empty files in the upstream tarball.
    Closes: #992323. LP: #1940712.

 -- Matthias Klose <doko@debian.org>  Mon, 30 Aug 2021 10:51:17 +0200

binutils (2.37-4) unstable; urgency=medium

  * Update from the binutils 2.37 branch:
    - Revert the ld script expression parsing changes.

 -- Matthias Klose <doko@debian.org>  Sun, 15 Aug 2021 16:51:18 +0200

binutils (2.37-2ubuntu4) impish; urgency=medium

  * Configure --with-gold-ldflags=-static-libstdc++.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 14 Aug 2021 14:19:27 +0200

binutils (2.37-2ubuntu3) impish; urgency=medium

  * Update from the binutils 2.37 branch:
    - Revert the ld script expression parsing changes.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 13 Aug 2021 11:33:52 +0200

binutils (2.37-2ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 30 Jul 2021 14:09:19 +0200

binutils (2.37-2) experimental; urgency=medium

  * Update from the binutils 2.37 branch:
    - Fix PR ld/28138, close the file descriptor if there is no archive fd.
    - Fix PR 28144, man page generation.
    - Fix ld script expression parsing.
    - Fix build failures with clang.
    - Revert: PowerPC: Don't generate unused section symbols, blindly
      following x86 broken linux kernel builds.

 -- Matthias Klose <doko@debian.org>  Fri, 30 Jul 2021 13:49:51 +0200

binutils (2.37-1ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 19 Jul 2021 08:20:15 +0200

binutils (2.37-1) experimental; urgency=medium

  * binutils 2.37 release.

 -- Matthias Klose <doko@debian.org>  Mon, 19 Jul 2021 08:11:10 +0200

binutils (2.36.90.20210712-0ubuntu1) impish; urgency=medium

  * New upstream snapshot, taken from the 2.37 release branch.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Jul 2021 09:18:25 +0200

binutils (2.36.90.20210705-1ubuntu1) impish; urgency=medium

  * New upstream snapshot, taken from the 2.37 release branch.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 05 Jul 2021 09:28:29 +0200

binutils (2.36.90.20210705-1) experimental; urgency=medium

  * New upstream snapshot, taken from the 2.37 branch.

 -- Matthias Klose <doko@debian.org>  Mon, 05 Jul 2021 09:17:21 +0200

binutils (2.36.50.20210628-1ubuntu1) impish; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 28 Jun 2021 16:23:43 +0200

binutils (2.36.50.20210628-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Mon, 28 Jun 2021 16:14:58 +0200

binutils (2.36.50.20210618-1ubuntu1) impish; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Jun 2021 14:57:12 +0200

binutils (2.36.50.20210618-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Apply a hack for mips. See #765710.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Jun 2021 11:54:54 +0200

binutils (2.36.50.20210603-0ubuntu1) impish; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 Jun 2021 14:00:25 +0200

binutils (2.36.50.20210602-0ubuntu1) impish; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Jun 2021 07:30:20 +0200

binutils (2.36.50.20210601-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Tue, 01 Jun 2021 21:25:10 +0200

binutils (2.36.1-6ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 20 Mar 2021 16:01:50 +0100

binutils (2.36.1-6) experimental; urgency=medium

  * Update from the binutils 2.36 branch:
    - Add install dependencies for ld -> bfd and libctf -> bfd.
  * Fix dangling symlinks in the cross packages. Closes: #985434.
  * Ignore bootstrap test regressions on alpha and ia64.

 -- Matthias Klose <doko@debian.org>  Sat, 20 Mar 2021 15:59:45 +0100

binutils (2.36.1-5ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 05 Mar 2021 21:08:34 +0100

binutils (2.36.1-5) experimental; urgency=medium

  * Update from the binutils 2.36 branch:
    - PR ld/27441, inconsistency in weak definitions.
    - PowerPC64 undefined weak visibility vs GOT optimisation.

 -- Matthias Klose <doko@debian.org>  Fri, 05 Mar 2021 20:59:07 +0100

binutils (2.36.1-4ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 26 Feb 2021 11:22:18 +0100

binutils (2.36.1-3) experimental; urgency=medium

  * Update from the binutils 2.36 branch:
    - binutils: Avoid renaming over existing files.
    - PR 26945, PR 27456.
  * When stripping packages, call debugedit before dwz to avoid warnings.
  * Add a README.source file.

 -- Matthias Klose <doko@debian.org>  Fri, 26 Feb 2021 11:17:08 +0100

binutils (2.36.1-2ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 21 Feb 2021 12:56:51 +0100

binutils (2.36.1-2) experimental; urgency=medium

  [ Matthias Klose ]
  * Remove unused patch.
  * Show available memory for autopkg tests.
  * Fix libctf* symbols files, and dependency generation. Closes: #983220.
  * Add debugedit as dependency for the build autopkg test.

  [ Nicolas Boulenguez ]
  * Various packaging changes. Closes: #979517.
    - Fix details in clean Make target when TARGET architecture is specified.
    - Fix a variable substition in debian/control.
    - Refresh patches, sorting files in each patch.
    - Compute D_CROSS from P_CROSS.
    - Spare two subprocesses in control file generation.
    - Replace Make foreach function with addprefix when possible.
    - Remove apparently redundant test.
    - Replace calls to dpkg-parsechangelog with /usr/share/dpkg/pkg-info.mk.
    - Make flow of with_cross easyer to follow.
    - Simplify definition of CROSS_ARCHS.
    - Fix prerequisites of stamps/control.
    - Fix an undefined reference when TARGET is defined.
    - Wrap two calls to dpkg-architecture into the _gnu_type macro.
    - Simplify a clean command.
    - Drop two unused variable definitions.
    - Distinguish TARGET, DEB_TARGET_ARCH and DEB_TARGET_GNU_TYPE.
    - Improve the _gnu_type and _multiarch macros.
  * README.cross: Document TARGET-driven cross build. Closes: #979516.

 -- Matthias Klose <doko@debian.org>  Sun, 21 Feb 2021 12:52:20 +0100

binutils (2.36.1-1) experimental; urgency=medium

  * binutils 2.36.1 release.
  * Update from the binutils 2.36 branch:
    - IBM Z: Implement instruction set extensions.
    - PR27382, build failure if fileno() is a macro.
    - ld: Remove x86 ISA level run-time tests.
  * debian/patches/mips64-default-n64.diff: Update (YunQiang Su).
    Patch never forwarded upstream.
  * Build with Rules-Requires-Root: no.
  * Bump standards version.
  * Set unique build-ids for stripped files.

 -- Matthias Klose <doko@debian.org>  Fri, 19 Feb 2021 14:52:51 +0100

binutils (2.36.1-0ubuntu1) hirsute; urgency=medium

  * binutils 2.36.1 release.
  * Update from the binutils 2.36 branch.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Feb 2021 11:48:03 +0100

binutils (2.36-2ubuntu3) hirsute; urgency=medium

  * Fix PR ld/27358, remove x86 ISA level run-time tests.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 06 Feb 2021 16:27:28 +0100

binutils (2.36-2ubuntu2) hirsute; urgency=medium

  * Snapshot, taken from the 2.36 branch (20210206).

 -- Matthias Klose <doko@ubuntu.com>  Sat, 06 Feb 2021 10:19:12 +0100

binutils (2.36-2ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 30 Jan 2021 16:13:40 +0100

binutils (2.36-2) experimental; urgency=medium

  * Snapshot, taken from the 2.36 branch (20210130).

 -- Matthias Klose <doko@debian.org>  Sat, 30 Jan 2021 16:04:47 +0100

binutils (2.36-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 25 Jan 2021 11:53:34 +0100

binutils (2.36-1) experimental; urgency=medium

  * binutils 2.36 release.
  * Update from the binutils 2.35 branch:
    - DWARF-5: Ignore empty range in DWARF-5 line number tables.

 -- Matthias Klose <doko@debian.org>  Mon, 25 Jan 2021 11:43:44 +0100

binutils (2.35.90.20210120-1ubuntu1) hirsute; urgency=medium

  * Snapshot, taken from the 2.36 branch (20210106).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Jan 2021 11:04:59 +0100

binutils (2.35.90.20210120-1) experimental; urgency=medium

  * Snapshot, taken from the 2.36 branch (20210120).

 -- Matthias Klose <doko@debian.org>  Wed, 20 Jan 2021 10:45:39 +0100

binutils (2.35.90.20210113-1ubuntu1) hirsute; urgency=medium

  * Snapshot, taken from the 2.36 branch (20210106).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Jan 2021 14:53:01 +0100

binutils (2.35.90.20210113-1) experimental; urgency=medium

  * Snapshot, taken from the 2.36 branch (20210106).

 -- Matthias Klose <doko@debian.org>  Wed, 13 Jan 2021 12:00:22 +0100

binutils (2.35.50.20210106-1ubuntu2) hirsute; urgency=medium

  * Snapshot, taken from the trunk (20210106).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Jan 2021 16:09:47 +0100

binutils (2.35.50.20210106-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20210106).
  * Fix FTCBFS: Disable pgo for cross builds (Helmut Grohne). Closes: #977822.
  * 'nopgo' in DEB_BUILD_OPTIONS also disables the pgo builds.

 -- Matthias Klose <doko@debian.org>  Wed, 06 Jan 2021 13:35:29 +0100

binutils (2.35.50.20201218-1ubuntu3) hirsute; urgency=medium

  * Fix FTCBFS: Disable pgo for cross builds (Helmut Grohne). Closes: #977822.
  * 'nopgo' in DEB_BUILD_OPTIONS also disables the pgo builds.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 23 Dec 2020 10:14:01 +0100

binutils (2.35.50.20201218-1ubuntu2) hirsute; urgency=medium

  * Disable pgo+lto on ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Dec 2020 10:09:33 +0100

binutils (2.35.50.20201218-1ubuntu1) hirsute; urgency=medium

  * Snapshot, taken from the trunk (20201218).
  * Undo the revert in the previous upload (LP: #1907789).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Dec 2020 20:17:04 +0100

binutils (2.35.50.20201209-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20201209).
  * Update libctf symbols files.

 -- Matthias Klose <doko@debian.org>  Wed, 09 Dec 2020 12:56:08 +0100

binutils (2.35.50.20201210-0ubuntu2) hirsute; urgency=medium

  * Revert linker options parsing patch. LP: #1907789.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 11 Dec 2020 11:29:47 +0100

binutils (2.35.50.20201210-0ubuntu1) hirsute; urgency=medium

  * Snapshot, taken from the trunk (20201210).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Dec 2020 10:31:46 +0100

binutils (2.35.50.20201209-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20201209).
  * Update libctf symbols files.

 -- Matthias Klose <doko@debian.org>  Wed, 09 Dec 2020 12:56:08 +0100

binutils (2.35.50.20201207-0ubuntu1) hirsute; urgency=medium

  * Snapshot, taken from the trunk (20201206).
  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 09:15:16 +0100

binutils (2.35.50.20201206-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20201206).

 -- Matthias Klose <doko@debian.org>  Sun, 06 Dec 2020 10:35:20 +0100

binutils (2.35.50.20201125-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Nov 2020 11:49:26 +0100

binutils (2.35.50.20201103-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Nov 2020 09:53:49 +0100

binutils (2.35.50.20201103-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20201104).
  * Ignore strip-nondeterminism errors.
  * Configure with --enable-obsolete (ia64).

 -- Matthias Klose <doko@debian.org>  Tue, 03 Nov 2020 09:30:21 +0100

binutils (2.35.1-2ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 11:16:00 +0200

binutils (2.35.1-2) unstable; urgency=medium

  * Update from the binutils 2.35 branch:
    - ARM32: Add support for Neoverse N2 and V1 CPUs.
    - AArch64: Add support for Neoverse V1 CPU.
    - Various Power10 and Power gold fixes.
    - Fix PR gas/26685, x86: Check register operand for AddrPrefixOpReg.
    - Fix PR ld/26711, x86: Properly merge -z ibt and -z shstk.
    - Fix PR gas/26699, aarch64: Fix bogus type punning in parse_barrier().
    - Fix PR binutils/26520, fix decoding DWARF information in the BFD library.
  * AArch64: Add support for Neoverse N2 CPU, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Fri, 09 Oct 2020 17:10:08 +0200

binutils (2.35.1-1ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 21 Sep 2020 12:24:12 +0200

binutils (2.35.1-1) unstable; urgency=medium

  * binutils 2.35.1 release.

 -- Matthias Klose <doko@debian.org>  Mon, 21 Sep 2020 11:45:07 +0200

binutils (2.35-3ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 11 Sep 2020 13:05:23 +0200

binutils (2.35-3) unstable; urgency=medium

  * Update from the binutils 2.35 branch:
    - PowerPC TPREL_HA/LO optimisation.
    - Partially fix PR gas/26406, quadratic slowdown when processing secondary
      relocations.
    - Fix PR binutils/26548, spurious overflow error when decoding negative
      LEB128 values.
    - mark's dwarf backports
    - bpf: add xBPF ISA.
    - Backport patches from the mainline to fix the handling of DWARF-5 debug
      information
    - PowerPC: Rename xvcvbf16sp to xvcvbf16spn.
    - Fix PR binutils/26389, nm prints "c" for a common symbol with
      -flto and -fcommon.
    - Arm: Fix IT-predicated MVE vcvt.

 -- Matthias Klose <doko@debian.org>  Fri, 11 Sep 2020 12:34:43 +0200

binutils (2.35-2ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Aug 2020 17:57:26 +0200

binutils (2.35-2) unstable; urgency=medium

  * Update from the binutils 2.35 branch:
    - Fixes for the eBPF ELF backend.
    - Fix PR ld/26312, aarch64: set sh_entsize of .plt to 0.
    - Fix PR gas/26305, x86: Add {disp16} pseudo prefix, handle {disp32}
      for (%bp)/(%ebp)/(%rbp).
    - Fix PR ld/26328, compilation warnings.

 -- Matthias Klose <doko@debian.org>  Thu, 13 Aug 2020 16:16:49 +0200

binutils (2.35-1ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 24 Jul 2020 13:09:05 +0200

binutils (2.35-1) unstable; urgency=medium

  * binutils 2.35 release.
    - Fix PR gas/26263. Closes: #965380.
  * Explicitly configure with --disable-x86-used-note.
  * Configure mipsel, mipsn32el, mips64el again with
    --enable-mips-fix-loongson3-llsc=yes (YunQiang Su). Closes: #952737.

 -- Matthias Klose <doko@debian.org>  Fri, 24 Jul 2020 12:52:26 +0200

binutils (2.34.90.20200716-1ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Jul 2020 12:15:22 +0200

binutils (2.34.90.20200716-1) unstable; urgency=medium

  * New upstream snapshot, taken from the binutils 2.35 branch.
  * Explicitly configure with --disable-x86-used-note.
  * Configure mipsel, mipsn32el, mips64el again with
    --enable-mips-fix-loongson3-llsc=yes (YunQiang Su). Closes: #952737.

 -- Matthias Klose <doko@debian.org>  Thu, 16 Jul 2020 11:29:49 +0200

binutils (2.34.90.20200706-1ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't generate control file entries for any native mips* packages.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Jul 2020 22:53:09 +0200

binutils (2.34.90.20200706-1) unstable; urgency=medium

  * New upstream snapshot, taken from the binutils 2.35 branch.

 -- Matthias Klose <doko@debian.org>  Mon, 06 Jul 2020 21:10:37 +0200

binutils (2.34.50.20200605-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Fri, 05 Jun 2020 10:56:37 +0200

binutils (2.34.50.20200512-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Tue, 12 May 2020 16:24:56 +0200

binutils (2.34-7ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't generate control file entries for any native mips* packages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 May 2020 14:30:22 +0200

binutils (2.34-7) unstable; urgency=medium

  * Update from the binutils 2.34 branch:
    - Fix PR binutils/24753, exclude sections with no content from
      compress check.
    - Fix PR gas/25863 (ARM), scalar vmul inside it block when assembling
      for MVE.
    - Fix PR ld/16017 (ARM), fix LSB of GOT for Thumb2 only PLT.
    - Arm: Fix thumb2 PLT branch offsets.
  * Update VCS attributes.

 -- Matthias Klose <doko@debian.org>  Thu, 14 May 2020 14:17:58 +0200

binutils (2.34-6ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't generate control file entries for any native mips* packages.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Apr 2020 13:42:51 +0200

binutils (2.34-6) unstable; urgency=medium

  * Update from the binutils 2.34 branch:
    - Fix PR lto/94249, typo in a macro usage, improve endianess detection.
    - PR25745, powerpc64-ld overflows string buffer in --stats mode.
    - plugin: Don't invoke LTO-wrapper.
    - PR binutils/25640, plugin: Use LDPT_ADD_SYMBOLS_V2 to get symbol type.
    - Fix dwarf.c build with GCC 10.
    - PR binutils/25717, build failure with GCC 10.

 -- Matthias Klose <doko@debian.org>  Tue, 07 Apr 2020 13:29:21 +0200

binutils (2.34-5ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't generate control file entries for any native mips* packages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Mar 2020 20:55:01 +0100

binutils (2.34-5) unstable; urgency=medium

  * Update from the binutils 2.34 branch:
    - Fix PR gas/25660, vadd/vsub with lt and le condition codes for MVE.
    - Fix powerpc64-ld infinite loop.

 -- Matthias Klose <doko@debian.org>  Thu, 19 Mar 2020 20:45:59 +0100

binutils (2.34-4ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't generate control file entries for any native mips* packages.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Feb 2020 12:22:48 +0100

binutils (2.34-4) unstable; urgency=medium

  * Update from the binutils 2.34 branch:
    - Fix PR24511, nm should not mark symbols in .init_array as "t".
    - Fix PR binutils/25584, don't call lto-wrapper for ar and ranlib.

 -- Matthias Klose <doko@debian.org>  Fri, 28 Feb 2020 11:18:34 +0100

binutils (2.34-3ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't generate control file entries for any native mips* packages.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 22 Feb 2020 10:24:03 +0100

binutils (2.34-3) unstable; urgency=medium

  * Update from the binutils 2.34 branch:
    - Fix PR gas/25516, Accept Intel64 only instruction by default.
    - Fix PR 25447, prevents a potential illegal memory access when parsing
      PE binaries.
    - Fix PR binutils/25355, import fixes for using the LTO plugin with nm.
    - Fix PR 25585, PHDR segment not covered by LOAD segment.
    - MSP430 updates.
    - Mention x86 assembler options to align branches.
    - AArch64: Fix MOVPRFX markup for bf16 conversions.
  * Make the test summary files reproducible. Addresses: #950585.

 -- Matthias Klose <doko@debian.org>  Sat, 22 Feb 2020 09:49:46 +0100

binutils (2.34-2) unstable; urgency=medium

  * Regenerate the control file.

 -- Matthias Klose <doko@debian.org>  Sun, 02 Feb 2020 17:46:11 +0100

binutils (2.34-1ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't generate control file entries for any native mips* packages.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 02 Feb 2020 09:06:42 +0100

binutils (2.34-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sun, 02 Feb 2020 08:45:55 +0100

binutils (2.33.90.20200122-1ubuntu2) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't generate control file entries for any native mips* packages.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 22 Jan 2020 06:29:07 +0100

binutils (2.33.90.20200122-1) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.34 release branch.

 -- Matthias Klose <doko@debian.org>  Wed, 22 Jan 2020 06:18:41 +0100

binutils (2.33.50.20200115-2) unstable; urgency=high

  [YunQiang Su]
  * refresh and re-enable: mips64-default-n64.diff

 -- YunQiang Su <syq@debian.org>  Thu, 16 Jan 2020 23:35:11 +0800

binutils (2.33.50.20200115-1) unstable; urgency=medium

  * New upstream snapshot.
  * Tighten the build dependency to 2.33.50.20200114-1 for this upload.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Jan 2020 21:18:18 +0100

binutils (2.33.50.20200114-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Jan 2020 13:31:32 +0100

binutils (2.33.50.20200111-1ubuntu1) focal; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Jan 2020 15:01:26 +0100

binutils (2.33.50.20200111-1) unstable; urgency=medium

  * New upstream snapshot.
  * Make autopkgtests cross-test-friendly (Steve Langasek).

 -- Matthias Klose <doko@debian.org>  Sat, 11 Jan 2020 14:24:29 +0100

binutils (2.33.50.20200107-1ubuntu1) focal; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Jan 2020 23:37:20 +0100

binutils (2.33.50.20200107-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Tue, 07 Jan 2020 23:19:25 +0100

binutils (2.33.50.20200105-2ubuntu2) focal; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 05 Jan 2020 11:43:46 +0100

binutils (2.33.50.20200105-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Sun, 05 Jan 2020 11:33:49 +0100

binutils (2.33.50.20191219-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Dec 2019 09:54:11 +0100

binutils (2.33.50.20191216-1ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't generate control file entries for any native mips* packages.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 16 Dec 2019 16:49:06 +0100

binutils (2.33.50.20191216-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Mon, 16 Dec 2019 16:26:37 +0100

binutils (2.33.50.20191212-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Thu, 12 Dec 2019 16:16:13 +0100

binutils (2.33.50.20191205-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Thu, 05 Dec 2019 21:22:15 +0100

binutils (2.33.50.20191128-1) experimental; urgency=medium

  * New upstream snapshot.
  * Split out libctf packages.
  * Save dejagnu log and sum files in binutils-dev.

 -- Matthias Klose <doko@debian.org>  Thu, 28 Nov 2019 09:57:31 +0100

binutils (2.33.50.20191127-1ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't generate control file entries for any native mips* packages.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Nov 2019 22:13:54 +0100

binutils (2.33.50.20191127-1) experimental; urgency=medium

  * New upstream snapshot.
  * Split out libctf packages.

 -- Matthias Klose <doko@debian.org>  Wed, 27 Nov 2019 20:16:21 +0100

binutils (2.33.50.20191121-2) experimental; urgency=medium

  * Fix packaging cross targets.

 -- Matthias Klose <doko@debian.org>  Thu, 21 Nov 2019 23:08:45 +0100

binutils (2.33.50.20191121-1) experimental; urgency=medium

  * New upstream snapshot.
  * Remove the 012_check_ldrunpath_length patch.
  * Don't apply the mips64-default-n64 patch.
  * Refresh patches.
  * Put libctf libctf libraries in libbinutils and binutils-dev for now.

 -- Matthias Klose <doko@debian.org>  Thu, 21 Nov 2019 18:50:25 +0100

binutils (2.33.1-4) unstable; urgency=medium

  * Configure with --enable-mips-fix-loongson3-llsc=yes on mipsel, mips64el,
    mipsn32el (YunQiang Su).
  * Enable building mipsel and mips64el targets on arm64 and ppc64el (YunQiang
    Su). Addresses: #938979.

 -- Matthias Klose <doko@debian.org>  Thu, 21 Nov 2019 15:28:14 +0100

binutils (2.33.1-2) unstable; urgency=medium

  * Update from the binutils 2.33 branch:
    - Arm: Fix out of range conditional branch (PR/24991).
    - [bfd] Revise import stubs on hppa.
    - [bfd] Provide 8-byte minimum alignment for .plt section on hppa.
  * Drop amd64 cross compiler from the build dependencies on x32.

 -- Matthias Klose <doko@debian.org>  Sun, 20 Oct 2019 21:28:38 +0200

binutils (2.33.1-1ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't build the powerpcspe package.
    - Don't generate control file entries for any native mips* packages.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 19:01:50 +0200

binutils (2.33.1-1) unstable; urgency=medium

  * Binutils 2.33.1 release.

 -- Matthias Klose <doko@debian.org>  Tue, 15 Oct 2019 11:43:46 +0200

binutils (2.33-2ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't build the powerpcspe package.
    - Don't generate control file entries for any native mips* packages.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Oct 2019 10:52:19 +0200

binutils (2.33-2) unstable; urgency=medium

  * Update from the binutils 2.33 branch:
    - Fix PR25079, "ar s" stopped working. Closes: #941921.
    - PowerPC TLS miscounting PLT for __tls_get_addr.
    - PowerPC section flag tidy.
    - PowerPC PIC vs. DLL TLS issues.
    - PR25046, readelf "Reading xxx bytes extends past end of file for dynamic section".
    - PR24262, plugin search dir doesn't respect --libdir.

 -- Matthias Klose <doko@debian.org>  Wed, 09 Oct 2019 10:42:29 +0200

binutils (2.33-1ubuntu1) eoan; urgency=medium

  * Don't generate control file entries for any native mips* packages.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 08 Oct 2019 12:41:06 +0200

binutils (2.33-1) unstable; urgency=medium

  * Binutils 2.33 release (taken from the binutils-2_33 tag).
  * Update from the binutils 2.33 branch:
    - Fix PR 24942, change objcopy's --set-section-alignment option so that it
      takes a byte alignment value rather than a power of two alignment value.
    - x86-64: fix handling of PUSH/POP of segment register. LP: #1843394.
  * Merge changes from binutils-mipsen.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 08 Oct 2019 11:43:29 +0200

binutils (2.32.90.20190929-0ubuntu2) eoan; urgency=medium

  * Snapshot, taken from the 2.33 branch (20190929).
    - Fix PR25031, nm reports wrong address on 32bit. LP: #1845190.
    - Fix PR25018, readelf crash on 32bits. LP: #1844119.
    - [GOLD] Fix spurious "plugin needed to handle lto object" warnings.
    - GCC 10 related warning fixes.
    - i386: Adjust for new output format from readelf.
  * Include the test logs in the binutils-dev package.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 29 Sep 2019 07:37:06 +0200

binutils (2.32.90.20190917-0ubuntu1) eoan; urgency=medium

  * Snapshot, taken from the 2.33 branch (20190917).

 -- Matthias Klose <doko@debian.org>  Tue, 17 Sep 2019 17:59:16 +0200

binutils (2.32.51.20190909-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (20190909).
  * Build the mipsel and mips64el cross packages from the binutils-mipsen
    source package.

 -- Matthias Klose <doko@debian.org>  Mon, 09 Sep 2019 08:50:20 +0200

binutils (2.32.51.20190905-0ubuntu1) eoan; urgency=medium

  * Snapshot, taken from the trunk (20190905).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 07:15:42 +0200

binutils (2.32.51.20190821-2ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't build the powerpcspe package.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 Aug 2019 14:45:47 +0200

binutils (2.32.51.20190821-2) unstable; urgency=medium

  * Drop build dependency on g++-mips-linux-gnu.
  * Stop building mips binutils.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Aug 2019 09:49:59 +0200

binutils (2.32.51.20190821-1ubuntu1) eoan; urgency=medium

  * Snapshot, taken from the trunk (20190821).

 -- Matthias Klose <doko@debian.org>  Wed, 21 Aug 2019 11:55:56 +0200

binutils (2.32.51.20190821-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (20190821).
  * Update test dependencies for added ppc64el, riscv64 and s390x builds.

 -- Matthias Klose <doko@debian.org>  Wed, 21 Aug 2019 11:32:58 +0200

binutils (2.32.51.20190813-1ubuntu1) eoan; urgency=medium

  * Snapshot, taken from the trunk (20190813).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 13 Aug 2019 16:57:59 +0200

binutils (2.32.51.20190813-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (20190813).
    - Fix PR ld/24857: ld: error adding symbols: bad value. Closes: #932847.
  * binutils-source: Fix ftbfs when with_native is off (YunQiang Su).
    Closes: #933358.

 -- Matthias Klose <doko@debian.org>  Tue, 13 Aug 2019 16:26:14 +0200

binutils (2.32.51.20190727-1ubuntu1) eoan; urgency=medium

  * Snapshot, taken from the trunk (20190727).

 -- Matthias Klose <doko@ubuntu.com>  Sat, 27 Jul 2019 17:06:59 +0200

binutils (2.32.51.20190727-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (20190727).
    - Fix PR ld/24832. Closes: #932287.
  * Build ppc64el packages on arm64.
  * Build s390x packages on arm64 and ppc64el.
  * Build riscv64 packages on arm64 and ppc64el. Closes: #932398.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 27 Jul 2019 16:58:37 +0200

binutils (2.32.51.20190707-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (20190707).

 -- Matthias Klose <doko@debian.org>  Sun, 07 Jul 2019 12:20:11 +0200

binutils (2.32.51.20190702-1ubuntu1) eoan; urgency=medium

  * Snapshot, taken from the trunk (20190702).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Jul 2019 12:48:46 +0200

binutils (2.32.51.20190702-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20190702).
  * Apply proposed patch for PR ld/24753.

 -- Matthias Klose <doko@debian.org>  Tue, 02 Jul 2019 12:40:43 +0200

binutils (2.32.51.20190701-1ubuntu1) eoan; urgency=medium

  * Snapshot, taken from the trunk (20190701).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 01 Jul 2019 15:09:46 +0200

binutils (2.32.51.20190701-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20190701).

 -- Matthias Klose <doko@debian.org>  Mon, 01 Jul 2019 13:46:05 +0200

binutils (2.32.51.20190624-1ubuntu1) eoan; urgency=medium

  * Snapshot, taken from the trunk (20190614).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jun 2019 10:08:28 +0200

binutils (2.32.51.20190624-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20190624).
    - Fix PR ld/24704, skiboot link failure. LP: #1833237.

 -- Matthias Klose <doko@debian.org>  Mon, 24 Jun 2019 07:59:05 +0000

binutils (2.32.51.20190614-0ubuntu2) eoan; urgency=medium

  * Snapshot, taken from the trunk (20190614).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 14 Jun 2019 10:47:26 +0200

binutils (2.32.51.20190611-1ubuntu1) eoan; urgency=medium

  * Snapshot, taken from the trunk (20190611).
  * Fix prehistoric changelog garbage. LP: #1827044.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Jun 2019 15:13:05 +0200

binutils (2.32.51.20190611-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20190611).
  * Simplify setting the soname for the various builds.

 -- Matthias Klose <doko@debian.org>  Tue, 11 Jun 2019 10:48:30 +0200

binutils (2.32-8ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't build the powerpcspe package.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 24 Apr 2019 10:04:39 +0200

binutils (2.32-8) experimental; urgency=medium

  * Snapshot, taken from the 2.32 branch (20190424).
    - Fix PR ld/24302 (AArch64): When DF_BIND_NOW don't use TLSDESC GOT value.
    - Fix PR ld/24458 (x86): Also check x86 linker_def for non-shared
      definition.
    - AArch64: Add new LDGM/STGM instruction.
    - AArch64: Update Store Allocation Tag instructions.
    - AArch64: Fix disassembler bug with out-of-order sections.

 -- Matthias Klose <doko@debian.org>  Wed, 24 Apr 2019 09:25:48 +0200

binutils (2.32-7ubuntu4) disco; urgency=medium

  * Build ppc64el packages on arm64.
  * Build s390x packages on arm64 and ppc64el.
  * Build riscv64 packages on arm64 and ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Apr 2019 03:41:01 +0200

binutils (2.32-7ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't build the powerpcspe package.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Mar 2019 16:27:58 +0100

binutils (2.32-7) experimental; urgency=medium

  * Snapshot, taken from the 2.32 branch (20190321).
    - Fix PR ld/24355, segfault in function called from ppc_finish_symbols.
  * Demote binutils-<target> from Multi-Arch: foreign to Multi-Arch: allowed
    (Helmut Grohne). Closes: #920286.
  * Let binutils-for-host Depends: binutils-<host>:any.

 -- Matthias Klose <doko@debian.org>  Thu, 21 Mar 2019 16:23:32 +0100

binutils (2.32-6ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't build the powerpcspe package.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Mar 2019 16:31:09 +0100

binutils (2.32-6) experimental; urgency=medium

  * Snapshot, taken from the 2.32 branch (20190313).
    - S/390: arch13 instruction descriptions.
  * Fix VCS attributes in the control file. Closes: #915982.

 -- Matthias Klose <doko@debian.org>  Wed, 13 Mar 2019 16:12:45 +0100

binutils (2.32-5ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Mar 2019 11:19:48 +0100

binutils (2.32-5) experimental; urgency=medium

  * Snapshot, taken from the 2.32 branch (20190213).
    - S390: Revert "Add support to GNU ld to separate got related plt entries".
  * binutils-source: Redact the build directory out of the tarball paths.
    (Andrej Shadura). Closes: #920797.

 -- Matthias Klose <doko@debian.org>  Wed, 06 Mar 2019 11:11:50 +0100

binutils (2.32-4ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Feb 2019 22:38:57 +0100

binutils (2.32-4) experimental; urgency=medium

  * Remove mips64 build/check dependency.
  * Fix PR binutils/23843, taken from the trunk.
  * Fix PR ld/24276, taken from the trunk. Addresses: #923246.

 -- Matthias Klose <doko@debian.org>  Wed, 27 Feb 2019 22:34:34 +0100

binutils (2.32-3ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Feb 2019 10:52:06 +0100

binutils (2.32-3) experimental; urgency=medium

  * Snapshot, taken from the 2.32 branch (20190213).
    - Fix PR ld/24151, PR gas/24165.
  * Stop building cross packages now built by binutils-mipsen.

 -- Matthias Klose <doko@debian.org>  Wed, 13 Feb 2019 10:47:43 +0100

binutils (2.32-2) experimental; urgency=medium

  * Snapshot, taken from the 2.32 branch (20190208).
    - Make inline plt reloc "unsupported for bss-plt" an error (ppc32).
    - Arm: Backport hlt to all architectures.
    - SPARC: fix PR ld/18841 (ld test failures).
    - Visium: fix bogus overflow check on 32-bit hosts.
    - Visium: align branch absolute instruction for the GR6.
  * Stop building packages for powerpcspe.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Feb 2019 13:12:21 +0100

binutils (2.32-1ubuntu4) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Feb 2019 08:56:08 +0100

binutils (2.32-1) experimental; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Feb 2019 10:34:56 +0100

binutils (2.31.90.20190119-1) experimental; urgency=medium

  * Snapshot, taken from the binutils 2.32 branch (20190119).

 -- Matthias Klose <doko@debian.org>  Sat, 19 Jan 2019 18:30:02 +0100

binutils (2.31.51.20181204-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20181204).

 -- Matthias Klose <doko@debian.org>  Tue, 04 Dec 2018 11:20:13 +0100

binutils (2.31.51.20181022-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20181022).
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Mon, 22 Oct 2018 12:08:04 +0200

binutils (2.31.1-11ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 14 Dec 2018 20:31:23 +0100

binutils (2.31.1-11) unstable; urgency=medium

  * Snapshot, taken from the 2.31 branch (20181214).
    - Fix PR ld/23929, elf: Don't merge .note.gnu.property section in IR.
    - x86: Put back BFD_RELOC_X86_64_GOTPCREL.
    - PR binutils/23788, objcopy: failed to find link section.

 -- Matthias Klose <doko@debian.org>  Fri, 14 Dec 2018 20:22:21 +0100

binutils (2.31.1-10ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 30 Nov 2018 13:58:33 +0100

binutils (2.31.1-10) unstable; urgency=medium

  * Snapshot, taken from the 2.31 branch (20181130).
    - Fix PR ld/23937, powerpc64le local ifunc IRELATIVE relocs are wrong.

 -- Matthias Klose <doko@debian.org>  Fri, 30 Nov 2018 13:20:30 +0100

binutils (2.31.1-9ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 27 Nov 2018 14:31:00 +0100

binutils (2.31.1-9) unstable; urgency=medium

  * Snapshot, taken from the 2.31 branch (20181127).
    - Fix Pr ld/23904, regression in Cortex A53 erratum with PIE.
      Closes: #911497.

 -- Matthias Klose <doko@debian.org>  Tue, 27 Nov 2018 14:25:35 +0100

binutils (2.31.1-8ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 Nov 2018 09:06:54 +0100

binutils (2.31.1-8) unstable; urgency=medium

  * Snapshot, taken from the 2.31 branch (20181121).
    - Fix PR gas/23854 (x86): Disable GOT relaxation with data prefix.
    - Fix PR ld/23818, when assigning symbol version, hide debug symbols defined
      in discarded sections from IR objects so that they can be removed later.
    - ARC updates.
    - ARM: Skip new binary decode tests on pe targets.
    - ARM: Fix disassembler crashing on -b binary when thumb file and thumb not
      forced.

 -- Matthias Klose <doko@debian.org>  Fri, 23 Nov 2018 09:02:12 +0100

binutils (2.31.1-7ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Oct 2018 20:04:44 +0200

binutils (2.31.1-7) unstable; urgency=medium

  * Snapshot, taken from the 2.31 branch (20181018).
    - AArch64: Fix error checking for SIMD udot (by element).
    - x86: Add Intel ENCLV to assembler and disassembler.

 -- Matthias Klose <doko@debian.org>  Thu, 18 Oct 2018 08:54:07 +0200

binutils (2.31.1-6ubuntu1) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Sep 2018 13:58:27 +0200

binutils (2.31.1-6) unstable; urgency=medium

  * Snapshot, taken from the 2.31 branch (20180919).
    - PR ld/23499: elf: Check for corrupt symbol version info.
    - Fix Aarch64 bug in warning filtering.
    - Improve the code in the assembler to detect and reject a duplicate
      input and output file.
  * Don't reset CROSS_ARCHS when building in an autopkg tests (as done by
    the cross-toolchain-base build test).

 -- Matthias Klose <doko@debian.org>  Wed, 19 Sep 2018 13:48:13 +0200

binutils (2.31.1-5ubuntu1) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 31 Aug 2018 12:01:28 +0200

binutils (2.31.1-5) unstable; urgency=medium

  * Fix the "build" autopkg test, depending on fakeroot and allowing output
    on stderr.

 -- Matthias Klose <doko@debian.org>  Fri, 31 Aug 2018 11:56:41 +0200

binutils (2.31.1-4) unstable; urgency=medium

  * Rewrite. the "build" autopkg tests not to use the "build-needed"
    restriction until #906125 is fixed. Closes: #884117.
  * Build armel and armhf cross binutils on ppc64el.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Aug 2018 20:43:44 +0200

binutils (2.31.1-3ubuntu2) cosmic; urgency=medium

  * Build armel and armhf cross binutils on ppc64el. LP: #1786940.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Aug 2018 18:28:27 +0200

binutils (2.31.1-3ubuntu1) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Aug 2018 09:31:18 +0200

binutils (2.31.1-3) unstable; urgency=medium

  * Snapshot, taken from the 2.31 branch (20180814).
    - Fix PR ld/23428, properly add X86_ISA_1_NEEDED property.
    - Fix PR ld/23486, properly merge GNU_PROPERTY_X86_ISA_1_USED.
    - x32: Align the .note.gnu.property section to 4 bytes.
    - PowerPC64 __tls_get_addr_opt stub .eh_frame fix.
    - PowerPC64: __tls_get_addr_opt stubs and tocsave optimization.
    - PR gas/23465, x86: don't mistakenly scale non-8-bit displacements.
    - PR gold/23455, add --warn-drop-version option; by default, do not warn
      when discarding version info.
    - hppa: Fix unwind offset for call_info->start_symbol.
  * Build arm64 cross binutils on ppc64el.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Aug 2018 07:33:39 +0200

binutils (2.31.1-2ubuntu1) cosmic; urgency=medium

  * Re-add cross-compiler dependencies for this upload.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Jul 2018 12:59:42 +0200

binutils (2.31.1-2) unstable; urgency=medium

  * Snapshot, taken from the 2.31 branch (20180726).
    - S/390: Set the htm flag on PPA.
    - x86: Add a GNU_PROPERTY_X86_ISA_1_USED note if needed.
    - x86: Split vcvtps2{,u}qq and vcvttps2{,u}qq.

 -- Matthias Klose <doko@debian.org>  Thu, 26 Jul 2018 12:23:07 +0200

binutils (2.31.1-1ubuntu2) cosmic; urgency=medium

  * Remove cross-compiler dependencies for this upload.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 Jul 2018 12:33:31 +0200

binutils (2.31.1-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 Jul 2018 12:08:17 +0200

binutils (2.31.1-1) unstable; urgency=medium

  * Binutils 2.31.1 release.
  * Remove the riscv64 build hack. Closes: #903857.

 -- Matthias Klose <doko@debian.org>  Wed, 18 Jul 2018 11:58:00 +0200

binutils (2.31-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 16 Jul 2018 11:53:53 +0200

binutils (2.31-1) unstable; urgency=medium

  * Binutils 2.31 release.

 -- Matthias Klose <doko@debian.org>  Mon, 16 Jul 2018 11:40:18 +0200

binutils (2.30.90.20180710-1) unstable; urgency=medium

  * Snapshot, taken from the 2.31 branch (20180710).
    - Fix PR ld/23388, configuration with --enable-separate-code on i386.
      Closes: #903376.
    - Fix PR ld/23372, Remove x86 ISA properties with empty bits.
    - Fix PR binutils/23369, read/write flag for these registers on AArch64.
    - Fix PR binutils/23242, SBO bit in disassembly mask for ldrah on AArch64.
    - [GOLD] PowerPC .gnu.attributes support.
    - CVE-2018-8945: PR binutils/22809, objdump segfault.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Jul 2018 11:44:16 +0200

binutils (2.30.90.20180705-1) unstable; urgency=medium

  * Snapshot, taken from the 2.31 branch (20180705).
    - Install the diagnostics.h header. Closes: #902765, #902823.

 -- Matthias Klose <doko@debian.org>  Thu, 05 Jul 2018 17:55:14 +0200

binutils (2.30.90.20180627-1) unstable; urgency=medium

  * Snapshot, taken from the 2.31 branch (20180627).
    - CVE-2018-10372: PR binutils/23064, Fix illegal memory access when parsing
      corrupt DWARF information.
    - CVE-2018-10373: PR binutils/23065, nm segfault.
    - CVE-2018-10534: PR binutils/23110, objcopy segfault.
    - CVE-2018-10535: PR binutils/23113, objcopy segfault.

 -- Matthias Klose <doko@debian.org>  Wed, 27 Jun 2018 21:55:43 +0200

binutils (2.30.52.20180613-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20180613).

 -- Matthias Klose <doko@debian.org>  Wed, 13 Jun 2018 14:20:30 +0200

binutils (2.30.51.20180512-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20180512).

 -- Matthias Klose <doko@debian.org>  Sat, 12 May 2018 11:45:10 -0400

binutils (2.30-22ubuntu1) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Jun 2018 09:02:14 +0200

binutils (2.30-22) unstable; urgency=medium

  * Update, taken from the 2.30 branch 20180622.
    - x86 gas: Replace CET bit with IBT and SHSTK bits.

 -- Matthias Klose <doko@debian.org>  Fri, 22 Jun 2018 08:11:21 +0200

binutils (2.30-21ubuntu1) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 29 May 2018 15:51:24 +0200

binutils (2.30-21) unstable; urgency=medium

  * Update, taken from the 2.30 branch 20180529.
    - x86-64: Add TLSDESC fields to elf_x86_lazy_plt_layout.
    - PR binutils/23199, mark section in a section group with SHF_GROUP.
    - PR ld/23194, x86: Don't set eh->local_ref to 1 for versioned symbol.
    - PR ld/23189, x86: Don't set eh->local_ref to 1 for linker defined symbols.
    - PR binutils/23199, Invalid SHT_GROUP entry leads to group confusion.
  * Fix PR gprof/23056, memory corruption in gprof. LP: #1763098.
  * Fix PR binutils/23054, memory corruption in as. LP: #1763096.
  * Fix PR ld/23055, memory corruption in ld. LP: #1763094.

 -- Matthias Klose <doko@debian.org>  Tue, 29 May 2018 15:46:35 +0200

binutils (2.30-20ubuntu2) cosmic; urgency=medium

  * Fix PR gprof/23056, memory corruption in gprof. LP: #1763098.
  * Fix PR binutils/23054, memory corruption in as. LP: #1763096.
  * Fix PR ld/23055, memory corruption in ld. LP: #1763094.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 May 2018 13:03:58 -0400

binutils (2.30-20ubuntu1) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 May 2018 11:30:23 -0400

binutils (2.30-20) unstable; urgency=medium

  * Update, taken from the 2.30 branch 20180516.
    - Fix PR binutils/23109, disassembly mask for vector sdot on AArch64.
    - Fix uninitialised memory acccess in COFF bfd backend.
    - Update Portuguese translations.

 -- Matthias Klose <doko@debian.org>  Wed, 16 May 2018 10:21:19 -0400

binutils (2.30-19) unstable; urgency=medium

  * Build-depend on procps.

 -- Matthias Klose <doko@debian.org>  Thu, 03 May 2018 07:44:55 +0200

binutils (2.30-17ubuntu1) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 May 2018 15:22:30 +0200

binutils (2.30-17) unstable; urgency=medium

  * Update, taken from the 2.30 branch 20180502.
    - Fix PR ld/23123, PR ld/22374, PowerPC32 ifunc regression.
    - AArch64: Fix the mask for the sqrdml(a|s)h instructions.
  * Fix unintialized memory in aarch64 opcodes, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Wed, 02 May 2018 14:11:28 +0200

binutils (2.30-16) unstable; urgency=medium

  * Update, taken from the 2.30 branch 20180425.
    - Fix PR ld 22782, x86: Remove the unused _GLOBAL_OFFSET_TABLE_.
    - Update spanish and russian translations.
  * Add amd64, i386, x32 and riscv64 cross compilers as build (test)
    dependencies.

 -- Matthias Klose <doko@debian.org>  Wed, 25 Apr 2018 06:53:58 +0200

binutils (2.30-15ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Apr 2018 12:13:35 +0200

binutils (2.30-15) unstable; urgency=medium

  * Update, taken from the 2.30 branch 20180408.
  * Only build the basic package when running the autopkg tests.
    Closes: #884117.

 -- Matthias Klose <doko@debian.org>  Sun, 08 Apr 2018 22:55:34 +0200

binutils (2.30-14ubuntu2) bionic; urgency=medium

  * Only build the basic package when running the autopkg tests.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Apr 2018 11:24:45 +0200

binutils (2.30-14ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Apr 2018 20:37:49 +0200

binutils (2.30-14) unstable; urgency=medium

  * Update, taken from the 2.30 branch 20180405.
    - Fix PR binutils/23025, Clear vex instead of vex.evex (x86).
  * Fix PR gold/22770, MIPS: Fix GOT page counter in multi-got links,
    taken from the trunk. Closes: #886222.
  * Fix PR ld/23030 (stop the IA64 linker from removing unwind tables
    when garbage collecting), taken from the trunk. Closes: #894915, #894719.
  * More work arounds to build natively on riscv64.

 -- Matthias Klose <doko@debian.org>  Thu, 05 Apr 2018 19:13:24 +0200

binutils (2.30-13ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Apr 2018 11:40:29 +0200

binutils (2.30-12) unstable; urgency=medium

  * Build cross binutils for i386 and x32 on arm64 and ppc64el.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Apr 2018 10:32:15 +0200

binutils (2.30-11ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 01 Apr 2018 17:05:45 +0200

binutils (2.30-11) unstable; urgency=medium

  * Filter out the host architecture when passed as a cross architecture.

 -- Matthias Klose <doko@debian.org>  Sun, 01 Apr 2018 17:01:49 +0200

binutils (2.30-10ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 30 Mar 2018 19:03:59 +0800

binutils (2.30-10) unstable; urgency=medium

  * Update, taken from the 2.30 branch 20180330.
    - Fix PR 22773, ARM assembler's parsing of an illegal ORR instruction.
    - Fix PR gold/22868, PR ld/22972 on SPARC, .
    - PR ld/23000, x86-64: Add ENDBR64 to the TLSDESC PLT entry.

 -- Matthias Klose <doko@debian.org>  Fri, 30 Mar 2018 18:55:59 +0800

binutils (2.30-9ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 25 Mar 2018 15:07:22 +0800

binutils (2.30-9) unstable; urgency=medium

  * Update, taken from the 2.30 branch 20180325.
    - Fix PowerPC64 out-of-line save/restore functions.
    - Remove unnecessary power9 group terminating nop.
    - Set non_ir_ref_dynamic if a symbol is made dynamic.
    - Fix PR ld/22836, "-r -s" doesn't work with -g3 using GCC 7.
  * Fix amd64, i386 and x32 cross builds.

 -- Matthias Klose <doko@debian.org>  Sun, 25 Mar 2018 14:53:41 +0800

binutils (2.30-8ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 18 Mar 2018 12:15:09 +0800

binutils (2.30-8) unstable; urgency=medium

  * Update, taken from the 2.30 branch 20180318.
    - [ARM] Fix bxns mask.
    - Extend the fix for PR ld/20882.
  * Fix PowerPC64 out-of-line save/restore functions. Closes: #886264.
  * Revert the 2.30-7 change.

 -- Matthias Klose <doko@debian.org>  Thu, 08 Mar 2018 12:04:10 +0700

binutils (2.30-7ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Mar 2018 12:07:03 +0700

binutils (2.30-7) unstable; urgency=medium

  * Upload without build dependencies on the cross compilers and don't run
    the testsuite for this upload.

 -- Matthias Klose <doko@debian.org>  Thu, 08 Mar 2018 12:04:10 +0700

binutils (2.30-6) unstable; urgency=medium

  * Update, taken from the 2.30 branch 20180308.
    - Fix PR ld/15904, linker error with --no-keep-memory.
    - Enable link time garbage collection for the IA64 target. Closes: #890909.
    - Fix PR gas/22014, memory corruption in MIPS assembler.
    - Fix PR ld/22758, a bug that would place executable and non-executables
      pages in the same segment.
    - Fix PR ld/22832 on SPARC.
    - Fix AArch32 build attributes for Armv8.4-A.
    - Update translations.
  * CVE-2018-7208: Fix PR binutils/22741, taken from the trunk.
  * CVE-2018-7568: Fix PR binutils/22894, taken from the trunk.
  * CVE-2018-7569: Fix PR binutils/22895, taken from the trunk.
  * CVE-2018-7642: Fix PR binutils/22887, taken from the trunk.
  * CVE-2018-7643: Fix PR binutils/22905, taken from the trunk.
  * CVE-2018-7570: PR binutils/22881 needs a proper backport.
  * Update package descriptions for binutils-<target>. Closes: #891377.
  * Build binutils-for-host for TARGET (Helmut Grohne). Closes: #891863.

 -- Matthias Klose <doko@debian.org>  Thu, 08 Mar 2018 09:56:54 +0700

binutils (2.30-5ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 15 Feb 2018 09:25:14 +0700

binutils (2.30-5) unstable; urgency=medium

  * Update, taken from the 2.30 branch 20180215.
    - gas: xtensa: fix trampoline placement.
    - Fix PR gas/22738 (.dc.a directive has wrong size on SPARC 64-bit).
    - Fix GOT relocation overflow on SPARC. Closes: #890359.
  * strings --include-all-whitespace doesn't take an argument. Closes: #887894.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Feb 2018 08:20:04 +0700

binutils (2.30-4ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 09 Feb 2018 19:26:25 +0100

binutils (2.30-4) unstable; urgency=high

  * Update, taken from the 2.30 branch 20180209.
    - Fix PR binutils/22788 (CVE-2018-6872).
  * binutils-multiarch: Add riscv64 support.
  * Bump dpkg version to a version supporting riscv64.

 -- Matthias Klose <doko@debian.org>  Fri, 09 Feb 2018 19:24:28 +0100

binutils (2.30-3ubuntu2) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Feb 2018 10:26:02 +0100

binutils (2.30-3) unstable; urgency=high

  * Update, taken from the 2.30 branch 20180208.
    - Remove speculation barrier support, remove --speculate-indirect-jumps
      support (PPC).
    - Fix PR ld/22764.
  * CVE-2018-6323: Fix PR binutils/22746, taken from the trunk.
  * CVE-2018-6543: Fix PR binutils/22769, taken from the trunk.
  * CVE-2018-6759: Fix PR binutils/22794, taken from the trunk.
  * Build riscv64 cross packages. This is using a hack, making binutils
    not building natively on riscv64. At the mercy of a dpkg update
    to handle riscv64 in stretch ...

 -- Matthias Klose <doko@debian.org>  Thu, 08 Feb 2018 10:22:10 +0100

binutils (2.30-2ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 05 Feb 2018 16:32:55 +0100

binutils (2.30-2) unstable; urgency=medium

  * Update, taken from the 2.30 branch 20180205.
    - Fix PR ld/22762.
    - gold: Add support for DWARF-4 line number tables.
    - Update Brazillian portuguese and Russian translations.
  * Apply approved patch for PR ld/22764 (AArch64). LP: #1746765.
    Closes: #888789.
  * Fix PR binutils/22734, taken from the trunk. Closes: #887729.

 -- Matthias Klose <doko@debian.org>  Mon, 05 Feb 2018 16:22:40 +0100

binutils (2.30-1ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 29 Jan 2018 14:41:00 +0100

binutils (2.30-1) unstable; urgency=medium

  * Binutils 2.30 release.

 -- Matthias Klose <doko@debian.org>  Mon, 29 Jan 2018 14:29:38 +0100

binutils (2.29.90.20180122-1ubuntu1) bionic; urgency=medium

  * Snapshot, taken from the binutils 2.30 branch (20180122).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Jan 2018 06:20:39 +0100

binutils (2.29.90.20180122-1) unstable; urgency=medium

  * Snapshot, taken from the binutils 2.30 branch (20180122).
  * Security issues addressed in 2.30: CVE-2017-13716, CVE-2017-14930,
    CVE-2017-14932, CVE-2017-14933, CVE-2017-14934, CVE-2017-14938,
    CVE-2017-14939, CVE-2017-14940, CVE-2017-15020, CVE-2017-15021,
    CVE-2017-15022, CVE-2017-15023, CVE-2017-15024, CVE-2017-15025,
    CVE-2017-15225, CVE-2017-15938, CVE-2017-15996, CVE-2017-16826,
    CVE-2017-16827, CVE-2017-16828, CVE-2017-16829, CVE-2017-16830,
    CVE-2017-16831, CVE-2017-16832, CVE-2017-17080, CVE-2017-17121,
    CVE-2017-17122, CVE-2017-17123, CVE-2017-17124, CVE-2017-17125,
    CVE-2017-17126.

 -- Matthias Klose <doko@debian.org>  Tue, 23 Jan 2018 04:11:38 +0100

binutils (2.29.51.20180110-1ubuntu1) bionic; urgency=medium

  * Snapshot, taken from the trunk (20180110).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jan 2018 17:01:25 +0100

binutils (2.29.51.20180106-1ubuntu1) bionic; urgency=medium

  * Snapshot, taken from the trunk (20180106).

 -- Matthias Klose <doko@ubuntu.com>  Sat, 06 Jan 2018 05:41:06 +0100

binutils (2.29.51.20180106-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20171219).

 -- Matthias Klose <doko@debian.org>  Sat, 06 Jan 2018 05:11:06 +0100

binutils (2.29.51.20171219-0ubuntu1) bionic; urgency=medium

  * Snapshot, taken from the trunk (20171219).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2017 14:59:31 +0100

binutils (2.29.51.20171208-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20171208).
  * binutils-source: Depend on python3 instead of python.
  * Override m68k, powerpcspe and m68k buildd admins to run the testsuite.
  * Build binutils-x86-64-linux-gnu on arm64 and ppc64el. See #883769.
  * Revived from the tombs, build a binutils-ia64-linux-gnu package.

 -- Matthias Klose <doko@debian.org>  Fri, 08 Dec 2017 15:19:09 +0100

binutils (2.29.51.20171128-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20171128).

 -- Matthias Klose <doko@debian.org>  Tue, 28 Nov 2017 08:59:33 +0100

binutils (2.29.1-12ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Dec 2017 11:51:12 +0100

binutils (2.29.1-13) unstable; urgency=medium

  * Update, taken from the 2.29 branch 20180105.
    - Fix PR ld/22626, invalid dynindx used for dynamic relocs against
      section symbols.
  * Fix cross builds, use host tools (Helmut Grohne). Closes: #883865.

 -- Matthias Klose <doko@debian.org>  Fri, 05 Jan 2018 23:44:48 +0100

binutils (2.29.1-12) unstable; urgency=medium

  * Update, taken from the 2.29 branch 20171212.
    - Fix PR binutils/21118, don't mask X_add_number containing
      a register number.
  * Revived from the tombs, build a binutils-ia64-linux-gnu package.

 -- Matthias Klose <doko@debian.org>  Wed, 13 Dec 2017 01:10:25 +0100

binutils (2.29.1-11) unstable; urgency=medium

  * Update, taken from the 2.29 branch 20171208.
    - Fix PR gold/22309.
  * Build binutils-x86-64-linux-gnu on arm64 and ppc64el. See #883769.

 -- Matthias Klose <doko@debian.org>  Fri, 08 Dec 2017 12:41:16 +0100

binutils (2.29.1-10ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 01 Dec 2017 02:49:13 +0100

binutils (2.29.1-10) unstable; urgency=medium

  * Update, taken from the 2.29 branch 20171201.
    - Fix PR gold/22233, segfault in relocate_erratum_stub on aarch64.
    - Update local fix for PR gold/20765, internal error in fix_errata on
      aarch64 (Peter Smith). LP: #1638902.
  * binutils-source: Depend on python3 instead of python.
  * Override m68k, powerpcspe and m68k buildd admins to run the testsuite.

 -- Matthias Klose <doko@debian.org>  Fri, 01 Dec 2017 02:34:24 +0100

binutils (2.29.1-9ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 28 Nov 2017 07:19:23 +0100

binutils (2.29.1-9) unstable; urgency=medium

  * Update, taken from the 2.29 branch 20171128.
    - Fix PR ld/22431, powerpc64 ld segfault when .plt discarded.
    - Fix DWARF reader to use correct size for DW_FORM_ref_addr.

 -- Matthias Klose <doko@debian.org>  Tue, 28 Nov 2017 07:02:24 +0100

binutils (2.29.1-8ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 13 Nov 2017 15:58:40 +0100

binutils (2.29.1-8) unstable; urgency=medium

  * Apply proposed patch for PR gold/22233. Closes: #876786.

 -- Matthias Klose <doko@debian.org>  Mon, 13 Nov 2017 15:45:39 +0100

binutils (2.29.1-7ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Nov 2017 18:52:18 +0100

binutils (2.29.1-7) unstable; urgency=medium

  * Update, taken from the 2.29 branch 20171107.
    - Fix PR ld/22397, PR ld/22300, PR binutils/22348.
  * Use dwz -m to compress the -dbg packages.
  * Add a plethora of mips r6 packages ... Closes: #881060.
  * Provide "long" description for -dbg packages. Closes: #880001.

 -- Matthias Klose <doko@debian.org>  Wed, 08 Nov 2017 12:17:38 +0100

binutils (2.29.1-6ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Oct 2017 12:25:38 +0200

binutils (2.29.1-6) unstable; urgency=medium

  * Update, taken from the 2.29 branch 20171022.
    - [GOLD] Fix powerpc64 optimization of TOC accesses.
  * Do the extra/optional dance ...
  * Build debug packages. Closes: #863728.
  * Fix stripping the binutils-<native triplet> packages.

 -- Matthias Klose <doko@debian.org>  Sun, 22 Oct 2017 22:41:34 +0200

binutils (2.29.1-5) unstable; urgency=medium

  * Update, taken from the 2.29 branch 20171017.
    - Fix PR binutils/22245, undefined behavior in bfd_set_error.
    - Correct ctor/dtor in init_array/fini_array error value.
  * Stop installing i586 compat links for i386 builds. Closes: #877791.
  * Build a binutils-i686-linux-gnu package on amd64 and x32 too.

 -- Matthias Klose <doko@debian.org>  Tue, 17 Oct 2017 11:29:33 +0200

binutils (2.29.1-4ubuntu1) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 01 Oct 2017 20:17:16 +0200

binutils (2.29.1-4) unstable; urgency=medium

  * Update, taken from the 2.29 branch 20171001.
    - PR ld/22220, BFD linker wrongly marks symbols as PREVAILING_DEF_IRONLY.
    - PR ld/22199, x86-64: Don't pass output_bfd to info->callbacks->minfo.
    - [GOLD] Set non-exec stack for ppc64.
  * Move man/{go,}ld.1.gz to binutils-common (Helmut Grohne). Closes: #877266.
  * Build-depend on target g++ compilers instead of target gcc compilers.
  * Fail when string merge can't alloc memory, taken from the trunk.
    Closes: #874674.
  * Fix legacy cross builds. Closes: #876677.

 -- Matthias Klose <doko@debian.org>  Sun, 01 Oct 2017 20:16:22 +0200

binutils (2.29.1-3ubuntu1) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Sep 2017 14:05:22 +0200

binutils (2.29.1-3) unstable; urgency=medium

  * Update, taken from the 2.29 branch 20170923.
    - gold: Add --no-relax option.
    - readelf: Handle E_MIPS_MACH_5900.
    - gold: PowerPC function address in non-PIC.
    - Fix PR binutils/22163, PR binutils/22170.
  * libbinutils: Fix generation of upper dependency for two-number versions.
  * debian/rules. Remove the old cross build targets.

 -- Matthias Klose <doko@debian.org>  Sat, 23 Sep 2017 14:00:50 +0200

binutils (2.29.1-1ubuntu1) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Sep 2017 10:15:56 +0200

binutils (2.29.1-1) unstable; urgency=medium

  * binutils 2.29.1 release.
  * Convert to package source format 3.0 (quilt).

 -- Matthias Klose <doko@debian.org>  Wed, 20 Sep 2017 10:11:56 +0200

binutils (2.29-13ubuntu1) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Sep 2017 13:09:15 +0200

binutils (2.29-13) unstable; urgency=medium

  * Build again all cross packages.

 -- Matthias Klose <doko@debian.org>  Tue, 19 Sep 2017 13:11:06 +0200

binutils (2.29-12) unstable; urgency=medium

  * Update, taken from the 2.29 branch 20170919.
    - Fix PR ld/21441, PowerPC64 stubs don't match calculated size.
      Closes: #876134.
    - Fix PR ld/22048, Incorrect .eh_frame section in libc.so.
    - Fix PR ld/22150, ld keeps a version reference for gc'd symbols.
      Closes: #874585. LP: #1715641.
    - Fix PR ld/22148, Integer overflow in elf64-x86-64.c.
    - Fix PR ld/21924, Require GCC 5 or above for 3 x86 tests.
  * Fix installation of test summaries.
  * Compare test summaries for cross builds.

 -- Matthias Klose <doko@debian.org>  Tue, 19 Sep 2017 13:04:07 +0200

binutils (2.29-10ubuntu1) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Sep 2017 12:05:46 +0200

binutils (2.29-10) unstable; urgency=medium

  * Update, taken from the 2.29 branch 20170915.
    - Fix PR binutils/22047 (CVE-2017-14129), PR binutils/22018.
  * gold on 32bit archs: Release mapped files after each pass.
  * Build-depend on cross compilers to run the tests for the binutils
    cross packages.
  * Install the ldscripts into /usr/lib/<multiarch>/ldscripts and move
    ldscripts into the binutils-<triplet> packages.
  * Install the unprefixed manual packages into binutils-common and
    derive the timestamps from the debian/changelog entry.
  * binutils-<triplet>: Remove dependency on binutils.

 -- Matthias Klose <doko@debian.org>  Fri, 15 Sep 2017 11:55:58 +0200

binutils (2.29-9ubuntu1) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Sep 2017 09:29:12 +0200

binutils (2.29-9) unstable; urgency=medium

  * Update, taken from the 2.29 branch 20170906.
    - Fix PR binutils/22032, PR binutils/21786 (CVE-2017-12451),
      PR binutils/21787 (CVE-2017-12448), PR binutils/21813 (CVE-2017-12450,
      CVE-2017-12452, CVE-2017-12453, CVE-2017-12454), PR ld/21824,
      PR binutils/21916, PR ld/21441, PR ld/22067, PR ld/22064, PR ld/22061,
      PR binutils/22059 (CVE-2017-14128), PR binutils/21933 (CVE-2017-12799),
      PR binutils/22060, PR binutils/22058 (CVE-2017-14130), PR binutils/21995,
      PR binutils/21861, PR binutils/21813 (CVE-2017-12456), PR binutils/21909,
      PR binutils/21820, PR binutils/21990, PR binutils/21994, PR ld/21441,
      PR ld/22064, PR ld/22061, PR lto/81968, PR lto/81968, PR lto/81925.
  * Fix typo in control.in interpolation when TARGET is non-empty (Helmut
    Grohne). Addresses: #873387.

 -- Matthias Klose <doko@debian.org>  Wed, 06 Sep 2017 08:14:12 +0200

binutils (2.29-8ubuntu1) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 30 Aug 2017 08:13:33 +0200

binutils (2.29.1-10ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 01 Dec 2017 02:49:13 +0100

binutils (2.29.1-10) unstable; urgency=medium

  * Update, taken from the 2.29 branch 20171201.
    - Fix PR gold/22233, segfault in relocate_erratum_stub on aarch64.
    - Update local fix for PR gold/20765, internal error in fix_errata on
      aarch64 (Peter Smith). LP: #1638902.
  * binutils-source: Depend on python3 instead of python.
  * Override m68k, powerpcspe and m68k buildd admins to run the testsuite.

 -- Matthias Klose <doko@debian.org>  Fri, 01 Dec 2017 02:34:24 +0100

binutils (2.29.1-9ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 28 Nov 2017 07:19:23 +0100

binutils (2.29.1-9) unstable; urgency=medium

  * Update, taken from the 2.29 branch 20171128.
    - Fix PR ld/22431, powerpc64 ld segfault when .plt discarded.
    - Fix DWARF reader to use correct size for DW_FORM_ref_addr.

 -- Matthias Klose <doko@debian.org>  Tue, 28 Nov 2017 07:02:24 +0100

binutils (2.29.1-8ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 13 Nov 2017 15:58:40 +0100

binutils (2.29.1-8) unstable; urgency=medium

  * Apply proposed patch for PR gold/22233. Closes: #876786.

 -- Matthias Klose <doko@debian.org>  Mon, 13 Nov 2017 15:45:39 +0100

binutils (2.29.1-7ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Nov 2017 18:52:18 +0100

binutils (2.29.1-7) unstable; urgency=medium

  * Update, taken from the 2.29 branch 20171107.
    - Fix PR ld/22397, PR ld/22300, PR binutils/22348.
  * Use dwz -m to compress the -dbg packages.
  * Add a plethora of mips r6 packages ... Closes: #881060.
  * Provide "long" description for -dbg packages. Closes: #880001.

 -- Matthias Klose <doko@debian.org>  Wed, 08 Nov 2017 12:17:38 +0100

binutils (2.29.1-6ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Oct 2017 12:25:38 +0200

binutils (2.29.1-6) unstable; urgency=medium

  * Update, taken from the 2.29 branch 20171022.
    - [GOLD] Fix powerpc64 optimization of TOC accesses.
  * Do the extra/optional dance ...
  * Build debug packages. Closes: #863728.
  * Fix stripping the binutils-<native triplet> packages.

 -- Matthias Klose <doko@debian.org>  Sun, 22 Oct 2017 22:41:34 +0200

binutils (2.29.1-5) unstable; urgency=medium

  * Update, taken from the 2.29 branch 20171017.
    - Fix PR binutils/22245, undefined behavior in bfd_set_error.
    - Correct ctor/dtor in init_array/fini_array error value.
  * Stop installing i586 compat links for i386 builds. Closes: #877791.
  * Build a binutils-i686-linux-gnu package on amd64 and x32 too.

 -- Matthias Klose <doko@debian.org>  Tue, 17 Oct 2017 11:29:33 +0200

binutils (2.29.1-4ubuntu1) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 01 Oct 2017 20:17:16 +0200

binutils (2.29.1-4) unstable; urgency=medium

  * Update, taken from the 2.29 branch 20171001.
    - PR ld/22220, BFD linker wrongly marks symbols as PREVAILING_DEF_IRONLY.
    - PR ld/22199, x86-64: Don't pass output_bfd to info->callbacks->minfo.
    - [GOLD] Set non-exec stack for ppc64.
  * Move man/{go,}ld.1.gz to binutils-common (Helmut Grohne). Closes: #877266.
  * Build-depend on target g++ compilers instead of target gcc compilers.
  * Fail when string merge can't alloc memory, taken from the trunk.
    Closes: #874674.
  * Fix legacy cross builds. Closes: #876677.

 -- Matthias Klose <doko@debian.org>  Sun, 01 Oct 2017 20:16:22 +0200

binutils (2.29.1-3ubuntu1) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Sep 2017 14:05:22 +0200

binutils (2.29.1-3) unstable; urgency=medium

  * Update, taken from the 2.29 branch 20170923.
    - gold: Add --no-relax option.
    - readelf: Handle E_MIPS_MACH_5900.
    - gold: PowerPC function address in non-PIC.
    - Fix PR binutils/22163, PR binutils/22170.
  * libbinutils: Fix generation of upper dependency for two-number versions.
  * debian/rules. Remove the old cross build targets.

 -- Matthias Klose <doko@debian.org>  Sat, 23 Sep 2017 14:00:50 +0200

binutils (2.29.1-1ubuntu1) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Sep 2017 10:15:56 +0200

binutils (2.29.1-1) unstable; urgency=medium

  * binutils 2.29.1 release.
  * Convert to package source format 3.0 (quilt).

 -- Matthias Klose <doko@debian.org>  Wed, 20 Sep 2017 10:11:56 +0200

binutils (2.29-13ubuntu1) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Sep 2017 13:09:15 +0200

binutils (2.29-13) unstable; urgency=medium

  * Build again all cross packages.

 -- Matthias Klose <doko@debian.org>  Tue, 19 Sep 2017 13:11:06 +0200

binutils (2.29-12) unstable; urgency=medium

  * Update, taken from the 2.29 branch 20170919.
    - Fix PR ld/21441, PowerPC64 stubs don't match calculated size.
      Closes: #876134.
    - Fix PR ld/22048, Incorrect .eh_frame section in libc.so.
    - Fix PR ld/22150, ld keeps a version reference for gc'd symbols.
      Closes: #874585. LP: #1715641.
    - Fix PR ld/22148, Integer overflow in elf64-x86-64.c.
    - Fix PR ld/21924, Require GCC 5 or above for 3 x86 tests.
  * Fix installation of test summaries.
  * Compare test summaries for cross builds.

 -- Matthias Klose <doko@debian.org>  Tue, 19 Sep 2017 13:04:07 +0200

binutils (2.29-10ubuntu1) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Sep 2017 12:05:46 +0200

binutils (2.29-10) unstable; urgency=medium

  * Update, taken from the 2.29 branch 20170915.
    - Fix PR binutils/22047 (CVE-2017-14129), PR binutils/22018.
  * gold on 32bit archs: Release mapped files after each pass.
  * Build-depend on cross compilers to run the tests for the binutils
    cross packages.
  * Install the ldscripts into /usr/lib/<multiarch>/ldscripts and move
    ldscripts into the binutils-<triplet> packages.
  * Install the unprefixed manual packages into binutils-common and
    derive the timestamps from the debian/changelog entry.
  * binutils-<triplet>: Remove dependency on binutils.

 -- Matthias Klose <doko@debian.org>  Fri, 15 Sep 2017 11:55:58 +0200

binutils (2.29-9ubuntu1) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Sep 2017 09:29:12 +0200

binutils (2.29-9) unstable; urgency=medium

  * Update, taken from the 2.29 branch 20170906.
    - Fix PR binutils/22032, PR binutils/21786 (CVE-2017-12451),
      PR binutils/21787 (CVE-2017-12448), PR binutils/21813 (CVE-2017-12450,
      CVE-2017-12452, CVE-2017-12453, CVE-2017-12454), PR ld/21824,
      PR binutils/21916, PR ld/21441, PR ld/22067, PR ld/22064, PR ld/22061,
      PR binutils/22059 (CVE-2017-14128), PR binutils/21933 (CVE-2017-12799),
      PR binutils/22060, PR binutils/22058 (CVE-2017-14130), PR binutils/21995,
      PR binutils/21861, PR binutils/21813 (CVE-2017-12456), PR binutils/21909,
      PR binutils/21820, PR binutils/21990, PR binutils/21994, PR ld/21441,
      PR ld/22064, PR ld/22061, PR lto/81968, PR lto/81968, PR lto/81925.
  * Fix typo in control.in interpolation when TARGET is non-empty (Helmut
    Grohne). Addresses: #873387.

 -- Matthias Klose <doko@debian.org>  Wed, 06 Sep 2017 08:14:12 +0200

binutils (2.29-8ubuntu1) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 30 Aug 2017 08:13:33 +0200

binutils (2.29-8) unstable; urgency=medium

  * Update, taken from the 2.29 branch 20170830.
    - Fix PR gold/21868. Closes: #830540, #869768.
    - Fix address violation issues when parsing corrupt binaries.
    - PR gold/21847: Provide symbol flag for PowerPC64 localentry:0 tracking.

 -- Matthias Klose <doko@debian.org>  Wed, 30 Aug 2017 08:03:09 +0200

binutils (2.29-7) unstable; urgency=high

  * Fix binutils dependency on binutils-<triplet> on non amd64 architectures.

 -- Matthias Klose <doko@debian.org>  Wed, 23 Aug 2017 23:51:26 +0200

binutils (2.29-6ubuntu3) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@debian.org>  Wed, 23 Aug 2017 12:04:08 +0200

binutils (2.29-6) unstable; urgency=medium

  * Update, taken from the 2.29 branch 20170823.
    - Fix PR ld/21988, PR ld/21964, PR ld/21910.
  * readelf: Add patch to read Infinity notes.
  * Reorganize packages to provide binutils-for-host/binutils-for-build
    packages (Helmut Grohne). Closes: #842439.
    - Break out a binutils-common package.
    - Refactor code to build with DEB_BUILD_OPTIONS=nogold.
    - Rename gold, ld.gold, ld.bfd to their triplet prefixed equivalents.
    - Remove shlibs files for hppa64 and cross packages.
    - Set NATIVE_ARCHS explicitly.
    - Split out a libbinutils package and binutils-<triplet> packages.
    - Build binutils-for-host and binutils-for-build packages.
  * Fix some issues in the above patches.
  * Mark binutils-common and libbinutils as M-A: same.
  * Remove obsolete Breaks/Conflicts/Replaces.
  * Replace FIXME markers with TODO markers. Silly lintian ...

 -- Matthias Klose <doko@debian.org>  Wed, 23 Aug 2017 12:01:12 +0200

binutils (2.29-5ubuntu1) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 20 Aug 2017 19:08:25 +0200

binutils (2.29-5) unstable; urgency=medium

  * Update, taken from the 2.29 branch 20170820.
    - Fix PR binutils/21962, buffer overrun when parsing a corrupt tekhex
      binary.
    - Fix PR ld/18808: [AArch64] Skip IFUNC relocations in debug sections.
    - Fix PR ld/18841: [AArch64] ifunc relocation ordering.
    - [AArch64] Turn lr, fp, ip0 and ip1 into proper aliases.
    - Fix PR ld/21923.
  * Build gold on s390x. LP: #1709873.

 -- Matthias Klose <doko@debian.org>  Sun, 20 Aug 2017 19:00:03 +0200

binutils (2.29-4ubuntu1) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Aug 2017 08:54:05 -0400

binutils (2.29-4) unstable; urgency=medium

  * Update, taken from the 2.29 branch 20170804.
  * Fix PR ld/21884, taken from the trunk. Do not choose a non-ELF format
    input file to hold the linker created GOT sections. Closes: #870611.

 -- Matthias Klose <doko@debian.org>  Mon, 07 Aug 2017 08:46:12 -0400

binutils (2.29-3ubuntu1) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Aug 2017 14:26:32 +0200

binutils (2.29-3) unstable; urgency=medium

  * Update, taken from the 2.29 branch 20170802.
    - S390 testsuite fixes.
  * Fix PR ld/21884, taken from the trunk. Closes: #870343.

 -- Matthias Klose <doko@debian.org>  Wed, 02 Aug 2017 14:16:35 +0200

binutils (2.29-2ubuntu1) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 31 Jul 2017 11:09:08 +0200

binutils (2.29-2) unstable; urgency=medium

  * Update, taken from the 2.29 branch 20170731.
    - Fix PR 21847, PowerPC64 --plt-localentry issues.
    - Fix PR gold/21857, PR ld/21849 (AVR).
  * Remove Daniel as an uploader. Closes: #869305.

 -- Matthias Klose <doko@debian.org>  Mon, 31 Jul 2017 09:17:30 +0200

binutils (2.29-1ubuntu1) artful; urgency=medium

  * binutils 2.29 release.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Jul 2017 12:33:58 +0200

binutils (2.29-1) unstable; urgency=medium

  * binutils 2.29 release.

 -- Matthias Klose <doko@debian.org>  Tue, 25 Jul 2017 11:02:19 +0200

binutils (2.28.90.20170718-0ubuntu1) artful; urgency=medium

  * Snapshot, taken from the 2.29 branch (20170718).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Jul 2017 11:32:20 +0200

binutils (2.28.90.20170704-0ubuntu1) artful; urgency=medium

  * Snapshot, taken from the 2.29 branch (20170704).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 04 Jul 2017 22:18:50 +0200

binutils (2.28.51.20170703-1ubuntu1) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@debian.org>  Mon, 03 Jul 2017 16:43:10 +0200

binutils (2.28.51.20170703-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20170703).

 -- Matthias Klose <doko@debian.org>  Mon, 03 Jul 2017 16:08:53 +0200

binutils (2.28.51.20170627-1ubuntu1) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 27 Jun 2017 14:59:13 +0200

binutils (2.28.51.20170627-1) experimental; urgency=high

  * Snapshot, taken from the trunk (20170627).

 -- Matthias Klose <doko@debian.org>  Tue, 27 Jun 2017 14:53:24 +0200

binutils (2.28.51.20170620-1ubuntu1) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Jun 2017 16:11:27 +0200

binutils (2.28.51.20170620-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20170620).
    - Addresses issues CVE-2017-9040, CVE-2017-9042, CVE-2017-9043.
    - ILP32 patches applied upstream. Closes: #861833.
    - Fixes PR ld/21334 (MIPS), undefined hidden symbols causing assertion 
      failure. Closes: #858898.
  * Configure with --enable-new-dtags.
  * Don't revert the commit causing PR 21074.

 -- Matthias Klose <doko@debian.org>  Tue, 20 Jun 2017 15:32:31 +0200

binutils (2.28-6ubuntu1) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 16 Jun 2017 16:29:08 +0200

binutils (2.28-6) unstable; urgency=medium

  * Update, taken from the 2.28 branch 20170615.
    - Fix PR ld/19579 (AArch64), handling of relocations against common symbols.
      Closes: #863152.
    - Fix PR ld/21523 (ARM32).
    - Fix PR ld/21529 (ARM32), internal error in linker.
    - Fix PR ld/21404 (AVR).
    - Fix PR binutils/21034.
    - Fix PR gold/21503, gold not creating linker stub symbols on ppc64.
    - Remove linker option: -z prefix-nop (x86).
  * Fix several crashes. Addresses: #863674.
    - PR binutils/21343, readelf crash. CVE-2017-9038.
    - PR binutils/21345, readelf crash. CVE-2017-9039.
    - PR binutils/21344, readelf crash. CVE-2017-9041.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Jun 2017 17:46:47 +0200

binutils (2.28-5ubuntu1) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 May 2017 15:52:11 +0200

binutils (2.28-5) unstable; urgency=medium

  * Update, taken from the 2.28 branch 20170510.
    - RISC-V updates.
    - Fix PR ld/21334 (MIPS).
    - VxWorks fix.
    - Fix PR ld/16044 (CRIS).
  * Fix PR binutils/21412, global-buffer-overflow in objcopy. CVE-2017-8393.
  * Fix PR binutils/21414, segfault in objcopy. CVE-2017-8394.
  * Fix PR binutils/21431, objcopy segfault - null pointer dereferencing.
    CVE-2017-8395.
  * Fix PR binutils/21432, heap buffer overflow in objdump. CVE-2017-8396.
  * Fix PR binutils/21434, heap buffer overflow in objdump. CVE-2017-8397.
  * Fix PR binutils/21438, heap buffer overflow in printf_common.
    CVE-2017-8398.
  * Fix PR binutils/21440, prevent memory exhaustion from a corrupt PE binary
    with an overlarge number of relocs. CVE-2017-8421.
  * gold (SPARC): Fix assertion failure relaxing TLS for position-independent
    executables. Closes: #862017.

 -- Matthias Klose <doko@debian.org>  Wed, 10 May 2017 12:12:53 +0200

binutils (2.28-4ubuntu1) zesty; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Apr 2017 08:25:37 +0630

binutils (2.28-4) unstable; urgency=medium

  * Update, taken from the 2.28 branch 20170418.
    - Fix PR ld/21233: Avoid sweeping forced-undefined symbols in section GC.
    - BFD fix.
    - Fix PR ld/19579, PR ld/21306, link error with PIE on s390x.
  * Fix PR binutils/21342, null pointer dereferences when using a link built
    with clang. Closes: #859989. CVE-2017-7614.

 -- Matthias Klose <doko@debian.org>  Tue, 18 Apr 2017 08:08:02 +0630

binutils (2.28-3ubuntu1) zesty; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 06 Apr 2017 15:05:52 +0200

binutils (2.28-3) unstable; urgency=medium

  * Update, taken from the 2.28 branch 20170405.
    - RISC-V updates.
    - Fix PR binutils/21303 (PPC), objdump doesn't show e200z4 insns.
    - S/390: Remove vx2 facility flag.
    - Update -maltivec and -mvsx options to only enable their oldest
      instructions (PPC).
    - Add support for the new 'lnia' extended mnemonic (PPC).
    - Fix ld uninitialized read of script ASSERT data structure.
  * Fix incorrect library search order on PowerPC, taken from the trunk.
  * Fix PR ld/21233 (MIPS only), taken from the trunk. Closes: #857017.
  * Fix a french translation. Closes: #859503.
  * Fix PR binutils/21157, handling of corrupt STABS enum type strings.
    Closes: #858324. CVE-2017-7210.
  * Fix PR binutils/21137, readelf writing to illegal addresses.
    Closes: #858264. CVE-2017-6965.
  * Fix PR binutils/21156, illegal memory accesses in readelf.
    Closes: #858256. CVE-2017-6969.
  * Fix PR binutils/21139, read-after-free error in readelf.
    Closes: #858263. CVE-2017-6966.
  * Fix PR binutils/21135, invalid read of section contents.
    Closes: #858323. CVE-2017-7209.
  * Fix PR demangler/70909, libiberty Demangler segfaults. CVE-2016-4491.

 -- Matthias Klose <doko@debian.org>  Wed, 05 Apr 2017 17:48:03 +0200

binutils (2.28-2ubuntu1) zesty; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Mar 2017 14:49:51 +0100

binutils (2.28-2) unstable; urgency=medium

  * Update, taken from the 2.28 branch 20170307.
    - Fix PR ld/20519, PR binutils/21224, PR binutils/21124 (all PPC).

 -- Matthias Klose <doko@debian.org>  Tue, 07 Mar 2017 11:09:19 +0100

binutils (2.28-1ubuntu1) zesty; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Mar 2017 15:25:54 +0100

binutils (2.28-1) unstable; urgency=medium

  * binutils 2.28 release.
    - S/390: Add support for new cpu architecture - arch12.
    - S/390: Issue error for overflowing relocs.
    - Fix PR gas/20744 (PPC32): Correct VLE 16D and SDAREL relocations.
    - Fix PowerPC ld segfault on script discarding dynamic sections.
    - Sync libiberty sources with GCC mainline. Fixes PR PR c++/70182,
      PR c++/77489, PR c++/78761.
    - Nios2 dynobj handling fixes.
    - Don't make dynamic .data.rel.ro SEC_READONLY.
    - PowerPC addpcis fix.
    - RISC-V updates.
    - [AArch64] Additional SVE instructions, add a "compnum" feature,
      add SVE system registers, fix +sve documentation, add separate
      feature flag for weaker release consistent load insns.
  * Don't install windows related man pages in cross packages. Closes: #855630.
  * Fix ld.1 symlink for targets without gold.

 -- Matthias Klose <doko@debian.org>  Thu, 02 Mar 2017 14:39:24 +0100

binutils (2.27.90.20170221-1ubuntu1) zesty; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 21 Feb 2017 15:07:46 +0100

binutils (2.27.90.20170205-1ubuntu1) zesty; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Feb 2017 10:30:23 +0100

binutils (2.27.90.20170205-1) unstable; urgency=medium

  * New upstream snapshot, taken from the binutils 2.28 branch.
    - MIPS/LD/testsuite: Correct relocation addends in VxWorks tests.
    - MIPS/LD/testsuite: Fix a `tls-multi-got-1-1.s' build failure.
    - MIPS: Add options to control branch ISA checks.
    - MIPS/GAS/testsuite: Convert branch local list tests to dump tests.
    - Fix PR ld/20995 for cris-linux.
    - gold: Fix PPC64 TOC indirect to TOC relative segfault.
    - Fix PR ld/21000, support -z relro on hppa. Other hppa updates.
    - PR binutils/19935: Fix fallout from now-default initfini-array.

 -- Matthias Klose <doko@debian.org>  Sun, 05 Feb 2017 21:05:07 +0100

binutils (2.27.90.20170124-2) unstable; urgency=medium

  * Revert the commit causing PR 21074. Works around #852035.

 -- Matthias Klose <doko@debian.org>  Thu, 26 Jan 2017 18:09:09 +0100

binutils (2.27.90.20170124-1) unstable; urgency=medium

  * New upstream snapshot, taken from the binutils 2.28 branch.
    - Fix PR gold/21054 (closes: #851736).

 -- Matthias Klose <doko@debian.org>  Tue, 24 Jan 2017 15:24:49 +0100

binutils (2.27.90.20170118-1ubuntu1) zesty; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@debian.org>  Wed, 18 Jan 2017 23:25:29 +0100

binutils (2.27.90.20170118-1) unstable; urgency=medium

  * New upstream snapshot, taken from the binutils 2.28 branch.
    - Fix PR binutils/21059, PR gas/20992, PR gas/20649,
      PR binutils/20828 (closes: #844227).

 -- Matthias Klose <doko@debian.org>  Wed, 18 Jan 2017 20:05:43 +0100

binutils (2.27.90.20170114-1ubuntu1) zesty; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 14 Jan 2017 11:51:22 +0100

binutils (2.27.90.20170114-1) unstable; urgency=medium

  * New upstream snapshot, taken from the binutils 2.28 branch.
    - Fix PR ld/21038, PR ld/20830, PR gold/21040.
  * Apply proposed patch for PR binutils/20828 (mips). Addresses: #844227.

 -- Matthias Klose <doko@debian.org>  Sat, 14 Jan 2017 11:43:57 +0100

binutils (2.27.90.20170113-1ubuntu1) zesty; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@debian.org>  Fri, 13 Jan 2017 14:13:49 +0100

binutils (2.27.90.20170113-1) unstable; urgency=medium

  * New upstream snapshot, taken from the binutils 2.28 branch.
    - Fix PR binutils/20876 (closes: #838875), PR gold/21040,
      PR gold/21039.

 -- Matthias Klose <doko@debian.org>  Fri, 13 Jan 2017 13:31:53 +0100

binutils (2.27.90.20170109-1) unstable; urgency=medium

  * New upstream snapshot, taken from the binutils 2.28 branch.
    - Fix PR ld/20989.

 -- Matthias Klose <doko@debian.org>  Mon, 09 Jan 2017 11:03:34 +0100

binutils (2.27.90.20161231-1ubuntu1) zesty; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@debian.org>  Sat, 31 Dec 2016 02:37:41 +0100

binutils (2.27.90.20161231-1) unstable; urgency=medium

  * New upstream snapshot, taken from the binutils 2.28 branch.
    - Fix PR ld/20995, PR binutils/20464, PR binutils/14625, PR gas/10946,
      PR gold/20996, PR gold/17643.

 -- Matthias Klose <doko@debian.org>  Sat, 31 Dec 2016 02:10:21 +0100

binutils (2.27.51.20161220-1ubuntu1) zesty; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Dec 2016 11:30:25 +0100

binutils (2.27.51.20161220-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
    - Fix PR ld/20968 (closes: #848731), PR ld/20908, PR gold/20949,
      PR gold/14676, PR gold/20983, PR gold/20976, PR gold/20749,
      PR gold/20522, PR gold/14676, PR gold/16711, PR gold/20717, PR c++/78252.

 -- Matthias Klose <doko@debian.org>  Tue, 20 Dec 2016 09:11:49 +0100

binutils (2.27.51.20161212-1ubuntu1) zesty; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Dec 2016 14:07:30 +0100

binutils (2.27.51.20161212-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
    - Implements --push-state/--pop-state for gold.
    - Fix PR ld/20908, PR ld/20909, PR gas/20898, PR gas/20897, PR gold/20717,
      PR gold/20834, PR gold/18989, PR ld/20910, PR ld/20911, PR ld/20912,
      PR ld/20932, PR binutils/20931, PR binutils/20929, PR binutils/20905,
      PR binutils/20907, PR binutils/20921, PR binutils/20922, PR ld/20925,
      PR ld/20924, PR binutils/20930, PR ld/20923, PR gas/20901, PR gas/20896,
      PR gas/20902, PR gas/20904, PR gold/20717, PR gold/16711, PR gold/20878,
      PR ld/20906.

 -- Matthias Klose <doko@debian.org>  Mon, 12 Dec 2016 13:49:47 +0100

binutils (2.27.51.20161202-0ubuntu1) zesty; urgency=medium

  * New upstream snapshot, taken from the trunk.
    - Implements --push-state/--pop-state for gold. LP: #1623418.
    - Fix PR ld/20908, PR ld/20909, PR gas/20898, PR gas/20897, PR gold/20717,
      PR gold/20834, PR gold/18989, PR ld/20910, PR ld/20911, PR ld/20912.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 02 Dec 2016 20:59:08 +0100

binutils (2.27.51.20161201-1ubuntu1) zesty; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Dec 2016 16:13:31 +0100

binutils (2.27.51.20161201-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
    - Update PR ld/20815 (closes: #845690).
    - Fix PR ld/20868 (AArch64), PR ld/16720 (mips), PR binutils/20891,
      PR binutils/20892, PR ld/20886 (PPC64), PR gas/20895, PR binutils/20637,
      PR binutils/20893.

 -- Matthias Klose <doko@debian.org>  Thu, 01 Dec 2016 15:55:10 +0100

binutils (2.27.51.20161127-1ubuntu1) zesty; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 27 Nov 2016 21:09:35 +0100

binutils (2.27.51.20161127-1) unstable; urgency=high

  * Test build with PR ld/20815 reverted.
  * New upstream snapshot, taken from the trunk.
    - Fix PR target/20737 (ARM32), PR ld/20858.
  * Revert the fix for PR ld/20815. Addresses: #845690.

 -- Matthias Klose <doko@debian.org>  Sun, 27 Nov 2016 21:00:36 +0100

binutils (2.27.51.20161124-1ubuntu1) zesty; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Nov 2016 03:42:21 +0100

binutils (2.27.51.20161124-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
    - Fix PR ld/20815, PR gas/20744, PR gas/20827, PR gold/20346,
      PR gold/20693.
  * Fix PR ld/20858, error handling $ORIGIN variable.
    Closes: #845171, #844847.

 -- Matthias Klose <doko@debian.org>  Thu, 24 Nov 2016 03:34:06 +0100

binutils (2.27.51.20161118-2ubuntu1) zesty; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Nov 2016 12:48:06 +0100

binutils (2.27.51.20161118-2) unstable; urgency=medium

  * Revert problematic sparc64 GOT patch (closes: #844782).

 -- Matthias Klose <doko@debian.org>  Sat, 19 Nov 2016 13:40:17 +0100

binutils (2.27.51.20161118-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
    - SPARC updates, ARMv8.3 updates.
    - Fix PR ld/20675.
  * Fix typo in debian changelog. Closes: #843710.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Nov 2016 14:11:45 +0100

binutils (2.27.51.20161116-2ubuntu1) zesty; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Nov 2016 13:20:07 +0100

binutils (2.27.51.20161116-2) unstable; urgency=medium

  * Stop building the mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el
    variants; can't continue with this work, because package uploads with
    these architectures are still rejected.
  * Add homepage attribute to the control file: Closes: #841432.
  * ld: enable new dtags by default for linux/gnu targets. Closes: #835859.
  * Fix PR ld/20827, using proposed patch. Closes: #844378.

 -- Matthias Klose <doko@debian.org>  Thu, 17 Nov 2016 11:56:55 +0100

binutils (2.27.51.20161116-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
    - Fix PR ld/20789 (AVR), PR ld/20800 (x86), PR target/20737 (AArch64),
      PR binutils/20801, PR binutils/20814, PR binutils/20751,
      PR binutils/20794, PR gas/20803 (SPARC), PR gas/20732,
      PR binutils/20799 (x86), PR binutils/20754 (x86), PR binutils/20701 (x86),

 -- Matthias Klose <doko@debian.org>  Wed, 16 Nov 2016 11:50:32 +0100

binutils (2.27.51.20161108-1ubuntu1) zesty; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 08 Nov 2016 16:06:21 +0100

binutils (2.27.51.20161108-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
    - Fix PR ld/20535 and PR ld/20784.

 -- Matthias Klose <doko@debian.org>  Tue, 08 Nov 2016 12:14:20 +0100

binutils (2.27.51.20161105-2) unstable; urgency=medium

  * Revert fix for PR ld/20535, causing PR ld/20784. Closes: #843339.

 -- Matthias Klose <doko@debian.org>  Sun, 06 Nov 2016 17:36:45 +0100

binutils (2.27.51.20161105-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Disable the work around for the build failure on mips* targets.

 -- Matthias Klose <doko@debian.org>  Sat, 05 Nov 2016 13:12:01 +0100

binutils (2.27.51.20161102-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
    Security issues fixed: CVE-2016-6131, CVE-2016-4493, CVE-2016-4492,
    CVE-2016-4490, CVE-2016-4489, CVE-2016-4488, CVE-2016-4487, CVE-2016-2226.

 -- Matthias Klose <doko@debian.org>  Wed, 02 Nov 2016 20:38:57 +0100

binutils (2.27.51.20161027-2) experimental; urgency=medium

  * Work around build failure on mips* targets.

 -- Matthias Klose <doko@debian.org>  Sun, 30 Oct 2016 19:35:41 +0200

binutils (2.27.51.20161027-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Thu, 27 Oct 2016 16:57:21 +0200

binutils (2.27-9ubuntu1) zesty; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Oct 2016 08:26:37 +0200

binutils (2.27-9) unstable; urgency=medium

  * Update, taken from the 2.27 branch 20161014.
    - Fix PR ld/20608, PR ld/20545, PR gold/20238.
  * Fix cross build for non-standard cross archs (Helmut Grohne).
    Closes: #839956.
  * Fix ld segfault on ARM32, taken from the trunk. Closes: #840374.
  * Fix PR ld/20648, taken from the trunk. Closes: #835544.
  * Fix PR ld/20649, using proposed patch. Closes: #834147.

 -- Matthias Klose <doko@debian.org>  Mon, 17 Oct 2016 13:12:51 +0200

binutils (2.27-8ubuntu2) yakkety; urgency=medium

  * Update to the current branch, adding new PPC mnemonics.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 27 Sep 2016 19:10:35 +0200

binutils (2.27-8ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't build cross binutils packages for non-linux architectures.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 31 Aug 2016 10:22:36 +0200

binutils (2.27-8) unstable; urgency=medium

  * Fix diversion updates for 32bit x86 targets.
  * Update Break for hardening-wrapper.

 -- Matthias Klose <doko@debian.org>  Wed, 31 Aug 2016 10:11:22 +0200

binutils (2.27-7ubuntu2) yakkety; urgency=medium

  * Fix the bad merge.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 31 Aug 2016 09:24:49 +0200

binutils (2.27-7ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't build cross binutils packages for non-linux architectures.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Aug 2016 16:30:51 +0200

binutils (2.27-7) unstable; urgency=medium

  * Update, taken from the 2.27 branch 20160830.
    - Fix PR ld/20531.
  * Fix diversion updates. Closes: #834836.

 -- Matthias Klose <doko@debian.org>  Tue, 30 Aug 2016 16:24:37 +0200

binutils (2.27-6) unstable; urgency=high

  * Update, taken from the 2.27 branch 20160819.
    - Fix PR ld/20472.
  * binutils-multiarch: Divert the triplet-prefixed names. Closes: #834253.

 -- Matthias Klose <doko@debian.org>  Fri, 19 Aug 2016 07:02:50 +0200

binutils (2.27-5) unstable; urgency=high

  * Update, taken from the 2.27 branch 20160812.
  * Fix unexecutable MIPS binaries with -Wl,-z,noexecstack (Aurelian Jarno).
    Closes: #834096.

 -- Matthias Klose <doko@debian.org>  Fri, 12 Aug 2016 09:27:17 +0200

binutils (2.27-4) unstable; urgency=medium

  * Fix gold on mipsr6 targets (Aurelian Jarno).

 -- Matthias Klose <doko@debian.org>  Tue, 09 Aug 2016 21:58:13 +0200

binutils (2.27-3) unstable; urgency=medium

  * Backport patches to fix gold on sparc64 (James Clarke). Closes: #833688.
  * Fix gold on mips64 targets (Aurelian Jarno). Closes: #833654.

 -- Matthias Klose <doko@debian.org>  Tue, 09 Aug 2016 12:15:51 +0200

binutils (2.27-2ubuntu2) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't build cross binutils packages for non-linux architectures.
  * Revert the 2.26.1 soname changes for libbfd and libopcodes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 08 Aug 2016 13:20:59 +0200

binutils (2.27-2) unstable; urgency=medium

  * Disable gold for all mips cross targets too.

 -- Matthias Klose <doko@debian.org>  Sun, 07 Aug 2016 16:30:20 +0200

binutils (2.27-1) unstable; urgency=medium

  * binutils 2.27 release.
  * Update, taken from the 2.27 branch 20160807.
  * Re-enable gold on sparc and sparc64. Closes: #818934.

 -- Matthias Klose <doko@debian.org>  Sun, 07 Aug 2016 13:38:27 +0200

binutils (2.26.1-1ubuntu3) yakkety; urgency=medium

  * Fix PR ld/20428 (ppc64le), taken from the 2.26 branch.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Aug 2016 13:34:32 +0200

binutils (2.26.1-1ubuntu2) yakkety; urgency=medium

  * debian/rules: 2.26.1 changed sonames for libbfd and libopcodes, but
    there were no changes to the public ABI.  Add compatibility symlinks and
    revert the shlibs change.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 14 Jul 2016 19:30:17 +0000

binutils (2.26.1-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't build cross binutils packages for non-linux architectures.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 30 Jun 2016 10:52:58 +0200

binutils (2.26.1-1) unstable; urgency=medium

  * binutils 2.26.1 release.

 -- Matthias Klose <doko@debian.org>  Thu, 30 Jun 2016 10:37:37 +0200

binutils (2.26-12ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't build cross binutils packages for non-linux architectures.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 24 Jun 2016 11:18:15 +0200

binutils (2.26-12) unstable; urgency=medium

  * Update, taken from the 2.26 branch 20160624.
    - Fix PR ld/20254 (AVR), PR ld/20221 (AVR), PR ld/20244 (x86).
    - Support for three more new POWER9 instructions.
  * Cherry pick backports for AArch64 vulcan support (Dann Frazier).
    LP: #1594452.

 -- Matthias Klose <doko@debian.org>  Fri, 24 Jun 2016 10:42:57 +0200

binutils (2.26-11ubuntu2) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't build cross binutils packages for non-linux architectures.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Jun 2016 19:05:51 +0200

binutils (2.26-11) unstable; urgency=medium

  * Update, taken from the 2.26 branch 20160610.
    - Fix PR ld/20159, reverting the change for PR ld/16467. LP: #1588123.
  * Use ldconfig triggers instead of calling ldconfig directly.

 -- Matthias Klose <doko@debian.org>  Fri, 10 Jun 2016 18:37:39 +0200

binutils (2.26-10ubuntu3) yakkety; urgency=medium

  * Fix PR ld/20159, reverting the change for PR ld/16467.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Jun 2016 21:07:39 +0200

binutils (2.26-10ubuntu2) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't build cross binutils packages for non-linux architectures.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 01 Jun 2016 21:30:51 +0200

binutils (2.26-10) unstable; urgency=medium

  * Update, taken from the 2.26 branch 20160601.
    - Fix PR ld/20117, PR ld/20030, PR ld/20093.
    - Support for a few more new POWER9 instructions.
  * Build for N32 and MIPS r6 (YunQiang Su). Closes: #807377.
  * Mark cross binutils as M-A: foreign (Helmut Grohne). Closes: #824424.
  * More reproducible build fixes (Chris Lamb). Closes: #824413.
  * Fix PR ld/19886, --as-needed regression, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Wed, 01 Jun 2016 21:31:32 +0200

binutils (2.26-9ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't build cross binutils packages for non-linux architectures.
    - Fix PR ld/19886, --as-needed regression, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 12 May 2016 18:44:06 +0200

binutils (2.26-9) unstable; urgency=medium

  * Update, taken from the 2.26 branch 20160512.
    - Fix PR ld/19878, PR ld/19827, PR gas/19909, PR ld/20006, PR gold/19047,
      PR gas/20047,  PR 20060.

 -- Matthias Klose <doko@debian.org>  Thu, 12 May 2016 16:59:29 +0200

binutils (2.26-8ubuntu2) xenial; urgency=medium

  * Fix PR ld/19886, --as-needed regression, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 01 Apr 2016 18:52:29 +0200

binutils (2.26-8ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't build cross binutils packages for non-linux architectures.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 21 Mar 2016 15:42:01 +0100

binutils (2.26-8) unstable; urgency=medium

  * Update, taken from the 2.26 branch 20160321.
    - Fix PR ld/19827.

 -- Matthias Klose <doko@debian.org>  Mon, 21 Mar 2016 15:38:30 +0100

binutils (2.26-7ubuntu2) xenial; urgency=medium

  * Stop building the binutils-static and binutils-static-udeb packages.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 Mar 2016 15:27:02 +0100

binutils (2.26-7ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Build binutils-static and binutils-static-udeb packages.
    - Don't build cross binutils packages for non-linux architectures.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 Mar 2016 10:48:19 +0100

binutils (2.26-7) unstable; urgency=medium

  * Update, taken from the 2.26 branch 20160316.
    - Fix PR ld/19623. Closes: #817891, PR ld/19539, PR binutils/19523.
  * Fix cross-building from any-i386 (Samuel Thibault). Closes: #816128.

 -- Matthias Klose <doko@debian.org>  Wed, 16 Mar 2016 10:21:59 +0100

binutils (2.26-6ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Build binutils-static and binutils-static-udeb packages.
    - Don't build cross binutils packages for non-linux architectures.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Mar 2016 13:23:12 +0100

binutils (2.26-6) unstable; urgency=medium

  * Update, taken from the 2.26 branch 20160310.
    - Fix PR ld/19579, PR ld/19752, PR ld/19739.
    - Fix PR binutils/19775. Closes: #813006.

 -- Matthias Klose <doko@debian.org>  Thu, 10 Mar 2016 13:08:38 +0100

binutils (2.26-5ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Build binutils-static and binutils-static-udeb packages.
    - Don't build cross binutils packages for non-linux architectures.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 26 Feb 2016 17:37:35 +0100

binutils (2.26-5) unstable; urgency=medium

  * Update, taken from the 2.26 branch 20160213.
    - Fix PR ld/19698, PR ld/19553, ppc64 and AArch64 fixes.

 -- Matthias Klose <doko@debian.org>  Fri, 26 Feb 2016 17:07:29 +0100

binutils (2.26-4ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Build binutils-static and binutils-static-udeb packages.
    - Don't build cross binutils packages for non-linux architectures.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 10:01:43 +0100

binutils (2.26-4) unstable; urgency=medium

  * Update, taken from the 2.26 branch 20160213.
    - Fix PR ld/19615, PR ld/19601 (closes: #812858), PR gas/19520.
  * Fix stripping packages for cross builds. Closes: #813337.

 -- Matthias Klose <doko@debian.org>  Sat, 13 Feb 2016 17:13:00 +0100

binutils (2.26-3ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Build binutils-static and binutils-static-udeb packages.
    - Don't build cross binutils packages for non-linux architectures.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Feb 2016 15:35:47 +0100

binutils (2.26-3) unstable; urgency=medium

  * Update, taken from the 2.26 branch 20160203.
  * Fix PR binutils/19523, objdump not supporting gnu_debuglink with
    compressed debug sections; taken from the trunk. Closes: #812089.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Feb 2016 15:11:43 +0100

binutils (2.26-2ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Build binutils-static and binutils-static-udeb packages.
    - Don't build cross binutils packages for non-linux architectures.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Jan 2016 18:28:44 +0100

binutils (2.26-2) unstable; urgency=medium

  * Do a release build, not enabled upstream for the release.

 -- Matthias Klose <doko@debian.org>  Wed, 27 Jan 2016 18:22:45 +0100

binutils (2.26-1ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Build binutils-static and binutils-static-udeb packages.
    - Don't build cross binutils packages for non-linux architectures.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Jan 2016 13:02:29 +0100

binutils (2.26-1) unstable; urgency=medium

  * binutils 2.26 release.
    - Fix PR 19421, reverting the fix for PR 4317. Closes: #808246.
  * Fix build failure with new coreutils. Closes: #812846.

 -- Matthias Klose <doko@debian.org>  Wed, 27 Jan 2016 12:36:00 +0100

binutils (2.25.90.20160101-2) unstable; urgency=medium

  * Apply proposed patch for PR ld/19368. Closes: #807974.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Jan 2016 17:32:06 +0100

binutils (2.25.90.20160101-1ubuntu2) xenial; urgency=medium

  * Apply proposed patch for PR ld/19368. Closes: #807974.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Jan 2016 11:59:35 +0100

binutils (2.25.90.20160101-1ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Build binutils-static and binutils-static-udeb packages.
    - Don't build cross binutils packages for non-linux architectures.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 01 Jan 2016 15:33:31 +0100

binutils (2.25.90.20160101-1) unstable; urgency=medium

  * Snapshot, taken from the 2.26 branch (20160101).
  * PR gas/19359, work around a GCC issue on POWER8.

 -- Matthias Klose <doko@debian.org>  Fri, 01 Jan 2016 13:40:16 +0100

binutils (2.25.90.20151211-0ubuntu2) xenial; urgency=medium

  * PR gas/19359, work around a GCC issue on POWER8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Dec 2015 12:58:28 +0100

binutils (2.25.90.20151211-0ubuntu1) xenial; urgency=medium

  * Snapshot, taken from the 2.26 branch (20151211).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 11 Dec 2015 09:00:16 +0100

binutils (2.25.90.20151209-1ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Build binutils-static and binutils-static-udeb packages.
    - Don't build cross binutils packages for non-linux architectures.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Dec 2015 13:00:32 +0100

binutils (2.25.90.20151209-1) unstable; urgency=medium

  * Snapshot, taken from the 2.26 branch (20151209).
  * Fix cross build dependencies. Closes: #807378.

 -- Matthias Klose <doko@debian.org>  Wed, 09 Dec 2015 12:41:22 +0100

binutils (2.25.90.20151125-2ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Build binutils-static and binutils-static-udeb packages.
    - Don't build cross binutils packages for non-linux architectures.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 30 Nov 2015 12:10:02 +0100

binutils (2.25.90.20151125-2) unstable; urgency=medium

  * Add ARMv8.1 Virtualization Host Extensions support, taken from the trunk.
  * Import zlib 1.2.8, taken from the trunk.
  * Filter the date/user line from the cross binutils test results.
    Closes: #806490.

 -- Matthias Klose <doko@debian.org>  Mon, 30 Nov 2015 11:52:26 +0100

binutils (2.25.90.20151125-1ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Build binutils-static and binutils-static-udeb packages.
    - Don't build cross binutils packages for non-linux architectures.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Nov 2015 16:40:45 +0100

binutils (2.25.90.20151125-1) unstable; urgency=medium

  * Snapshot, taken from the 2.26 branch (20151125).
    - Fixed stack overflow TEMP-0000000-A2945B.
  * Build ppc64el binutils on ppc64.

 -- Matthias Klose <doko@debian.org>  Wed, 25 Nov 2015 14:19:39 +0100

binutils (2.25.51.20151113-2ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Build binutils-static and binutils-static-udeb packages.
    - Don't build cross binutils packages for Debian ports architectures.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Nov 2015 14:25:21 +0100

binutils (2.25.51.20151113-2) unstable; urgency=medium

  * Backport patches from the trunk:
    - Fix PR ld/19263, segfault for s390_elf. Closes: #805237.
    - Fix PR ld/19264, account for .tbss alignment when adjusting start
      of relro. LP: #1516444.

 -- Matthias Klose <doko@debian.org>  Thu, 19 Nov 2015 14:16:15 +0100

binutils (2.25.51.20151113-1ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Build binutils-static and binutils-static-udeb packages.
    - Don't build cross binutils packages for Debian ports architectures.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 13 Nov 2015 12:03:46 +0100

binutils (2.25.51.20151113-1) unstable; urgency=medium

  * Snapshot, taken from the just created 2.26 branch (20151113).
    - Fixed PR ld/19123. Closes: #801879.
    - Ignore relocations in .data.rel.ro.local (hppa). Closes: #801531.
    - Fix PR gas/19217, wrong use of MOVT to replace LDR (ARM32). LP: #1513985.
  * Stop building gold on sparc and sparc64. Closes: #803474.

 -- Matthias Klose <doko@debian.org>  Fri, 13 Nov 2015 11:08:24 +0100

binutils (2.25.51.20151106-0ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Build binutils-static and binutils-static-udeb packages.
    - Don't build cross binutils packages for Debian ports architectures.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Nov 2015 18:55:14 +0100

binutils (2.25.51.20151106-1) experimental; urgency=medium

  * Snapshot, taken from the trunk 20151106.
  * Work around PR ld/19188, internal linker error. LP: #1511542.

 -- Matthias Klose <doko@debian.org>  Fri, 06 Nov 2015 18:44:09 +0100

binutils (2.25.51.20151028-0ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Build binutils-static and binutils-static-udeb packages.
    - Don't build cross binutils packages for Debian ports architectures.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 28 Oct 2015 10:19:25 +0100

binutils (2.25.51.20151028-1) experimental; urgency=medium

  * Snapshot, taken from the trunk 20151028.
    - Fix PR ld/19171 (LP: #1510067), PR ld/19175 (LP: #1510270).
  * Revert the fix for PR gold/19119, fixing gold on armhf, arm64 and powerpc.

 -- Matthias Klose <doko@debian.org>  Wed, 28 Oct 2015 09:34:03 +0100

binutils (2.25.51.20151027-0ubuntu1) xenial; urgency=medium

  * Snapshot, taken from the trunk 20151027.
    - Fix PR ld/19175. LP: #1510270.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 27 Oct 2015 08:18:33 +0100

binutils (2.25.51.20151022-0ubuntu3) xenial; urgency=medium

  * Fix PR ld/19171, taken from the trunk. LP: #1510067.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Oct 2015 18:17:45 +0200

binutils (2.25.51.20151022-0ubuntu2) xenial; urgency=medium

  * Revert the fix for PR gold/19119, fixing gold on armhf and arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 25 Oct 2015 19:42:10 +0200

binutils (2.25.51.20151022-0ubuntu1) xenial; urgency=medium

  * Snapshot, taken from the trunk 20151022.
  * Remove the hardening-wrapper breaks.
  * Fix building the cross-toolchain-base package.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 Oct 2015 18:33:53 +0200

binutils (2.25.51.20151021-1ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Build binutils-static and binutils-static-udeb packages.
    - Don't build cross binutils packages for Debian ports architectures.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Oct 2015 19:48:50 +0200

binutils (2.25.51.20151021-1) experimental; urgency=medium

  * Snapshot, taken from the trunk 20151021.
  * binutils-i686-gnu: Don't ship ldscripts.

 -- Matthias Klose <doko@debian.org>  Wed, 21 Oct 2015 19:46:24 +0200

binutils (2.25.51.20151020-1ubuntu2) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Build binutils-static and binutils-static-udeb packages.
  * Don't build cross binutils packages for Debian ports architectures.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Oct 2015 01:27:21 +0200

binutils (2.25.51.20151020-1) experimental; urgency=medium

  * Snapshot, taken from the trunk 20151020.
  * Build cross packages for debian port architectures.
  * Move libraries into the multiarch libdir.
  * Include gold on KFreeBSD.
  * Install the gnu-triplet prefixed binaries and manual pages as files,
    and provide non-prefixed symlinks.
  * Add a breaks in binutils for hardening-wrapper (<< 2.8); the diversions
    need to be adopted for the real files.
  * Don't ship windows related manual pages.
  * Change the search order for ld to first search in /usr/lib*,
    then in /usr/<gnu-triplet>/lib*.
  * Run the testsuite for all cross targets.
  * Configure with --disable-compressed-debug-sections.

 -- Matthias Klose <doko@debian.org>  Wed, 21 Oct 2015 01:14:01 +0200

binutils (2.25.51.20151015-0ubuntu1) wily; urgency=medium

  * Snapshot, taken from the trunk 20151015.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 15 Oct 2015 16:48:24 +0200

binutils (2.25.51.20151014-1) experimental; urgency=medium

  * Snapshot, taken from the trunk 20151014.
  * Explicitly configure --with-system-zlib.
  * Disable compressed debug sections on x86. See PR gas/19109.
  * Configure cross builds with --enable-initfini-array.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Oct 2015 01:18:36 +0200

binutils (2.25.1-7) unstable; urgency=medium

  * Fix PR ld/18867, ld reloc sorting causing glibc to crash on alpha.
    Taken from the branch. Closes: #792555.

 -- Matthias Klose <doko@debian.org>  Sun, 11 Oct 2015 10:33:38 +0200

binutils (2.25.1-6ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Build binutils-static and binutils-static-udeb packages.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 10 Oct 2015 10:08:28 +0200

binutils (2.25.1-6) unstable; urgency=medium

  * Configure with --enable-initfini-array (not the default for cross builds).
  * Backport PR gold/18855 (sparc).

 -- Matthias Klose <doko@debian.org>  Fri, 09 Oct 2015 14:57:11 +0200

binutils (2.25.1-5ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Build binutils-static and binutils-static-udeb packages.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 05 Oct 2015 13:08:51 +0200

binutils (2.25.1-5) unstable; urgency=medium

  * Fix setting the default library path on i386.

 -- Matthias Klose <doko@debian.org>  Mon, 05 Oct 2015 13:03:39 +0200

binutils (2.25.1-4) unstable; urgency=medium

  * On i386, configure for i686-linux-gnu. Provide i585-linux-gnu symlinks.

 -- Matthias Klose <doko@debian.org>  Thu, 01 Oct 2015 19:19:24 +0200

binutils (2.25.1-3ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Build binutils-static and binutils-static-udeb packages.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 22 Sep 2015 19:19:24 +0200

binutils (2.25.1-3) unstable; urgency=medium

  * Regenerate the control file. Closes: #799234.
  * Configure cross builds with --with-sysroot=/. Closes: #799703.
  * Backport PR ld/18668 from the trunk. Closes: #797666.
  * Fix lintian warnings for the binutils-hppa64-linux-gnu package.

 -- Matthias Klose <doko@debian.org>  Tue, 22 Sep 2015 18:38:07 +0200

binutils (2.25.1-2) unstable; urgency=medium

  * Build cross binutils packages targeting the release architectures.
  * Rename shared libraries for the cross packages and install into
    the standard location.
  * Don't ship the header files and static libraries for the cross packages.
  * Rename binutils-hppa64 to binutils-hppa64-linux-gnu.
  * PR binutils/18750, fix stack buffer overflows when parsing corrupt
    ihex files.

 -- Matthias Klose <doko@debian.org>  Tue, 15 Sep 2015 01:54:21 +0200

binutils (2.25.1-1ubuntu5) wily; urgency=medium

  * Build-depend on chrpath.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Sep 2015 23:10:29 +0200

binutils (2.25.1-1ubuntu3) wily; urgency=medium

  * Build cross binutils packages targeting the release architectures.
  * Rename shared libraries for the cross packages and install into
    the standard location.
  * Don't ship the header files and static libraries for the cross packages.
  * Rename binutils-hppa64 to binutils-hppa64-linux-gnu.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Sep 2015 22:30:44 +0200

binutils (2.25.1-1ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Build binutils-static and binutils-static-udeb packages.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Aug 2015 10:24:58 +0200

binutils (2.25.1-1) unstable; urgency=medium

  * Binutils 2.25.1 release.

 -- Matthias Klose <doko@debian.org>  Sat, 08 Aug 2015 00:36:12 +0200

binutils (2.25-11ubuntu1) wily; urgency=medium

  * Merge with Debian, remaining changes:
    - Build from upstream sources.
    - Build binutils-static and binutils-static-udeb packages.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 31 Jul 2015 13:31:07 +0200

binutils (2.25-11) unstable; urgency=medium

  * Fix broken -Bsymbolic-functions on ARM32, hppa, m68k. Taken from
    the trunk.

 -- Matthias Klose <doko@debian.org>  Fri, 31 Jul 2015 12:40:32 +0200

binutils (2.25-10ubuntu1) wily; urgency=medium

  * Merge with Debian, remaining changes:
    - Build from upstream sources.
    - Build binutils-static and binutils-static-udeb packages.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Jul 2015 12:20:45 +0200

binutils (2.25-10) unstable; urgency=medium

  * Snapshot, taken from the 2.25 branch 20150711.
    - POWERPC fixes.

 -- Matthias Klose <doko@debian.org>  Sat, 11 Jul 2015 12:12:38 +0200

binutils (2.25-9ubuntu1) wily; urgency=medium

  * Merge with Debian, remaining changes:
    - Build from upstream sources.
    - Build binutils-static and binutils-static-udeb packages.

 -- Matthias Klose <doko@debian.org>  Mon, 22 Jun 2015 16:27:13 +0200

binutils (2.25-9) unstable; urgency=medium

  * Snapshot, taken from the 2.25 branch 20150622.
    - ARM32, AArch64, POWERPC fixes.
  * Fix PR gas/18427, gas slow on hppa, taken from the trunk. Closes: #787192.

 -- Matthias Klose <doko@debian.org>  Mon, 22 Jun 2015 11:45:36 +0200

binutils (2.25-8ubuntu1) wily; urgency=medium

  * Merge with Debian, remaining changes:
    - Build from upstream sources.
    - Build binutils-static and binutils-static-udeb packages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 May 2015 17:26:13 +0200

binutils (2.25-8) unstable; urgency=medium

  * Snapshot, taken from the 2.25 branch 20150523.
    - PPC and AArch64 backports from the trunk.

 -- Matthias Klose <doko@debian.org>  Sat, 23 May 2015 09:44:54 +0200

binutils (2.25-7) unstable; urgency=medium

  * Snapshot, taken from the 2.25 branch 20150411.
  * More adjustments for reproducible builds. Closes: #774429.

 -- Matthias Klose <doko@debian.org>  Fri, 24 Apr 2015 13:18:01 +0200

binutils (2.25-6) unstable; urgency=medium

  * Apply patches from the 2.25 branch to address PR binutils/17512,
    PR binutils/17531.
  * Removal partial backports for PR binutils/17531.
  * Configure with --enable-deterministic-archives. Closes: #774429.

 -- Matthias Klose <doko@debian.org>  Thu, 26 Mar 2015 16:40:36 +0100

binutils (2.25-5ubuntu7) vivid; urgency=medium

  * Fix PR ld/18222, downgrade linker error on protected symbols in
    .dynbss to a warning. Fixes libunwind build error.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Apr 2015 17:42:44 +0200

binutils (2.25-5ubuntu6) vivid; urgency=medium

  * Fix PR ld/18167, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 27 Mar 2015 13:25:26 +0100

binutils (2.25-5ubuntu5) vivid; urgency=medium

  * Revert the fixes for PR ld/15228, PR ld/17709, causing PR ld/18167.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Mar 2015 16:28:49 +0100

binutils (2.25-5ubuntu4) vivid; urgency=medium

  * Update to the binutils 2.25 branch 20150325.
    - Backport patches to address PR binutils/17512, PR binutils/17531.
  * Removal partial backports for PR binutils/17531.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Mar 2015 22:08:50 +0100

binutils (2.25-5ubuntu3) vivid; urgency=medium

  * Fix the AArch64 build.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 20 Mar 2015 18:09:16 +0100

binutils (2.25-5ubuntu2) vivid; urgency=medium

  * Update to the binutils 2.25 branch 20150320.
    - x86 gas: Limit multi-byte nop instructions to 10 bytes.
    - Fix ppc32 synthetic symbols when __tls_get_addr_opt stub is generated.
    - Tweak ppc32 tls_get_addr optimisation.
    - PowerPC64 thread-safe stubs not needed for iplt.
    - Use dynamic text relocs for protected vars (ppc32, ppc64).
    - Fix PR gold/18010, PR gold/17954 PowerPC64 gold issues.
    - Backport support for Cortex-A72.
    - Fix PR ld/15228, PR ld/17709, add extern_protected_data and set it
      for x86.
  * Really install the texi files. LP: #1410780.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 20 Mar 2015 17:39:01 +0100

binutils (2.25-5ubuntu1) vivid; urgency=medium

  * Merge with Debian, remaining changes:
    - Build from upstream sources.
    - Build binutils-static and binutils-static-udeb packages.
    - Use 64k for COMMONPAGESIZE on powerpc, ppc64 and ppc64el. LP: #1412553.
  * Update to the binutils 2.25 branch 20150225.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Feb 2015 09:35:24 +0100

binutils (2.25-5) unstable; urgency=medium

  * Remove '*.rej' files in the source package. Closes: #775679.
  * Make the package build reproducibly (addresses: #774429):
    - Fix mtimes before building binary packages.
    - Stop recording the current time when creating gzip files.
    - Sort file list in md5sums.
    - Fix mtimes before building source tarball.
    - Sort file list in binutils source tarball.
    - If available, call strip-nondeterminism on static libraries.
  * Fix PR ld/17827 - PIE copy relocations are broken with pointers.
    Closes: #772958.

 -- Matthias Klose <doko@debian.org>  Wed, 25 Feb 2015 09:00:51 +0100

binutils (2.25-4) unstable; urgency=medium

  * Backport fixes for PR binutils/17531 up to 2014-12-22.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Jan 2015 08:00:07 +0100

binutils (2.25-3) unstable; urgency=medium

  * Don't build as a release candidate, fixing the upper shlibs dependency.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Thu, 25 Dec 2014 13:45:39 +0100

binutils (2.25-2ubuntu2) vivid; urgency=medium

  * Use 64k for COMMONPAGESIZE on powerpc, ppc64 and ppc64el. LP: #1412553.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 Jan 2015 14:13:08 +0100

binutils (2.25-2ubuntu1) vivid; urgency=medium

  * Merge with Debian, remaining changes:
    - Build from upstream sources.
    - Build binutils-static and binutils-static-udeb packages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Dec 2014 07:53:40 +0100

binutils (2.25-2) unstable; urgency=medium

  * Apply proposed patch for PR ld/17742 (don't create .eh_frame_hdr
    on shared lib bfd).

 -- Matthias Klose <doko@debian.org>  Thu, 25 Dec 2014 06:55:02 +0100

binutils (2.25-1) unstable; urgency=medium

  * binutils 2.25 release.
    - MIPS specific gas update.

 -- Matthias Klose <doko@debian.org>  Thu, 25 Dec 2014 05:49:55 +0100

binutils (2.24.90.20141219-1ubuntu1) vivid; urgency=medium

  * Merge with Debian, remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 20 Dec 2014 18:29:24 +0100

binutils (2.24.90.20141219-1) unstable; urgency=medium

  * Snapshot, taken from the 2.25 branch 20141219.
    - Fix PR ld/17713 (segfault), PR ld/17689 (link error), PR ld/15228.
  * Apply proposed patch for PR gold/17729 (fixing ~600 GCC test failures).

 -- Matthias Klose <doko@debian.org>  Fri, 19 Dec 2014 18:59:30 +0100

binutils (2.24.90.20141209-1ubuntu1) vivid; urgency=medium

  * Merge with Debian, remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 09 Dec 2014 10:07:28 +0100

binutils (2.24.90.20141209-1) unstable; urgency=medium

  * Snapshot, taken from the 2.25 branch 20141209.
    - Fix PR binutils/17677, PR gold/17670 (powerpc),
      PR gold/17566 (powerpc).

 -- Matthias Klose <doko@debian.org>  Tue, 09 Dec 2014 09:31:53 +0100

binutils (2.24.90.20141201-1ubuntu1) vivid; urgency=medium

  * Merge with Debian, remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Dec 2014 14:43:28 +0100

binutils (2.24.90.20141201-1) unstable; urgency=medium

  * Snapshot, taken from the 2.25 branch 20141201.
    - Fix PR ld/16452, PR/ld/16457: Don't output symbol version
      requirement for non-DT_NEEDED libs. Closes: #728529.

 -- Matthias Klose <doko@debian.org>  Mon, 01 Dec 2014 21:53:10 +0100

binutils (2.24.90.20141128-1) unstable; urgency=medium

  * Snapshot, taken from the 2.25 branch 20141128.
    - gold: Fix corrupted .eh_frame section with LTO and --gc-sections.
    - gold: Fix PowerPC relaxation corner case.
  * Relax upper shlibs version dependency to the next release candidate.

 -- Matthias Klose <doko@debian.org>  Fri, 28 Nov 2014 14:20:09 +0100

binutils (2.24.90.20141124-1ubuntu1) vivid; urgency=medium

  * Merge with Debian, remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Nov 2014 18:30:06 +0100

binutils (2.24.90.20141124-1) unstable; urgency=medium

  * Snapshot, taken from the 2.25 branch 20141124.
    - ppc alignment fixes, Go fixes
    - PR binutils/17597, PR binutils/17512, PR binutils/17521, PR binutils/17533,
      trunk backports for fixing the recent CVE issues.
    - One more fix for Cortex-A53 Erratum 835769 (AArch64).

 -- Matthias Klose <doko@debian.org>  Mon, 24 Nov 2014 17:29:27 +0100

binutils (2.24.90.20141111-2ubuntu1) vivid; urgency=medium

  * Merge with Debian, remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Nov 2014 10:22:29 +0100

binutils (2.24.90.20141111-2) unstable; urgency=medium

  * Fix ld -r abort in _bfd_elf_write_section_eh_frame, taken from the trunk.
    Closes: #769067.

 -- Matthias Klose <doko@debian.org.org>  Tue, 11 Nov 2014 11:10:27 +0100

binutils (2.24.90.20141111-1) unstable; urgency=medium

  * Snapshot, taken from the 2.25 branch 20141111.
    - Update .MIPS.abiflags to support MIPS R6.
  * gold: Misc updates for the AArch64 backend, taken from the trunk.
  * Mention some CVE issues, fixed in the 20141104 snapshot:
    - CVE-2014-8484 (PR binutils/17509).
    - CVE-2014-8485, CVE-2014-8504 (PR binutils/17510).
    - CVE-2014-8501, CVE-2014-8502, CVE-2014-8503 (PR binutils/17512).
  * Fix some lintian warnings.

 -- Matthias Klose <doko@debian.org>  Tue, 11 Nov 2014 07:55:51 +0100

binutils (2.24.90.20141104-1ubuntu1) vivid; urgency=medium

  * Merge with Debian, remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 04 Nov 2014 16:01:06 +0100

binutils (2.24.90.20141104-1) unstable; urgency=medium

  * Snapshot, taken from the 2.25 branch 20141023.
    - Fix PR bfd/17481.
    - Fix PR17488, powerpc64-linux-ld segfault. LP: #1381580.
    - Fix PR ld/17492. LP: #882353.
    - Fix PR gas/17493. LP: #1051156.
    - Add gcc-4.9 libgomp symbols requiring --plt-thread-safe for power7.
    - PowerPC64 ELFv1 function symbol definition vs LTO and discarded sections.
    - ppc: enable msgclr and msgsnd on Power8.
    - Relax ppc64_elf_tls_optimize assertion.
  * Pick patch from the trunk:
    - Support relexation for the gold aarch64 backend.
    - AArch64: move bogus assertion.
    - Fix build configured with --enable-targets=aarch64-linux.
    - Fix running ld-unique tests on ARM.
    - gas: Recognize: AAarch64 ThunderX processor.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Nov 2014 02:14:45 +0100

binutils (2.24.90.20141023-1ubuntu1) vivid; urgency=medium

  * Merge with Debian, remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 23 Oct 2014 23:59:57 +0200

binutils (2.24.90.20141023-1) unstable; urgency=medium

  * Snapshot, taken from the 2.25 branch 20141023.
  * Pick patch from the trunk:
    - Fix PR17488, powerpc64-linux-ld segfault. LP: #1381580.
    - Support relexation for the gold aarch64 backend.
    - Fix PR bfd/17481.
    - Fix PR ld/17492. LP: #882353.
    - Fix PR gas/17493. LP: #1051156.
    - Add gcc-4.9 libgomp symbols requiring --plt-thread-safe for power7.
    - PowerPC64 ELFv1 function symbol definition vs LTO and discarded sections.
    - AArch64: move bogus assertion.
    - Fix build configured with --enable-targets=aarch64-linux.
    - ppc: enable msgclr and msgsnd on Power8.
    - Fix running ld-unique tests on ARM.
    - gas: Recognize: AAarch64 ThunderX processor.
    - Relax ppc64_elf_tls_optimize assertion.

 -- Matthias Klose <doko@debian.org>  Thu, 23 Oct 2014 22:52:07 +0200

binutils (2.24.90.20141014-0ubuntu3) utopic; urgency=medium

  * Pick patches from the trunk:
    - Fix PR ld/17492. LP: #882353.
    - Fix PR gas/17493. LP: #1051156.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Oct 2014 15:32:59 +0200

binutils (2.24.90.20141014-0ubuntu2) utopic; urgency=medium

  * Pick patches from the trunk:
    - Fix PR17488, powerpc64-linux-ld segfault. LP: #1381580.
    - Support relexation for the gold aarch64 backend.
    - Fix PR bfd/17481.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Oct 2014 09:11:28 +0200

binutils (2.24.90.20141014-0ubuntu1) utopic; urgency=medium

  * Snapshot, taken from the 2.25 branch 20141014.
  * Remove patches picked from upstream.
  * Build gold on AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Oct 2014 11:39:04 +0200

binutils (2.24.51.20141001-1ubuntu4) utopic; urgency=medium

  * Fix PR ld/17647, taken from upstream. Closes: #764573.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 13 Oct 2014 20:20:11 +0200

binutils (2.24.51.20141001-1ubuntu2) utopic; urgency=medium

  * Fix ld/17447, taken from upstream. LP: #1371636.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 05 Oct 2014 07:54:23 +0200

binutils (2.24.51.20141001-1ubuntu1) utopic; urgency=medium

  * Merge with Debian, remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 01 Oct 2014 02:55:12 +0200

binutils (2.24.51.20141001-1) unstable; urgency=medium

  * Snapshot, taken from the trunk 20141001.
    - On ppc64el, move the section headers to the end of the object file
      for ld.bfd. LP: #1365664.

 -- Matthias Klose <doko@debian.org>  Wed, 01 Oct 2014 02:32:06 +0200

binutils (2.24.51.20140918-1ubuntu1) utopic; urgency=medium

  * Merge with Debian, remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 18 Sep 2014 23:49:38 +0200

binutils (2.24.51.20140918-1) unstable; urgency=medium

  * Snapshot, taken from the trunk 20140918.

 -- Matthias Klose <doko@debian.org>  Thu, 18 Sep 2014 19:28:16 +0200

binutils (2.24.51.20140903-1ubuntu1) utopic; urgency=medium

  * Merge with Debian, remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Sep 2014 00:37:05 +0200

binutils (2.24.51.20140903-1) unstable; urgency=medium

  * Snapshot, taken from the trunk 20140903.
  * Try to work around binutils-multiarch build failure on sh4 by disabling
    hppa targets for the binutils-multiarch build. Addresses: #758830.
  * Enable powerpc targets for ppc64el. Closes: #760395.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Sep 2014 23:02:26 +0200

binutils (2.24.51.20140818-1ubuntu1) utopic; urgency=medium

  * Merge with Debian, remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Aug 2014 14:41:00 +0200

binutils (2.24.51.20140818-1) unstable; urgency=high

  * Snapshot, taken from the trunk 20140818.
    - Fix GLIBC ifunc breakage on PowerPC64 ELFv2. LP: #1355962.

 -- Matthias Klose <doko@debian.org>  Mon, 18 Aug 2014 13:49:01 +0200

binutils (2.24.51.20140814-2) unstable; urgency=medium

  * Still provide i486-* symlinks.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Aug 2014 17:06:36 +0200

binutils (2.24.51.20140814-1ubuntu1) utopic; urgency=medium

  * Merge with Debian, remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Aug 2014 13:39:18 +0200

binutils (2.24.51.20140814-1) unstable; urgency=medium

  * Snapshot, taken from the trunk 20140814.
    - Add ld options --push-state and --pop-state.
  * binutils-hppa64: Set architecture to hppa.
  * Add aarch64_ilp32-linux-gnu multiarch directories to the search path.

 -- Matthias Klose <doko@debian.org>  Thu, 14 Aug 2014 13:28:40 +0200

binutils (2.24.51.20140807-1ubuntu1) utopic; urgency=medium

  * Snapshot, taken from the trunk 20140807.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Aug 2014 11:54:19 +0200

binutils (2.24.51.20140727-1ubuntu1) utopic; urgency=medium

  * Snapshot, taken from the trunk 20140727.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 27 Jul 2014 15:50:56 +0200

binutils (2.24.51.20140709-1ubuntu1) utopic; urgency=medium

  * Merge with Debian, remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Jul 2014 20:00:32 +0200

binutils (2.24.51.20140709-1) unstable; urgency=medium

  * Snapshot, taken from the trunk 20140709.
    - Fix PR gold/15639, -flto and ld.gold on ARM.
      Closes: #712189. LP: #1191909.

 -- Matthias Klose <doko@debian.org>  Wed, 09 Jul 2014 19:44:18 +0200

binutils (2.24.51.20140704-1ubuntu1) utopic; urgency=medium

  * Merge with Debian, remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Jul 2014 13:26:06 +0200

binutils (2.24.51.20140704-1) unstable; urgency=medium

  * Snapshot, taken from the trunk 20140704.
  * Build gold for mips* targets.
  * Update the patch for the mips64el support. Closes: #750566, #753052.
  * Update patches for the current trunk.

 -- Matthias Klose <doko@debian.org>  Fri, 04 Jul 2014 12:00:05 +0200

binutils (2.24.51.20140617-1ubuntu1) utopic; urgency=medium

  * Snapshot, taken from the trunk 20140617.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jun 2014 10:41:22 +0200

binutils (2.24.51.20140617-1) unstable; urgency=medium

  * Snapshot, taken from the trunk 20140617.

 -- Matthias Klose <doko@debian.org>  Tue, 17 Jun 2014 10:29:20 +0200

binutils (2.24.51.20140612-0ubuntu1) utopic; urgency=medium

  * Snapshot, taken from the trunk 20140612.
  * Re-enable the ld_system_root patch.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 12 Jun 2014 14:02:24 +0200

binutils (2.24.51.20140604-1ubuntu2) utopic; urgency=medium

  * Re-apply 2.24.51.20140425-0ubuntu2 changes, lost in previous upload.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Jun 2014 11:25:35 +0200

binutils (2.24.51.20140604-1ubuntu1) utopic; urgency=medium

  * Snapshot, taken from the trunk 20140604.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Jun 2014 14:19:01 +0200

binutils (2.24.51.20140604-1) unstable; urgency=medium

  * Snapshot, taken from the trunk 20140604.
  * Refactor rules for consistent usage of the PF macro (Helmut Grohne).

 -- Matthias Klose <doko@debian.org>  Wed, 04 Jun 2014 13:48:21 +0200

binutils (2.24.51.20140425-1) unstable; urgency=medium

  * Snapshot, taken from the trunk 20140425.
  * Refactor rules for consistent usage of the PF macro (Helmut Grohne).
  * On x86 targets provide gnu-type prefixed binaries with the cpu that GCC
    is configured for.
  * 129_multiarch_libpath.patch: Fix to search multiarch dirs, only needed
    for a minority of packages still using ld directly for linking instead
    of the recommended use of gcc.

 -- Matthias Klose <doko@debian.org>  Sun, 27 Apr 2014 21:52:56 +0200

binutils (2.24.51.20140425-0ubuntu2) utopic; urgency=medium

  * 129_multiarch_libpath.patch: Fix to search multiarch dirs again.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 25 Apr 2014 16:17:34 -0600

binutils (2.24.51.20140425-0ubuntu1) utopic; urgency=medium

  * Snapshot, taken from the trunk 20140425.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 25 Apr 2014 14:33:56 +0200

binutils (2.24.51.20140417-0ubuntu1) trusty; urgency=medium

  * Snapshot, taken from the trunk 20140417.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Apr 2014 21:17:28 +0200

binutils (2.24.51.20140411-1) unstable; urgency=medium

  * Snapshot, taken from the trunk 20140411.
  * Provide $(DEB_HOST_GNU_TYPE)- prefixed binaries and man pages.
  * Don't enable the spu targets on powerpc targets anymore.
  * Build the gold linker on hurd-i386 (Svante Signell). Closes: #744020.

 -- Matthias Klose <doko@debian.org>  Fri, 11 Apr 2014 18:49:22 +0200

binutils (2.24-5ubuntu3) trusty; urgency=medium

  * [AArch64] Fix off by one error in instruction relaxation mask.
    See https://sourceware.org/ml/binutils/2014-04/msg00151.html.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 15 Apr 2014 19:55:23 +0200

binutils (2.24-5ubuntu2) trusty; urgency=medium

  * Provide $(DEB_HOST_GNU_TYPE)- prefixed binaries and man pages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Apr 2014 16:38:11 +0100

binutils (2.24-5ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 21 Mar 2014 13:54:09 +0100

binutils (2.24-5) unstable; urgency=medium

  * Update from the 2.24 branch, 20140321.
  * Stop building the binutils-spu package.
  * Add a binutils-multiarch-dev package. Closes: #583160

 -- Matthias Klose <doko@debian.org>  Fri, 21 Mar 2014 11:23:40 +0100

binutils (2.24-4ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 04 Mar 2014 02:41:22 +0100

binutils (2.24-4) unstable; urgency=medium

  * Update from the 2.24 branch, 20140304.
  * Update Aarch64 ilp32 linker and libdir names.
  * Fix relocations for thread local variables on AArch64. Updated patch
    taken from the trunk.
  * Enable AArch64 big endian targets for AArch64 builds and for
    binutils-multiarch.
  * gas: Add entry for "xgene1" (AArch64).
  * gas: Remove the alignment limit on AArch64.
  * Add a Built-Using attribute for for the binutils-cross-* packages.
    Closes: #738311.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Mar 2014 02:21:00 +0100

binutils (2.24-3) unstable; urgency=medium

  * Update from the 2.24 branch, 20140124.
  * Display the reference causing a shared library to be needed (taken from
    the trunk).

 -- Matthias Klose <doko@debian.org>  Fri, 24 Jan 2014 14:39:48 +0100

binutils (2.24-2ubuntu3) trusty; urgency=medium

  * Fix relocations for thread local variables on AArch64. Updated patch
    taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 24 Jan 2014 16:46:21 +0100

binutils (2.24-2ubuntu2) trusty; urgency=low

  * Fix relocations for thread local variables on AArch64 (Michael
    Hudson).
  * Don't ship the embedspu binary in binutils-multiarch.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2013 16:37:35 +0100

binutils (2.24-2ubuntu1) trusty; urgency=low

  * Merge with Debian; remaining changes:
    - Build from the upstream source.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Dec 2013 14:22:33 +0100

binutils (2.24-2) unstable; urgency=medium

  * Update from the 2.24 branch, 20131209.
  * Remove versioned build dependencies which are not needed anymore
    since 2005.
  * Drop the ld_system_root patch.
  * Fix PowerPC64 linking of --just-symbols objects (Alan Modra).

 -- Matthias Klose <doko@debian.org>  Mon, 09 Dec 2013 13:57:43 +0100

binutils (2.24-1ubuntu2) trusty; urgency=low

  * Remove versioned build dependencies which are not needed anymore
    since 2005.
  * Fix PowerPC64 linking of --just-symbols objects (Alan Modra).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Dec 2013 11:07:14 +0100

binutils (2.24-1ubuntu1) trusty; urgency=low

  * Merge with Debian; remaining changes:
    - Build from the upstream source.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 Dec 2013 12:34:33 +0100

binutils (2.24-1) unstable; urgency=low

  * Final upstream release.
  * ifunc updates for AArch64, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Mon, 02 Dec 2013 11:21:16 +0200

binutils (2.23.91.20131123-1ubuntu1) trusty; urgency=low

  * Merge with Debian; remaining changes:
    - Build from the upstream source.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Nov 2013 08:41:59 +0100

binutils (2.23.91.20131123-1) unstable; urgency=low

  * New upstream snapshot, taken from the 2.24 branch.
  * Stop shipping libiberty, now available in libiberty-dev.

 -- Matthias Klose <doko@debian.org>  Sat, 23 Nov 2013 08:27:51 +0100

binutils (2.23.90.20131116-1ubuntu2) trusty; urgency=low

  * On AArch64, don't set LIBPATH_SUFFIX to 64.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Nov 2013 13:31:11 +0200

binutils (2.23.90.20131116-1ubuntu1) trusty; urgency=low

  * Merge with Debian; remaining changes:
    - Build from the upstream source.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Nov 2013 13:54:31 +0100

binutils (2.23.90.20131116-1) unstable; urgency=low

  * New upstream snapshot, taken from the 2.24 branch.

 -- Matthias Klose <doko@debian.org>  Sat, 16 Nov 2013 12:40:28 +0100

binutils (2.23.90.20131017-1ubuntu1) saucy; urgency=low

  * Merge with Debian; remaining changes:
    - Build from the upstream source.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Oct 2013 14:27:21 +0200

binutils (2.23.90.20131017-1) unstable; urgency=low

  * New upstream snapshot, taken from the 2.24 branch.

 -- Matthias Klose <doko@debian.org>  Thu, 17 Oct 2013 14:22:05 +0200

binutils (2.23.90.20130927-1ubuntu1) saucy; urgency=low

  * Merge with Debian; remaining changes:
    - Build from the upstream source.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 27 Sep 2013 16:22:51 +0200

binutils (2.23.90.20130927-1) unstable; urgency=low

  * New upstream snapshot, taken from the 2.24 branch.
  * Add ifunc support for AArch64.

 -- Matthias Klose <doko@debian.org>  Fri, 27 Sep 2013 14:05:44 +0200

binutils (2.23.52.20130913-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 13 Sep 2013 13:52:59 +0200

binutils (2.23.52.20130828-1ubuntu1) saucy; urgency=low

  * Merge with Debian; remaining changes:
    - Build from the upstream source.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 28 Aug 2013 15:25:50 +0200

binutils (2.23.52.20130828-1) unstable; urgency=low

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Wed, 28 Aug 2013 15:22:51 +0200

binutils (2.23.52.20130727-1ubuntu1) saucy; urgency=low

  * Merge with Debian; remaining changes:
    - Build from the upstream source.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 27 Jul 2013 11:29:57 +0200

binutils (2.23.52.20130727-1) unstable; urgency=low

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Sat, 27 Jul 2013 10:37:11 +0200

binutils (2.23.52.20130722-1ubuntu1) saucy; urgency=low

  * Merge with Debian; remaining changes:
    - Build from the upstream source.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Jul 2013 22:37:02 +0200

binutils (2.23.52.20130722-1) unstable; urgency=low

  * New upstream snapshot.
    - Fix PR ld/15762, glibc being built without warning sections.
  * Set the libdir for arm64 to lib, not lib64.
  * Stop building the binutils-gold package, let binutils provide
    binutils-gold.  Packages requiring gold should explicity pass
    -fuse-ld=gold to the compiler, packages requiring the bfd linker
    should pass -fuse-ld=bfd to the compiler.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Mon, 22 Jul 2013 21:13:32 +0200

binutils (2.23.52.20130620-1ubuntu1) saucy; urgency=low

  * Merge with Debian; remaining changes:
    - Build from the upstream source.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Jun 2013 12:31:29 +0200

binutils (2.23.52.20130620-1) unstable; urgency=low

  * New upstream snapshot.
  * Add conflicts with mingw binutils. Closes: #712057, #712063.
  * Always compare the test results with the ones from the installed binutils.

 -- Matthias Klose <doko@debian.org>  Thu, 20 Jun 2013 12:27:31 +0200

binutils (2.23.52.20130612-1ubuntu1) saucy; urgency=low

  * Merge with Debian; remaining changes:
    - Build from the upstream source.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Jun 2013 12:26:59 +0200

binutils (2.23.52.20130612-1) unstable; urgency=low

  * New upstream snapshot.
    - Fix issue #15323, redefining weak functions in -flto incrementally-linked
      executable. Closes: #710936.
  * Install libiberty.a again in binutils-dev, not installed anymore upstream
    by default.
  * Import the autopkg tests from Ubuntu.
  * Enable i386pep emulation for the x86 builds. Closes: #703463.
  * Fix typo in ld(1). Closes: #704867.
  * Add mips64(el) support (YunQiang Su). Closes: #710214.

 -- Matthias Klose <doko@debian.org>  Wed, 12 Jun 2013 11:35:05 +0200

binutils (2.23.52.20130611-1ubuntu2) saucy; urgency=low

  * Restore lost changes from 2.23.2-2ubuntu2 and 2.23.2-2ubuntu3.
  * Install libiberty.a alongside libiberty_pic.a in binutils-dev.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 11 Jun 2013 20:45:00 -0600

binutils (2.23.52.20130611-1ubuntu1) saucy; urgency=low

  * Merge with Debian; remaining changes:
    - Build from the upstream source.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Jun 2013 15:00:49 +0200

binutils (2.23.52.20130611-1) unstable; urgency=low

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Tue, 11 Jun 2013 14:53:06 +0200

binutils (2.23.52.20130522-1) experimental; urgency=low

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Wed, 22 May 2013 16:22:04 +0200

binutils (2.23.2-2ubuntu3) saucy; urgency=low

  * debian/tests/control: Add a Depends: field as "@" does not work for this
    package (binutils-hppa64 cannot be installed on other architectures).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 05 Jun 2013 07:12:42 +0200

binutils (2.23.2-2ubuntu2) saucy; urgency=low

  * Fix wrong syntax in debian/tests/control that's causing autopkgtest
    failures.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Jun 2013 07:50:53 -0700

binutils (2.23.2-2ubuntu1) raring; urgency=low

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Build binutils-static and binutils-static-udeb packages.
    - Add simple rebuild autopkgtest.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 16 Apr 2013 02:57:24 +0200

binutils (2.23.2-2) experimental; urgency=low

  * Add support for Cortex-A53 / Cortex-A57.
  * Fix PR gas/14887 and PR gas/14987, gas syntax errors on ARM.
    LP: #1166628.

 -- Matthias Klose <doko@debian.org>  Tue, 16 Apr 2013 02:21:44 +0200

binutils (2.23.2-1ubuntu2) raring; urgency=low

  * Add support for Cortex-A53 / Cortex-A57.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 30 Mar 2013 09:50:08 +0100

binutils (2.23.2-1ubuntu1) raring; urgency=low

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Build binutils-static and binutils-static-udeb packages.
    - Add simple rebuild autopkgtest.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 26 Mar 2013 20:25:43 +0100

binutils (2.23.2-1) experimental; urgency=low

  * binutils 2.23.2 release.

 -- Matthias Klose <doko@debian.org>  Tue, 26 Mar 2013 19:58:59 +0100

binutils (2.23.1-0ubuntu11) raring; urgency=low

  * Update from the 2.23 branch (20130222).
  * For cross builds, add the tool libdir to the library search path.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Feb 2013 15:28:19 +0100

binutils (2.23.1-0ubuntu10) raring; urgency=low

  * Revert, broken for cross builds:
    - Recognize DEB_TARGET_ARCH for cross builds.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Feb 2013 23:32:59 +0100

binutils (2.23.1-0ubuntu9) raring; urgency=low

  * AArch64: Fix the support for PRFM instructions with preload
    instruction hints (proposed for the 2.23 branch).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Feb 2013 19:52:08 +0100

binutils (2.23.1-0ubuntu8) raring; urgency=low

  * Update from the 2.23 branch (20130213).
    - AArch64 and PPC updates.
  * Recognize DEB_TARGET_ARCH for cross builds. Closes: #695595.
  * Fix srec_scan null dereference (Sang Kil Cha). Closes: #684903.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Feb 2013 12:45:29 +0100

binutils (2.23.1-0ubuntu6) raring; urgency=low

  * Fix PR ld/14918: linking with -flto always links in libgcc_s.so.
    Closes: #650145.
  * Fix build failure with texinfo 4.14. Closes: #697353.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Jan 2013 14:20:15 +0100

binutils (2.23.1-0ubuntu5) raring; urgency=low

  * Drop build dependency on g++.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Dec 2012 08:55:12 +0100

binutils (2.23.1-0ubuntu4) raring; urgency=low

  * Update from the 2.23 branch (20121204).
  * Add -fuse-ld= for GCC linker option compatibility in ld and gold.
  * gold cross builds: Search the multiarch directories too.
  * Revert the gettext:any build dependency hack.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 05 Dec 2012 08:45:10 +0100

binutils (2.23.1-0ubuntu3) raring; urgency=low

  * debian/control.in: Drop Vcs-*, that branch hasn't been updated since
    natty.
  * Add simple rebuild autopkgtest. (LP: #1081500)
  * Add a simple test to compile, link, and run a program against libc6 and
    build/use a shared library with the system-installed binutils, to ensure
    basic binutils functionality.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 22 Nov 2012 07:49:25 +0100

binutils (2.23.1-0ubuntu2) raring; urgency=low

  * Update from the 2.23 branch (20121121).
    - arm, aarch64 and x32 updates.
    - Fix build error with -Werror. LP: #1079676.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Nov 2012 14:14:55 +0100

binutils (2.23.1-0ubuntu1) raring; urgency=low

  * binutils 2.23.1 release.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 15 Nov 2012 14:07:23 +0100

binutils (2.23-2ubuntu1) raring; urgency=low

  * Merge with Debian; remaining changes:
    - Build from upstream tarball.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 06 Nov 2012 19:40:21 +0100

binutils (2.23-2) experimental; urgency=low

  * Update multi-arch paths for x32 (x86_64-linux-gnux32) (Daniel Schepler).
    Closes: #692138.
  * Add new ARM hard-float/soft-float ABI flags for EABI_VER5 (Steve McIntyre).
  * Silence lintian stupidity about interpreting every string in binaries
    as text (Emmanuel Fleury). Closes: #661639.
  * In ld.texi, remove cross reference to BFD internals documentation.

 -- Matthias Klose <doko@debian.org>  Tue, 06 Nov 2012 10:42:37 +0100

binutils (2.23-1) experimental; urgency=low

  * binutils 2.23 release.
  * Don't include the documents licensed under GFDL with cover texts.
    Closes: #650504.

 -- Matthias Klose <doko@debian.org>  Wed, 24 Oct 2012 10:29:50 +0200

binutils (2.22.90.20120924-1) experimental; urgency=low

  * New upstream snapshot (taken from the 2.23 branch).
  * Fix bfd.h, removing the safety inclusion guard.
  * Fix multilib conflicts of generated values by __WORDSIZE-based expressions.

 -- Matthias Klose <doko@debian.org>  Mon, 24 Sep 2012 18:39:51 +0200

binutils (2.22.90.20120924-0ubuntu2) quantal; urgency=low

  * Fix inclusion of bfd.h, removing the safety inclusion guard.
  * Fix multilib conflicts of generated values by __WORDSIZE-based expressions.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Sep 2012 18:40:36 +0200

binutils (2.22.90.20120924-0ubuntu1) quantal; urgency=low

  * Update from the 2.23 branch:
    - Fix PR ld/14591 (wrong symbol type with common symbol and weak function).
  * d/p/211-hjl-binutils-weakdef.patch, d/p/213-hjl-binutils-sec64k.patch:
    Remove, not found anymore in the hjl releases.
  * Remove all other (not applied) patches from the hjl releases.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Sep 2012 22:16:17 +0200

binutils (2.22.90.20120919-0ubuntu1) quantal; urgency=low

  * Update from the 2.23 branch:
    - armv8 fixes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Sep 2012 16:49:35 +0200

binutils (2.22.90.20120913-2ubuntu1) quantal; urgency=low

  * Merge with Debian.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 15 Sep 2012 11:29:42 +0200

binutils (2.22.90.20120913-2) experimental; urgency=low

  * Undo the reversion of the mips patches, unrelated issue.
  * Build again with -marm on armhf. Testsuite still not ready for thumb mode.

 -- Matthias Klose <doko@debian.org>  Sat, 15 Sep 2012 03:00:10 +0200

binutils (2.22.90.20120913-1ubuntu1) quantal; urgency=low

  * Merge with Debian.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Sep 2012 21:06:18 +0200

binutils (2.22.90.20120913-1) experimental; urgency=low

  * New upstream snapshot (taken from the 2.23 branch).
  * Add R_AARCH64_GOT_LD_PREL19 reloc implementation, taken from the trunk.
  * Revert mips updates.
    See http://sourceware.org/ml/binutils/2012-09/msg00158.html

 -- Matthias Klose <doko@debian.org>  Thu, 13 Sep 2012 20:35:08 +0200

binutils (2.22.90.20120907-1ubuntu1) quantal; urgency=low

  * Build-depend on gettext:any to fix the cross build. LP: #1043442.
    Work around until libgettext is split out of gettext (see #683751).

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Sep 2012 13:43:51 +0200

binutils (2.22.90.20120907-1) experimental; urgency=low

  * New upstream snapshot (taken from the 2.23 branch).
  * Don't build anymore with -marm on armhf.
  * Work around `install' limitation not able to pass parameters
    to the strip command. Closes: #686183.
  * Generate md5sums file. Closes: #684079.

 -- Matthias Klose <doko@debian.org>  Sat, 08 Sep 2012 13:40:39 +0200

binutils (2.22.90.20120816-2ubuntu1) quantal; urgency=low

  * Merge with Debian.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 22 Aug 2012 13:54:26 +0200

binutils (2.22.90.20120816-2) experimental; urgency=low

  * Some refactoring of debian/rules based on patches from Marcin:
  * Introduce DEB_TARGET_* macros to unify native and cross builds.
  * Build the control file as the first step for cross builds.
  * Try again building without --disable-werror.
  * Refactor stripping of binaries into a `strip_package' macro.

 -- Matthias Klose <doko@debian.org>  Tue, 21 Aug 2012 15:31:05 +0200

binutils (2.22.90.20120816-1ubuntu1) quantal; urgency=low

  * New upstream snapshot (taken from the 2.23 branch).
  * Configure for aarch64 and x32 targets.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Aug 2012 16:35:48 +0200

binutils (2.22.90.20120731-0ubuntu1) quantal; urgency=low

  * New upstream snapshot (taken from the 2.23 branch).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 01 Aug 2012 16:31:30 +0200

binutils (2.22.52.20120713-0ubuntu1) quantal; urgency=low

  * New upstream snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 14 Jul 2012 00:56:30 +0200

binutils (2.22.52.20120704-1) experimental; urgency=low

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Jul 2012 14:40:01 +0200

binutils (2.22-7) unstable; urgency=low

  * Update from the binutils-2_22-branch 20120704.
    - Fix PR ld/13991 and a gold issue on ARM.
  * Fix warning building libiberty/md5.c. Closes: #674831.
  * Enable x86_64-pep in binutils-multiarch. Closes: #675364.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Jul 2012 11:00:14 +0200

binutils (2.22-6ubuntu1) precise; urgency=low

  * Merge with Debian.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Mar 2012 19:21:22 +0100

binutils (2.22-6) unstable; urgency=low

  * Update from the binutils-2_22-branch 20120307.
    - Fix PR ld/12161 (avr), PR binutils/13622 (readelf crash),
      PR binutils/13476 (hppa), PR ld/13387 (hppa),
  * Fix typo in elf64-x86-64.c, follow-up patch to PR ld/13302.

 -- Matthias Klose <doko@debian.org>  Thu, 08 Mar 2012 18:52:20 +0100

binutils (2.22-5ubuntu1) precise; urgency=low

  * Merge with Debian.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Jan 2012 11:47:53 +0100

binutils (2.22-5) unstable; urgency=low

  * Update from the binutils-2_22-branch 20120124.
    - Fix PR ld/13581 (x32).
  * Fix PR gas/13449 (ARM), taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Tue, 24 Jan 2012 21:26:43 +0100

binutils (2.22-4ubuntu1) precise; urgency=low

  * Merge with Debian.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Jan 2012 10:27:24 +0100

binutils (2.22-4) unstable; urgency=low

  * Don't bump the soversion (revert the change in 2.22-3).
  * Apply proposed patch for PR binutils/13534, allowing ar to handle
    files bigger than 2GB (Francois Gouget). Closes: #652887).
  * Recognize DW_LANG_Go in readelf (backport from trunk).

 -- Matthias Klose <doko@debian.org>  Sat, 07 Jan 2012 09:07:25 +0100

binutils (2.22-3ubuntu1) precise; urgency=low

  * Merge with Debian.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Jan 2012 07:28:18 +0100

binutils (2.22-3) unstable; urgency=low

  * Update from the binutils-2_22-branch 20120102.
    - gold updates.
    - mips updates.

 -- Matthias Klose <doko@debian.org>  Tue, 03 Jan 2012 06:06:20 +0100

binutils (2.22-2ubuntu1) precise; urgency=low

  * Merge with Debian.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 11 Dec 2011 17:37:30 +0100

binutils (2.22-2) unstable; urgency=low

  * Update from the binutils-2_22-branch 20111211.
  * Fix build failure with make 3.82 (Daniel Schepler). Closes: #650064.

 -- Matthias Klose <doko@debian.org>  Sun, 11 Dec 2011 16:30:14 +0000

binutils (2.22-1ubuntu1) precise; urgency=low

  * Merge with Debian.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 21 Nov 2011 17:47:56 +0100

binutils (2.22-1) unstable; urgency=low

  * Binutils 2.22 release.

 -- Matthias Klose <doko@debian.org>  Mon, 21 Nov 2011 16:50:53 +0100

binutils (2.21.90.20111025-1ubuntu1) precise; urgency=low

  * Merge with Debian.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Oct 2011 15:46:41 +0200

binutils (2.21.90.20111025-1) unstable; urgency=low

  * Snapshot, taken from the binutils-2_22-branch 20111025.
  * Fix lintian warnings.

 -- Matthias Klose <doko@debian.org>  Tue, 25 Oct 2011 15:06:46 +0200

binutils (2.21.90.20111019-3ubuntu1) precise; urgency=low

  * Merge with Debian.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Oct 2011 13:41:58 +0200

binutils (2.21.90.20111019-3) unstable; urgency=low

  * Fix PR ld/13302, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Sun, 23 Oct 2011 13:15:07 +0200

binutils (2.21.90.20111019-2ubuntu1) precise; urgency=low

  * Merge with Debian.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Oct 2011 13:12:50 +0200

binutils (2.21.90.20111019-2) unstable; urgency=low

  * Fix PR ld/13287, taken from the trunk. LP: #872687.

 -- Matthias Klose <doko@debian.org>  Thu, 20 Oct 2011 12:29:18 +0200

binutils (2.21.90.20111019-1) unstable; urgency=low

  * Snapshot, taken from the binutils-2_22-branch 20111019.

 -- Matthias Klose <doko@debian.org>  Wed, 19 Oct 2011 22:25:05 +0200

binutils (2.21.90.20111004-2ubuntu1) oneiric; urgency=low

  * Merge with Debian.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Oct 2011 12:36:33 +0200

binutils (2.21.90.20111004-2) unstable; urgency=low

  * Fix PR ld/13250, preserve the maximum alignment and size for common
    symbols (H.J. Lu). Closes: #608901. LP: #697229.

 -- Matthias Klose <doko@debian.org>  Thu, 06 Oct 2011 08:06:04 +0200

binutils (2.21.90.20111004-1) unstable; urgency=medium

  * Snapshot, taken from the binutils-2_22-branch 20111004.
  * Fix PR ld/13195, taken from the trunk. Closes: #643858, #644183.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Oct 2011 12:12:16 +0200

binutils (2.21.53.20110922-1) unstable; urgency=low

  * Snapshot, taken from the binutils-2_22-branch 20110924.

 -- Matthias Klose <doko@debian.org>  Sat, 24 Sep 2011 09:55:38 +0200

binutils (2.21.53.20110910-1) unstable; urgency=low

  * Snapshot, taken from the trunk 20110910.
    - Fix PR gas/13024. Closes: #635592.
  * Build with proposed patch for PR ld/12965.
  * Don't ship .la files in the cross binutils packages.
  * For native builds, add the multiarch directories to the default
    search path.

 -- Matthias Klose <doko@debian.org>  Sat, 10 Sep 2011 13:06:01 +0200

binutils (2.21.53.20110823-3) unstable; urgency=low

  * Revert the last change:
    - Default to --hash-style=both in ld.bfd and ld.gold.

 -- Matthias Klose <doko@debian.org>  Thu, 25 Aug 2011 10:48:28 +0200

binutils (2.21.53.20110823-2) unstable; urgency=low

  * Default to --hash-style=both in ld.bfd and ld.gold.
  * Fix s390x build (Aurelian Jarno). Closes: #635167.

 -- Matthias Klose <doko@debian.org>  Wed, 24 Aug 2011 13:06:48 +0200

binutils (2.21.53.20110823-1) unstable; urgency=low

  * Snapshot, taken from the trunk 20110823.
    - ld --no-copy-dt-needed-entries/--no-add-needed is now the default.

 -- Matthias Klose <doko@debian.org>  Tue, 23 Aug 2011 21:23:38 +0200

binutils (2.21.53.20110810-0ubuntu4) oneiric-proposed; urgency=low

  * Fix PR ld/13250, preserve the maximum alignment and size for common
    symbols (H.J. Lu). Closes: #608901. LP: #697229.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 06 Oct 2011 09:22:34 +0200

binutils (2.21.53.20110810-0ubuntu3) oneiric; urgency=low

  * Fix PR ld/13201, link error with --as-needed and -flto. LP: #778292.
    LP: #690194.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Sep 2011 11:34:33 +0200

binutils (2.21.53.20110810-0ubuntu2) oneiric; urgency=low

  * Build with proposed patch for PR ld/12965. LP: #641126.
  * Don't ship .la files in the cross binutils packages. LP: #760420.
  * For native builds, add the multiarch directories to the default
    search path. LP: #780455.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 Sep 2011 15:36:22 +0200

binutils (2.21.53.20110810-0ubuntu1) oneiric; urgency=low

  * Snapshot, taken from the trunk 20110810.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Aug 2011 22:51:48 +0200

binutils (2.21.53.20110805-1ubuntu1) oneiric; urgency=low

  * Merge with Debian.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 05 Aug 2011 12:34:26 +0200

binutils (2.21.53.20110805-1) unstable; urgency=low

  * Snapshot, taken from the trunk 20110805.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 05 Aug 2011 12:25:49 +0200

binutils (2.21.53.20110729-1) unstable; urgency=low

  * Snapshot, taken from the trunk 20110729.
  * Fix s390x build (Aurelian Jarno). Closes: #635167.

 -- Matthias Klose <doko@debian.org>  Fri, 29 Jul 2011 19:04:46 +0200

binutils (2.21.53.20110720-1) unstable; urgency=low

  * Snapshot, taken from the trunk 20110720.
    - Fix PR ld/12978. Closes: #632681.

 -- Matthias Klose <doko@debian.org>  Wed, 20 Jul 2011 20:54:51 +0200

binutils (2.21.52.20110707-1ubuntu1) oneiric; urgency=low

  * Merge with Debian.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Jul 2011 07:28:51 +0200

binutils (2.21.52.20110707-1) unstable; urgency=low

  * Snapshot, taken from the trunk 20110707.
    - Fix build failure on mips/mipsel. Closes: #632690.
    - Fix issues on kfreebsd-amd64. Closes: #632671.

 -- Matthias Klose <doko@debian.org>  Thu, 07 Jul 2011 06:48:33 +0200

binutils (2.21.52.20110703-1ubuntu1) oneiric; urgency=low

  * Merge with Debian.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 04 Jul 2011 10:31:01 +0200

binutils (2.21.52.20110703-1) unstable; urgency=low

  * Snapshot, taken from the trunk 20110703.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Jul 2011 21:56:44 +0200

binutils (2.21.52.20110606-2) unstable; urgency=low

  * Fix PR ld/12845, taken from the trunk. Closes: #628685.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Jun 2011 12:45:15 +0200

binutils (2.21.52.20110606-1ubuntu1) oneiric; urgency=low

  * Merge with Debian.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Jun 2011 11:56:41 +0200

binutils (2.21.52.20110606-1) unstable; urgency=low

  * Snapshot, taken from the trunk 20110606.
    - Fix PR ld/12833. Closes: #628770.
    - Fix spelling errors. Closes: #604696.
  * Let gold accept a dummy -z buildd-<random-string> option.
  * Add a /usr/share/bug/binutils/presubj file for reportbug (and symlinks
    from the other /usr/share/bug/binutils-foo directories) explaining how
    to make a self-contained testcase (Jonathan Nieder). Closes: #629147.
  * Fix ld crash cause of invalid pointer in munmap_chunk. Closes: #628916.

 -- Matthias Klose <doko@debian.org>  Tue, 07 Jun 2011 00:03:47 +0200

binutils (2.21.51.20110523-1) unstable; urgency=low

  * Snapshot, taken from the trunk 20110523.

 -- Matthias Klose <doko@debian.org>  Mon, 23 May 2011 23:38:52 +0200

binutils (2.21.51.20110421-6ubuntu1) oneiric; urgency=low

  * Merge with Debian.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 May 2011 16:02:39 +0200

binutils (2.21.51.20110421-6) unstable; urgency=low

  [ Marcin Juszkiewicz ]
  * Use pregenerated ld.gold.1 for cross builds.

  [ Matthias Klose ]
  * Redefine STRIP and install_binary for cross builds (Ken Werner).
  * Apply fix for PR ld/12726, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Thu, 19 May 2011 15:51:22 +0200

binutils (2.21.51.20110421-5) unstable; urgency=medium

  * Use a symlink for /usr/bin/ld, even if gold is not built. Closes: #615262.

 -- Matthias Klose <doko@debian.org>  Tue, 17 May 2011 17:58:17 +0200

binutils (2.21.51.20110421-4) unstable; urgency=low

  * Fix PR ld/12730, taken from the trunk. Closes: #625616.
  * Cortex A8 workarounds for PLT tail calls (Richard Sandiford).

 -- Matthias Klose <doko@debian.org>  Sun, 08 May 2011 02:06:22 +0200

binutils (2.21.51.20110421-3) unstable; urgency=low

  * Fix segfault in ar, delete_members.

 -- Matthias Klose <doko@debian.org>  Sun, 01 May 2011 17:30:42 +0200

binutils (2.21.51.20110421-2) unstable; urgency=low

  * Fix typo in the patch for PR gas/12698.

 -- Matthias Klose <doko@debian.org>  Wed, 27 Apr 2011 21:33:47 +0200

binutils (2.21.51.20110421-1) unstable; urgency=low

  * Snapshot, taken from the trunk 20110421.
  * Install a man page for ld.gold, generated by help2man. Closes: #619823.
  * Apply proposed patch for PR gas/12698. Closes: #623964.

 -- Matthias Klose <doko@debian.org>  Wed, 27 Apr 2011 18:14:39 +0200

binutils (2.21.51.20110421-0ubuntu6) oneiric; urgency=low

  * Fix PR ld/12730, taken from the trunk. Closes: #625616.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 08 May 2011 02:17:37 +0200

binutils (2.21.51.20110421-0ubuntu5) oneiric; urgency=low

  * Cortex A8 workarounds for PLT tail calls (Richard Sandiford).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 May 2011 11:55:11 +0200

binutils (2.21.51.20110421-0ubuntu4) oneiric; urgency=low

  * Fix segfault in ar, delete_members.

 -- Matthias Klose <doko@debian.org>  Sun, 01 May 2011 17:30:42 +0200

binutils (2.21.51.20110421-0ubuntu3) oneiric; urgency=low

  * Install a man page for ld.gold, generated by help2man. Closes: #619823.
  * Apply proposed patch for PR gas/12698. Closes: #623964.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Apr 2011 20:26:20 +0200

binutils (2.21.51.20110421-0ubuntu1) oneiric; urgency=low

  * Snapshot, taken from the trunk 20110421.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Apr 2011 14:24:45 +0200

binutils (2.21.51.20110419-2) unstable; urgency=low

  * Fix powerpcspe and sparc builds.

 -- Matthias Klose <doko@debian.org>  Tue, 19 Apr 2011 13:47:56 +0200

binutils (2.21.51.20110419-1) unstable; urgency=low

  * Snapshot, taken from the trunk 20110419.

 -- Matthias Klose <doko@debian.org>  Tue, 19 Apr 2011 10:18:14 +0200

binutils (2.21.0.20110327-2ubuntu2) natty; urgency=low

  * Fix architecture field for binutils-gold (powerpcspe).
  * Add support for arm-*-gnueabihf targets. Closes: #621029.
  * Fix PR ld/12654: Pproperly handle R_386_TLS_LDO_32 for PIE. LP: #663294.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Apr 2011 13:35:11 +0200

binutils (2.21.0.20110327-2ubuntu1) natty; urgency=low

  [ Marcin Juszkiewicz ]
  * Build -dbgsym package for cross builds. LP: #711523.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 31 Mar 2011 16:24:10 +0200

binutils (2.21.0.20110327-2) unstable; urgency=low

  * Fix architecture field for binutils-gold.
  * Configure with --disable-werror on armhf.

 -- Matthias Klose <doko@debian.org>  Tue, 29 Mar 2011 19:38:55 +0200

binutils (2.21.0.20110327-1) unstable; urgency=low

  * Update from the 2.21 branch 20110327.
  * Add multiarch directories to linker search path. Closes: #369064.
    LP: #738098.

 -- Matthias Klose <doko@debian.org>  Sun, 27 Mar 2011 22:32:57 +0100

binutils (2.21.0.20110322-1ubuntu2) natty; urgency=low

  * Add multiarch directories to linker search path. Closes: #369064.
    LP: #738098.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 26 Mar 2011 11:27:54 +0100

binutils (2.21.0.20110322-1ubuntu1) natty; urgency=low

  * Merge with Debian.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 22 Mar 2011 23:36:26 +0100

binutils (2.21.0.20110322-1) unstable; urgency=low

  * Update from the 2.21 branch 20110322.
  * S/390: Make as to accept all instructions if no -march option given.
    taken from the trunk (Aurelian Jarno). Closes: #618751.
  * Extend support for armhf (Loic Minier).
    - debian/control.in, debian/control, debian/rules: Enable gold for armhf.
    - debian/rules: Introduce $(CROSS) (set to $(DEB_HOST_GNU_TYPE)- when
      cross-building) and call $(CROSS)cpp to check whether -marm is needed or
      not instead of testing for armel; an alternative would be to
      unconditionally set -marm if DEB_HOST_ARCH_CPU is arm.
    - debian/rules: commented out -fno-section-anchors CFLAGS handling would
      also be enabled for armhf.
    - debian/rules: ignore regressions on armhf as well; note that
      ignore_regressions is set three times.

 -- Matthias Klose <doko@debian.org>  Tue, 22 Mar 2011 23:12:39 +0100

binutils (2.21.0.20110302-2ubuntu1) natty; urgency=low

  * Merge with Debian.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 11 Mar 2011 00:14:22 +0100

binutils (2.21.0.20110302-2) unstable; urgency=low

  [ Carlos O'Donell ]
  * Fix binutils-hppa64 build.

  [ Matthias Klose ]
  * Fix PR ld/12376 (John David Anglin), taken from the trunk.
  * Update to the 2.21 branch, 20110310.

 -- Matthias Klose <doko@debian.org>  Thu, 10 Mar 2011 21:35:07 +0100

binutils (2.21.0.20110302-1ubuntu1) natty; urgency=low

  * Merge with Debian.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Mar 2011 01:37:26 +0100

binutils (2.21.0.20110302-1) unstable; urgency=low

  * Update from the 2.21 branch.

  [ Thorsten Glaser ]
  * patches/640_m68k_fix-TLS_GD-relocation: new, temp. Closes: #611768.

  [ Matthias Klose ]
  * On ppc64, look for 32 bit target libraries in /lib32, /usr/lib32 etc.,
    first.

 -- Matthias Klose <doko@debian.org>  Wed, 02 Mar 2011 02:41:17 +0100

binutils (2.21.0.20110216-2) unstable; urgency=low

  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Tue, 22 Feb 2011 20:35:16 +0100

binutils (2.21.0.20110216-1ubuntu3) natty; urgency=low

  * Read multiarch targets from the first column of /usr/share/dpkg/archtable;
    it's not the ideal list, but it's better than a hardcoded list and
    enabling all targets was breaking too many tools; LP: #726428.

 -- Loïc Minier <loic.minier@linaro.org>  Wed, 02 Mar 2011 18:57:13 +0100

binutils (2.21.0.20110216-1ubuntu2) natty; urgency=low

  * Remove leftover bfd/elflink.c.rej.
  * Pass --enable-targets=all to configure in the multiarch pass;
    Debian #610745.

 -- Loïc Minier <loic.minier@linaro.org>  Thu, 24 Feb 2011 11:46:06 +0100

binutils (2.21.0.20110216-1ubuntu1) natty; urgency=low

  * Upload to natty.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 Feb 2011 19:43:02 +0100

binutils (2.21.0.20110216-1) experimental; urgency=low

  * Update from the 2.21 branch.

 -- Matthias Klose <doko@debian.org>  Wed, 16 Feb 2011 15:54:15 +0100

binutils (2.21-5ubuntu1) natty; urgency=low

  * Upload to natty.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Jan 2011 05:46:53 +0100

binutils (2.21-5) experimental; urgency=low

  * Update gold to 1.11, taken from the 2.21 branch.
  * Add the arm-linux-gnueabi target to binutils-multiarch (Loic Minier).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Jan 2011 00:51:38 +0100

binutils (2.21-4ubuntu1) natty; urgency=low

  * Revert the soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Jan 2011 22:09:24 +0100

binutils (2.21-4ubuntu0) natty; urgency=low

  * Intermediate upload to natty to change the soversion on amd64.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Jan 2011 21:51:03 +0100

binutils (2.21-4) experimental; urgency=low

  * Fix handling of writable .eh_frame section in gold, taken from the
    2.21 branch.

 -- Matthias Klose <doko@debian.org>  Wed, 12 Jan 2011 00:42:15 +0100

binutils (2.21-3ubuntu1) natty; urgency=low

  * Upload to natty.

 -- Matthias Klose <doko@debian.org>  Fri, 31 Dec 2010 16:31:48 +0100

binutils (2.21-3) experimental; urgency=low

  [ Matthias Klose ]
  * Don't include `-system' in the bfd version identifier.

  [ Sedat Dilek ]
  * 160_pr12327.patch: Fix PR ld/12327, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Thu, 29 Dec 2010 23:51:35 +0100

binutils (2.21-2) experimental; urgency=low

  * Don't install ld.bfd in binutils-multiarch.
  * Fix assembler bug blocking Thumb-2 kernel builds (CS issue #8775).

 -- Matthias Klose <doko@debian.org>  Fri, 10 Dec 2010 13:45:00 +0100

binutils (2.21-1ubuntu4) natty; urgency=low

  * Don't install ld.bfd in binutils-multiarch. LP: #688497.
  * Fix assembler bug blocking Thumb-2 kernel builds (CS issue #8775).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Dec 2010 15:35:54 +0100

binutils (2.21-1ubuntu2) natty; urgency=low

  * Fix build dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Dec 2010 00:57:01 +0100

binutils (2.21-1ubuntu1) natty; urgency=low

  * Upload to natty.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Dec 2010 00:17:07 +0100

binutils (2.21-1) experimental; urgency=low

  * binutils 2.21 release.

  [ Marcin Juszkiewicz ]

  * Enable building gold in cross builds. LP: #686530.
  * Allow to build only the -source package, and include the version
    in the package name. LP: #682646.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Dec 2010 23:24:49 +0100

binutils (2.20.90.20101121-0ubuntu1) natty; urgency=low

  * Update from the binutils 2.21 release branch.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 21 Nov 2010 13:53:59 +0100

binutils (2.20.90.20101105-0ubuntu1) natty; urgency=low

  * binutils 2.21 prerelease 1.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Nov 2010 01:47:38 +0200

binutils (2.20.51.20101028-0ubuntu1) natty; urgency=low

  * Snapshot, taken from the trunk 20100928.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Oct 2010 17:55:49 +0200

binutils (2.20.51.20101014-0ubuntu1) natty; urgency=low

  * Snapshot, taken from the trunk 20100914.
  * ld: Accept --sysroot again. LP: #660257.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Oct 2010 11:10:06 +0200

binutils (2.20.51.20101009-0ubuntu1) natty; urgency=low

  * Snapshot, taken from the trunk 20100909.
  * For cross builds, build without sysroot support. Closes LP: #598389.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Oct 2010 15:08:04 +0200

binutils (2.20.51.20100908-0ubuntu2) maverick; urgency=low

  * debian/patches/216-tilde-in-ar-filenames: Allow ar scripts to contain ~
    in the filename, fixes u-boot-linaro rc build failures that ended up
    using pathnames with ~ in them.  LP: #641488

 -- Zygmunt Krynicki <zygmunt.krynicki@linaro.org>  Fri, 17 Sep 2010 19:20:28 +0200

binutils (2.20.51.20100908-0ubuntu1) maverick; urgency=low

  * Snapshot, taken from the trunk 20100908.
  * Build binutils-hppa64 in cross builds (Al Viro). Closes: #595319.
  * Don't build the binutils-hppa64 package for Ubuntu.
  * Fix some lintian warnings.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Sep 2010 15:26:18 +0200

binutils (2.20.51.20100813-1ubuntu3) maverick; urgency=low

  * Add missing patch file.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Sep 2010 10:32:25 +0200

binutils (2.20.51.20100813-1ubuntu2) maverick; urgency=low

  * Link executables statically when `static' is passed in DEB_BUILD_OPTIONS
    (Jim Heck). Closes: #590101.
  * Apply proposed patch for PR ld/10340 (ld doesn't honor sysroot prefix
    for ldscripts). LP: #625320.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 27 Aug 2010 16:52:19 +0200

binutils (2.20.51.20100813-1ubuntu1) maverick; urgency=low

  * Merge with Debian.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 13 Aug 2010 13:26:32 +0200

binutils (2.20.51.20100813-1) experimental; urgency=low

  * Snapshot, taken from the trunk 20100813.

  [ Jonathan Nieder ]
  * Remove ld.bfd from binutils-multiarch (not that useful without an
    multiarch assembler).

  [ Marcin Juszkiewicz ]
  * Revert sysroot to / for cross builds. LP: #598389.
